#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

from java.lang import System, String
import sys

def validateInput(userName, password, nodeName, serverName, clusterName):
    if(userName == ''):
        print "Username needs to be specified for the role"
        return 1
    if(password == ''):
        print "Password for the user needs to be specified for the role"
        return 1
    if((nodeName == '' or serverName == '') and (clusterName == '')):
        print "Exception received while running the script bpmModifyMapRunAsRole.py. Node and server name or the cluster name is not specified."
        return 1
    return 0    

#*******************************************************************************************************
# main
#*******************************************************************************************************
print "*************************************************************************************"
print "Start: Mapping run as roles to users"
print ""

len = len(sys.argv)
i = 0;
userName = ""
password = ""
nodeName = ""
serverName = ""
clusterName = ""
applicationName = ""
while(len > i):
    arg = sys.argv[i]
    arg1 = sys.argv[i+1];
    if(arg == '-usr'):
        userName = arg1;
    elif (arg == '-pwd'):
        password = arg1;
    elif (arg == '-nodeName'):
        nodeName = arg1;
    elif (arg == '-serverName'):
        serverName = arg1;
    elif (arg == '-clusterName'):
        clusterName = arg1; 
    elif (arg == '-applicationName'):
        applicationName = arg1; 
    i = i+2;     
returnValue = validateInput(userName, password, nodeName, serverName, clusterName)
if(returnValue == 0):
    if (clusterName == ''):
        print "Mapping users for stand-alone profile."
        print ""
        targetName = nodeName + "_" + serverName
    else:
        print "Mapping users for cluster profile."
        print ""
        targetName = clusterName
    
if(applicationName == ''):
    appName = "IBM_BPM_Teamworks_" + targetName
    options = '[-MapRunAsRolesToUsers [[twem ' + userName + ' ' + password + '] [twuser ' + userName + ' ' + password + ']]]'
    AdminApp.edit(appName, options)

    appName = "IBM_BPM_PerformanceDW_" + targetName
    options = '[-MapRunAsRolesToUsers [[tw-loader ' + userName + ' ' + password + ']]]'
    AdminApp.edit(appName, options)

else:
     if(applicationName == 'Teamworks'):
      appName = "IBM_BPM_Teamworks_" + targetName
      options = '[-MapRunAsRolesToUsers [[twem ' + userName + ' ' + password + '] [twuser ' + userName + ' ' + password + ']]]'
      AdminApp.edit(appName, options)
     elif(applicationName == 'PerformanceDW'):
      appName = "IBM_BPM_PerformanceDW_" + targetName
      options = '[-MapRunAsRolesToUsers [[tw-loader ' + userName + ' ' + password + ']]]'
      AdminApp.edit(appName, options)

AdminConfig.save();

print "End: Mapping run as roles to users"
print "*************************************************************************************"