-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT



SET CURRENT SCHEMA = '@SCHEMA@'

;


CREATE TABLESPACE WLPT134
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_METRIC (
    "METRIC_ID" CHAR(36) NOT NULL,
    "UNIT" DECIMAL(12,0) NOT NULL,
    "ROLLUP_METRIC_REF" CHAR(36),
    "ROLLUP_MULTIPLIER" DECIMAL(20,8),
    "XML_DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT134
;


CREATE LOB TABLESPACE WLP1345
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_METRIC5_LOB
    IN @DB_NAME@.WLP1345
    STORES @SCHEMA@.LSW_METRIC COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_METRIC5_I
    ON @SCHEMA@.LSW_METRIC5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1347
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_METRIC7_LOB
    IN @DB_NAME@.WLP1347
    STORES @SCHEMA@.LSW_METRIC COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_METRIC7_I
    ON @SCHEMA@.LSW_METRIC7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT135
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SLA (
    "SLA_ID" CHAR(36) NOT NULL,
    "ITEM_TYPES" DECIMAL(12,0) NOT NULL,
    "XML_DATA" BLOB(2G) NOT NULL,
    "PARTICIPANT_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT135
;


CREATE LOB TABLESPACE WLP1353
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SLA3_LOB
    IN @DB_NAME@.WLP1353
    STORES @SCHEMA@.LSW_SLA COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SLA3_I
    ON @SCHEMA@.LSW_SLA3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1356
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SLA6_LOB
    IN @DB_NAME@.WLP1356
    STORES @SCHEMA@.LSW_SLA COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SLA6_I
    ON @SCHEMA@.LSW_SLA6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT136
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SIM_SCENARIO (
    "SCENARIO_ID" CHAR(36) NOT NULL,
    "XML_DATA" BLOB(2G) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT136
;


CREATE LOB TABLESPACE WLP1362
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SIM_SCENARIO2_LOB
    IN @DB_NAME@.WLP1362
    STORES @SCHEMA@.LSW_SIM_SCENARIO COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SIM_SCENARIO2_I
    ON @SCHEMA@.LSW_SIM_SCENARIO2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1364
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SIM_SCENARIO4_LOB
    IN @DB_NAME@.WLP1364
    STORES @SCHEMA@.LSW_SIM_SCENARIO COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SIM_SCENARIO4_I
    ON @SCHEMA@.LSW_SIM_SCENARIO4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT137
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_HIST_SCENARIO (
    "SCENARIO_ID" CHAR(36) NOT NULL,
    "XML_DATA" BLOB(2G) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT137
;


CREATE LOB TABLESPACE WLP1372
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_HIST_SCENARIO2_LOB
    IN @DB_NAME@.WLP1372
    STORES @SCHEMA@.LSW_HIST_SCENARIO COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_HIST_SCENARIO2_I
    ON @SCHEMA@.LSW_HIST_SCENARIO2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1374
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_HIST_SCENARIO4_LOB
    IN @DB_NAME@.WLP1374
    STORES @SCHEMA@.LSW_HIST_SCENARIO COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_HIST_SCENARIO4_I
    ON @SCHEMA@.LSW_HIST_SCENARIO4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ7501
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION (
    "EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "SERVER_NAME" VARCHAR(512),
    "EVENT_CLASS" VARCHAR(512),
    "OBJECT_TYPE_ID" VARCHAR(512),
    "OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR(512),
    "EVENT_TYPE" VARCHAR(512),
    "INCLUDE_SUB_TYPE" CHAR(1)
        DEFAULT 'F',
    "PROCESS_REF" CHAR(36),
    "PARTICIPANT_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7501
;


CREATE LOB TABLESPACE WLPZ7504
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_LOB
    IN @DB_NAME@.WLPZ7504
    STORES @SCHEMA@.BPM_EVENT_SUBSCRIPTION COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_I
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ7502
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE (
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ7502
;


CREATE LOB TABLESPACE WLPZ7503
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    IN @DB_NAME@.WLPZ7503
    STORES @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_I
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ7505
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_STAY_ON_PAGE (
    "STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7505
;


CREATE TABLESPACE WLPT193
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF (
    "PROC_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT193
;


CREATE TABLESPACE WLPT194
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF (
    "CLS_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT194
;


CREATE TABLESPACE WLPT195
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF (
    "BPD_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "ARTIFACT_REF" CHAR(36) NOT NULL,
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT195
;


CREATE TABLESPACE WLPT104
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD (
    "BPD_ID" CHAR(36) NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "IS_TRACKING_ENABLED" CHAR(1) NOT NULL,
    "IS_SPC_ENABLED" CHAR(1) NOT NULL,
    "RESTRICTED_NAME" VARCHAR(128),
    "IS_CRITICAL_PATH_ENABLED" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "PARTICIPANT_REF" CHAR(36),
    "BUSINESS_DATA_PARTICIPANT_REF" CHAR(36),
    "PERF_METRIC_PARTICIPANT_REF" CHAR(36),
    "TIME_SCHEDULE_TYPE" DECIMAL(2,0)
        DEFAULT 0,
    "TIME_SCHEDULE_NAME" VARCHAR(128),
    "TIME_SCHEDULE_EXPRESSION" VARCHAR(128),
    "HOLIDAY_SCHEDULE_TYPE" DECIMAL(2,0)
        DEFAULT 0,
    "HOLIDAY_SCHEDULE_NAME" VARCHAR(128),
    "HOLIDAY_SCHEDULE_EXPRESSION" VARCHAR(128),
    "TIMEZONE_TYPE" DECIMAL(2,0)
        DEFAULT 0,
    "TIMEZONE" VARCHAR(128),
    "TIMEZONE_EXPRESSION" VARCHAR(128),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "TYPE" DECIMAL(2,0),
    "ROOT_BPD_ID" CHAR(36),
    "PARENT_BPD_ID" CHAR(36),
    "PARENT_FLOW_OBJECT_ID" VARCHAR(256),
    "XML_DATA" BLOB(2G),
    "TEMPLATE_ID" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT104
;


CREATE LOB TABLESPACE WLP1042
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD2_LOB
    IN @DB_NAME@.WLP1042
    STORES @SCHEMA@.LSW_BPD COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD2_I
    ON @SCHEMA@.LSW_BPD2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP10420
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD20_LOB
    IN @DB_NAME@.WLP10420
    STORES @SCHEMA@.LSW_BPD COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD20_I
    ON @SCHEMA@.LSW_BPD20_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP10425
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD25_LOB
    IN @DB_NAME@.WLP10425
    STORES @SCHEMA@.LSW_BPD COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD25_I
    ON @SCHEMA@.LSW_BPD25_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT106
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_EVENT (
    "BPD_EVENT_ID" CHAR(36) NOT NULL,
    "UCA_REF" CHAR(36) NOT NULL,
    "UCA_ID" CHAR(36) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "BPD_FLOW_OBJECT_ID" VARCHAR(256) NOT NULL,
    "BPD_OBJECT_ID" VARCHAR(256) NOT NULL,
    "EVENT_TYPE" DECIMAL(2,0) NOT NULL,
    "CORRELATION_PARAMETER_ID" CHAR(36) NOT NULL,
    "DURABLE_SUBSCRIPTION" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT106
;


CREATE TABLESPACE WLPT110
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_PARAMETER (
    "BPD_PARAMETER_ID" CHAR(36) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
    "IS_ARRAY_OF" CHAR(1) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DOCUMENTATION" CLOB(2G),
    "HAS_DEFAULT" CHAR(1),
    "DEFAULT_VALUE" BLOB(2G),
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT110
;


CREATE LOB TABLESPACE WLP1108
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_PARAMETER8_LOB
    IN @DB_NAME@.WLP1108
    STORES @SCHEMA@.LSW_BPD_PARAMETER COLUMN DOCUMENTATION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_PARAMETER8_I
    ON @SCHEMA@.LSW_BPD_PARAMETER8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP11010
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_PARAMETER10_LOB
    IN @DB_NAME@.WLP11010
    STORES @SCHEMA@.LSW_BPD_PARAMETER COLUMN DEFAULT_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_PARAMETER10_I
    ON @SCHEMA@.LSW_BPD_PARAMETER10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT197
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT (
    "DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
    "OBJECT_ID" CHAR(36) NOT NULL,
    "DEFINITION_VERSION" DECIMAL(12,0) NOT NULL,
    "CLASS_VERSION_ID" CHAR(36) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0),
    "TASK_ID" DECIMAL(12,0),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT197
;


CREATE TABLESPACE WLPT198
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE (
    "INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
    "INSTANCE_VERSION" DECIMAL(12,0) NOT NULL,
    "DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
    "JDATA" BLOB(2G),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT198
;


CREATE LOB TABLESPACE WLP1984
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE4_LOB
    IN @DB_NAME@.WLP1984
    STORES @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE COLUMN JDATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE4_I
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT199
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE (
    "VALUE_ID" CHAR(36) NOT NULL,
    "INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
    "FIELD_PATH" VARCHAR(2048) NOT NULL,
    "VALUE" BLOB(2G) NOT NULL,
    "PRIOR_VALUE" BLOB(2G) NOT NULL
)
IN @DB_NAME@.WLPT199
;


CREATE LOB TABLESPACE WLP1994
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE4_LOB
    IN @DB_NAME@.WLP1994
    STORES @SCHEMA@.BPM_SHARED_OBJECT_VALUE COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_VALUE4_I
    ON @SCHEMA@.BPM_SHARED_OBJECT_VALUE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1995
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE5_LOB
    IN @DB_NAME@.WLP1995
    STORES @SCHEMA@.BPM_SHARED_OBJECT_VALUE COLUMN PRIOR_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_VALUE5_I
    ON @SCHEMA@.BPM_SHARED_OBJECT_VALUE5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT32
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW (
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_TEMPLATE" CHAR(1),
    "LAYOUT" BLOB(2G),
    "PALETTE_ICON" CHAR(36),
    "PREVIEW_IMAGE" CHAR(36),
    "HAS_LABEL" CHAR(1),
    "LABEL_POSITION" DECIMAL(2,0),
    "NINE_SLICE_X1_COORD" DECIMAL(5,0),
    "NINE_SLICE_X2_COORD" DECIMAL(5,0),
    "NINE_SLICE_Y1_COORD" DECIMAL(5,0),
    "NINE_SLICE_Y2_COORD" DECIMAL(5,0),
    "EMIT_BOUNDARY" CHAR(1),
    "IS_PROTOTYPE_FUNC" CHAR(1)
        DEFAULT 'F',
    "LOAD_JS_FUNCTION" CLOB(2G),
    "UNLOAD_JS_FUNCTION" CLOB(2G),
    "VIEW_JS_FUNCTION" CLOB(2G),
    "CHANGE_JS_FUNCTION" CLOB(2G),
    "COLLABORATION_JS_FUNCTION" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "VALIDATE_JS_FUNCTION" CLOB(2G),
    "USE_URL_BINDING" CHAR(1)
        DEFAULT 'F',
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT32
;


CREATE LOB TABLESPACE WLP323
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW3_LOB
    IN @DB_NAME@.WLP323
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN LAYOUT
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW3_I
    ON @SCHEMA@.BPM_COACH_VIEW3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3213
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW14_LOB
    IN @DB_NAME@.WLP3213
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN LOAD_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW14_I
    ON @SCHEMA@.BPM_COACH_VIEW14_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3214
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW15_LOB
    IN @DB_NAME@.WLP3214
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN UNLOAD_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW15_I
    ON @SCHEMA@.BPM_COACH_VIEW15_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3215
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW16_LOB
    IN @DB_NAME@.WLP3215
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN VIEW_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW16_I
    ON @SCHEMA@.BPM_COACH_VIEW16_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3216
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW17_LOB
    IN @DB_NAME@.WLP3216
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN CHANGE_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW17_I
    ON @SCHEMA@.BPM_COACH_VIEW17_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3217
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW18_LOB
    IN @DB_NAME@.WLP3217
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN COLLABORATION_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW18_I
    ON @SCHEMA@.BPM_COACH_VIEW18_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP3219
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW20_LOB
    IN @DB_NAME@.WLP3219
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW20_I
    ON @SCHEMA@.BPM_COACH_VIEW20_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLPZ901
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW21_LOB
    IN @DB_NAME@.WLPZ901
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN VALIDATE_JS_FUNCTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW21_I
    ON @SCHEMA@.BPM_COACH_VIEW21_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT33
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES (
    "COACH_VIEW_LOCAL_RES_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT33
;


CREATE TABLESPACE WLPT34
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE (
    "COACH_VIEW_BINDING_TYPE_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_LIST" CHAR(1),
    "CLASS_ID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT34
;


CREATE LOB TABLESPACE WLP347
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE7_LOB
    IN @DB_NAME@.WLP347
    STORES @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE7_I
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT35
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION (
    "COACH_VIEW_CONFIG_OPTION_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "IS_LIST" CHAR(1),
    "PROPERTY_TYPE" VARCHAR(128),
    "LABEL" VARCHAR(128),
    "CLASS_ID" CHAR(36),
    "PROCESS_ID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GROUP_NAME" VARCHAR(128),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT35
;


CREATE LOB TABLESPACE WLP3510
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION10_LOB
    IN @DB_NAME@.WLP3510
    STORES @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION10_I
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT36
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
  
;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE (
    "COACH_VIEW_RESOURCE_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "FILE_PATH" VARCHAR(510),
    "IE_CONDITION" VARCHAR(2048),
    "MEDIA_QUERY" VARCHAR(2048),
    "ASSET_UUID" CHAR(36),
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT36
;


CREATE TABLESPACE WLPT37
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT (
    "COACH_VIEW_INLINE_SCRIPT_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "SCRIPT_TYPE" VARCHAR(128),
    "SCRIPT_BLOCK" CLOB(2G),
    "SEQ" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT37
;


CREATE LOB TABLESPACE WLP374
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT4_LOB
    IN @DB_NAME@.WLP374
    STORES @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT COLUMN SCRIPT_BLOCK
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT4_I
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP377
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT7_LOB
    IN @DB_NAME@.WLP377
    STORES @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT7_I
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT38
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP (
    "COACH_VIEW_AMD_DEP_ID" CHAR(36) NOT NULL,
    "COACH_VIEW_ID" CHAR(36) NOT NULL,
    "MODULE_ID" VARCHAR(2048),
    "FUNCTION_ARGUMENT" VARCHAR(510),
    "SEQ" DECIMAL(12,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT38
;


CREATE TABLESPACE WLPT39
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACHNG (
    "COACHNG_ID" CHAR(36) NOT NULL,
    "TITLE" VARCHAR(128),
    "LAYOUT_DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT39
;


CREATE LOB TABLESPACE WLP393
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACHNG3_LOB
    IN @DB_NAME@.WLP393
    STORES @SCHEMA@.BPM_COACHNG COLUMN LAYOUT_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACHNG3_I
    ON @SCHEMA@.BPM_COACHNG3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT40
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT (
    "COACHNG_BOUNDARY_EVENT_ID" CHAR(36) NOT NULL,
    "COACHNG_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "END_STATE_ID" VARCHAR(256) NOT NULL,
    "EVENT_LABEL" CLOB(2G),
    "VIEW_PATH" CLOB(2G),
    "IS_VALIDATE_BOUNDARY_EVENT" CHAR(1)
        DEFAULT 'F',
    "FIRE_VALIDATION" DECIMAL(1,0)
        DEFAULT 0,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT40
;


CREATE LOB TABLESPACE WLP405
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT5_LOB
    IN @DB_NAME@.WLP405
    STORES @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT COLUMN EVENT_LABEL
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT5_I
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP406
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT6_LOB
    IN @DB_NAME@.WLP406
    STORES @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT COLUMN VIEW_PATH
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT6_I
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT41
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_COACH (
    "COACH_ID" CHAR(36) NOT NULL,
    "TITLE" VARCHAR(128),
    "LAYOUT_REF" CHAR(36),
    "LAYOUT_DATA" CLOB(2G),
    "XSL_REF" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT41
;


CREATE LOB TABLESPACE WLP414
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_COACH4_LOB
    IN @DB_NAME@.WLP414
    STORES @SCHEMA@.LSW_COACH COLUMN LAYOUT_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_COACH4_I
    ON @SCHEMA@.LSW_COACH4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT42
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_COACH_BUTTON (
    "COACH_BUTTON_ID" CHAR(36) NOT NULL,
    "COACH_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "END_STATE_ID" VARCHAR(256) NOT NULL,
    "IS_SPECIAL" CHAR(1),
    "IS_DISPLAYED" CHAR(1),
    "BUTTON_LABEL" VARCHAR(128),
    "BUTTON_HINT" VARCHAR(510),
    "BUTTON_TEXT" CLOB(2G),
    "BUTTON_EXPRESSION" VARCHAR(128),
    "IS_CHECK_BOX_VISIBLE" CHAR(1),
    "IS_UNCHECK_ALLOWED" CHAR(1),
    "META_DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT42
;


CREATE LOB TABLESPACE WLP429
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_COACH_BUTTON9_LOB
    IN @DB_NAME@.WLP429
    STORES @SCHEMA@.LSW_COACH_BUTTON COLUMN BUTTON_TEXT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_COACH_BUTTON9_I
    ON @SCHEMA@.LSW_COACH_BUTTON9_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP4213
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_COACH_BUTTON13_LOB
    IN @DB_NAME@.WLP4213
    STORES @SCHEMA@.LSW_COACH_BUTTON COLUMN META_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_COACH_BUTTON13_I
    ON @SCHEMA@.LSW_COACH_BUTTON13_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT63
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_COACH_RESOURCE (
    "COACH_RESOURCE_ID" CHAR(36) NOT NULL,
    "COACH_ID" CHAR(36) NOT NULL,
    "VIRTUAL_NAME" VARCHAR(200) NOT NULL,
    "TYPE" VARCHAR(128) NOT NULL,
    "RESOURCE_DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT63
;


CREATE LOB TABLESPACE WLP635
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_COACH_RESOURCE5_LOB
    IN @DB_NAME@.WLP635
    STORES @SCHEMA@.LSW_COACH_RESOURCE COLUMN RESOURCE_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_COACH_RESOURCE5_I
    ON @SCHEMA@.LSW_COACH_RESOURCE5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT133
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_INFOPATH_FORM (
    "INFOPATH_FORM_ID" CHAR(36) NOT NULL,
    "URL" VARCHAR(1024),
    "TEMPLATE_VERSION" VARCHAR(64),
    "DATA_SOURCE_CLASS_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT133
;


CREATE LOB TABLESPACE WLP1336
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_INFOPATH_FORM6_LOB
    IN @DB_NAME@.WLP1336
    STORES @SCHEMA@.LSW_INFOPATH_FORM COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_INFOPATH_FORM6_I
    ON @SCHEMA@.LSW_INFOPATH_FORM6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT99
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "DESCRIPTION" VARCHAR(240),
    "QUEUE_ID" DECIMAL(12,0),
    "SCHEDULED_TIME" TIMESTAMP NOT NULL,
    "DISCRIMINATOR" DECIMAL(12, 0)
        GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
    "TASK_STATUS" DECIMAL(12,0),
    "TASK_OWNER" DECIMAL(12,0),
    "BLACKOUT_CALENDAR_ID" DECIMAL(12,0),
    "BLACKOUT_BEHAVIOR" DECIMAL(12,0),
    "TASK_EXECUTION_CLASS" VARCHAR(240) NOT NULL,
    "TASK_ARGUMENTS_STR" VARCHAR(2000),
    "TASK_ARGUMENTS" BLOB(2G),
    "REPEAT_STRING" VARCHAR(1024),
    "IN_CLOSING_TRANSACTION" DECIMAL(1,0),
    "RE_EXECUTE_COUNT" DECIMAL(12,0),
    "LAST_SCHEDULED_TIME" TIMESTAMP,
    "LAST_EXECUTION_TIME" TIMESTAMP
)
IN @DB_NAME@.WLPT99
;


CREATE LOB TABLESPACE WLP9912
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EM_TASK12_LOB
    IN @DB_NAME@.WLP9912
    STORES @SCHEMA@.LSW_EM_TASK COLUMN TASK_ARGUMENTS
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EM_TASK12_I
    ON @SCHEMA@.LSW_EM_TASK12_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT100
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "KEYWORD" VARCHAR(240) NOT NULL
)
IN @DB_NAME@.WLPT100
;


CREATE TABLESPACE WLPT101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EM_INSTANCE (
    "OWNER_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(1024) NOT NULL,
    "EXPIRATION" TIMESTAMP,
    "STATUS" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT101
;


CREATE TABLESPACE WLPT103
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK_HISTORY (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "EXECUTION_ATTEMPT" DECIMAL(12,0) NOT NULL,
    "SUCCESS" DECIMAL(12,0),
    "ERROR_MESSAGE" CLOB(2G),
    "DESCRIPTION" VARCHAR(240),
    "QUEUE_ID" DECIMAL(12,0),
    "SCHEDULED_TIME" TIMESTAMP NOT NULL,
    "DISCRIMINATOR" DECIMAL(12,0),
    "EM_NAME" VARCHAR(128),
    "BLACKOUT_CALENDAR_ID" DECIMAL(12,0),
    "BLACKOUT_BEHAVIOR" DECIMAL(12,0),
    "TASK_EXECUTION_CLASS" VARCHAR(240) NOT NULL,
    "TASK_ARGUMENTS" BLOB(2G),
    "IN_CLOSING_TRANSACTION" DECIMAL(1,0),
    "EXECUTION_TIME" TIMESTAMP,
    "EXECUTION_DURATION" DECIMAL(12,3)
)
IN @DB_NAME@.WLPT103
;


CREATE LOB TABLESPACE WLP1034
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EM_TASK_HISTORY4_LOB
    IN @DB_NAME@.WLP1034
    STORES @SCHEMA@.LSW_EM_TASK_HISTORY COLUMN ERROR_MESSAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EM_TASK_HISTORY4_I
    ON @SCHEMA@.LSW_EM_TASK_HISTORY4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP10313
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EM_TASK_HISTORY13_LOB
    IN @DB_NAME@.WLP10313
    STORES @SCHEMA@.LSW_EM_TASK_HISTORY COLUMN TASK_ARGUMENTS
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EM_TASK_HISTORY13_I
    ON @SCHEMA@.LSW_EM_TASK_HISTORY13_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT95
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE (
    "SYNC_QUEUE_ID" DECIMAL(12,0) NOT NULL,
    "DESCRIPTION" VARCHAR(900),
    "QUEUE_OWNER" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT95
;


CREATE TABLESPACE WLPT168
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_SET (
    "ENV_VAR_SET_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT168
;


CREATE LOB TABLESPACE WLP1683
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR_SET3_LOB
    IN @DB_NAME@.WLP1683
    STORES @SCHEMA@.LSW_ENV_VAR_SET COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR_SET3_I
    ON @SCHEMA@.LSW_ENV_VAR_SET3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT170
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR (
    "ENV_VAR_ID" CHAR(36) NOT NULL,
    "ENV_VAR_SET_ID" CHAR(36) NOT NULL,
    "ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "DEFAULT_VALUE" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT170
;


CREATE LOB TABLESPACE WLP1704
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR4_LOB
    IN @DB_NAME@.WLP1704
    STORES @SCHEMA@.LSW_ENV_VAR COLUMN DEFAULT_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR4_I
    ON @SCHEMA@.LSW_ENV_VAR4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1706
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR6_LOB
    IN @DB_NAME@.WLP1706
    STORES @SCHEMA@.LSW_ENV_VAR COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR6_I
    ON @SCHEMA@.LSW_ENV_VAR6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT171
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_VAL (
    "ENV_VAR_VAL_ID" DECIMAL(12,0) NOT NULL,
    "BRANCH_ID" CHAR(36),
    "SNAPSHOT_ID" CHAR(36),
    "TIP" CHAR(1),
    "ENV_VAR_ID" CHAR(36) NOT NULL,
    "VALUE" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT171
;


CREATE LOB TABLESPACE WLP1716
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR_VAL6_LOB
    IN @DB_NAME@.WLP1716
    STORES @SCHEMA@.LSW_ENV_VAR_VAL COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR_VAL6_I
    ON @SCHEMA@.LSW_ENV_VAR_VAL6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1718
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR_VAL8_LOB
    IN @DB_NAME@.WLP1718
    STORES @SCHEMA@.LSW_ENV_VAR_VAL COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR_VAL8_I
    ON @SCHEMA@.LSW_ENV_VAR_VAL8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT173
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_TYPE (
    "ENV_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPT173
;


CREATE LOB TABLESPACE WLP1733
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_TYPE3_LOB
    IN @DB_NAME@.WLP1733
    STORES @SCHEMA@.LSW_ENV_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_TYPE3_I
    ON @SCHEMA@.LSW_ENV_TYPE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT174
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_TYPE (
    "ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPT174
;


CREATE LOB TABLESPACE WLP1743
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR_TYPE3_LOB
    IN @DB_NAME@.WLP1743
    STORES @SCHEMA@.LSW_ENV_VAR_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR_TYPE3_I
    ON @SCHEMA@.LSW_ENV_VAR_TYPE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT175
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT (
    "ENV_VAR_DEFAULT_ID" CHAR(36) NOT NULL,
    "ENV_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "ENV_VAR_ID" CHAR(36) NOT NULL,
    "VALUE" CLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT175
;


CREATE LOB TABLESPACE WLP1754
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT4_LOB
    IN @DB_NAME@.WLP1754
    STORES @SCHEMA@.LSW_ENV_VAR_DEFAULT COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ENV_VAR_DEFAULT4_I
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT69
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EPV (
    "EPV_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "EXT_DESCRIPTION" CLOB(2G),
    "FEEDBACK" VARCHAR(510),
    "PARTICIPANT_REF" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT69
;


CREATE LOB TABLESPACE WLP693
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EPV3_LOB
    IN @DB_NAME@.WLP693
    STORES @SCHEMA@.LSW_EPV COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EPV3_I
    ON @SCHEMA@.LSW_EPV3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP694
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EPV4_LOB
    IN @DB_NAME@.WLP694
    STORES @SCHEMA@.LSW_EPV COLUMN EXT_DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EPV4_I
    ON @SCHEMA@.LSW_EPV4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT70
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EPV_VAR (
    "EPV_VAR_ID" CHAR(36) NOT NULL,
    "EPV_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "VAR_NAME" VARCHAR(128) NOT NULL,
    "EXT_DESCRIPTION" CLOB(2G),
    "VARIABLE_TYPE_REF" CHAR(36) NOT NULL,
    "DEFAULT_VALUE" VARCHAR(510),
    "IS_CHG_ACTIVE_PROC" CHAR(1),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT70
;


CREATE LOB TABLESPACE WLP705
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EPV_VAR5_LOB
    IN @DB_NAME@.WLP705
    STORES @SCHEMA@.LSW_EPV_VAR COLUMN EXT_DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EPV_VAR5_I
    ON @SCHEMA@.LSW_EPV_VAR5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT71
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EPV_VAR_VALUE (
    "EPV_VAR_VALUE_ID" DECIMAL(12,0) NOT NULL,
    "SNAPSHOT_ID" CHAR(36),
    "TIP" CHAR(1),
    "BRANCH_ID" CHAR(36),
    "EPV_VAR_ID" CHAR(36) NOT NULL,
    "EFFECTIVE_ON" TIMESTAMP NOT NULL,
    "VALUE" CLOB(2G),
    "REASON" CLOB(2G),
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT71
;


CREATE LOB TABLESPACE WLP717
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EPV_VAR_VALUE7_LOB
    IN @DB_NAME@.WLP717
    STORES @SCHEMA@.LSW_EPV_VAR_VALUE COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EPV_VAR_VALUE7_I
    ON @SCHEMA@.LSW_EPV_VAR_VALUE7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP718
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EPV_VAR_VALUE8_LOB
    IN @DB_NAME@.WLP718
    STORES @SCHEMA@.LSW_EPV_VAR_VALUE COLUMN REASON
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EPV_VAR_VALUE8_I
    ON @SCHEMA@.LSW_EPV_VAR_VALUE8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT185
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION (
    "BLUEPRINT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" VARCHAR(50) NOT NULL,
    "BLUEPRINT_ID" VARCHAR(50) NOT NULL,
    "PROCESS_REVISION_ID" VARCHAR(50),
    "ROOT_BPD_ID" CHAR(36) NOT NULL,
    "ACCOUNT" VARCHAR(510),
    "LAST_SUBSCRIBED" TIMESTAMP,
    "LAST_IMPORTED" TIMESTAMP,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT185
;


CREATE LOB TABLESPACE WLP1857
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION10_LOB
    IN @DB_NAME@.WLP1857
    STORES @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION10_I
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT146
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXTACT_PARAMETER (
    "EA_PARAMETER_ID" CHAR(36) NOT NULL,
    "EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
    "PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(510) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "CLASS_REF" CHAR(36) NOT NULL,
    "IS_ARRAY_OF" CHAR(1) NOT NULL,
    "HAS_DEFAULT" CHAR(1) NOT NULL,
    "DEFAULT_VALUE" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT146
;


CREATE LOB TABLESPACE WLP1466
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXTACT_PARAMETER6_LOB
    IN @DB_NAME@.WLP1466
    STORES @SCHEMA@.LSW_EXTACT_PARAMETER COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTACT_PARAMETER6_I
    ON @SCHEMA@.LSW_EXTACT_PARAMETER6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP14610
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXTACT_PARAMETER10_LOB
    IN @DB_NAME@.WLP14610
    STORES @SCHEMA@.LSW_EXTACT_PARAMETER COLUMN DEFAULT_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTACT_PARAMETER10_I
    ON @SCHEMA@.LSW_EXTACT_PARAMETER10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT147
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXTACT_PROPERTY (
    "EA_PROPERTY_ID" CHAR(36) NOT NULL,
    "EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(510) NOT NULL,
    "VALUE" VARCHAR(510) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT147
;


CREATE TABLESPACE WLPT145
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY (
    "EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT145
;


CREATE LOB TABLESPACE WLP1453
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY3_LOB
    IN @DB_NAME@.WLP1453
    STORES @SCHEMA@.LSW_EXTERNAL_ACTIVITY COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTERNAL_ACTIVITY3_I
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT165
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_MANAGED_ASSET (
    "MANAGED_ASSET_ID" CHAR(36) NOT NULL,
    "ASSET_UUID" CHAR(36),
    "MIME_TYPE" VARCHAR(200)
        DEFAULT 'application/octet-stream',
    "CHAR_ENCODING" VARCHAR(200)
        DEFAULT 'UTF-8',
    "ASSET_TYPE_CODE" VARCHAR(1)
        DEFAULT 'W' NOT NULL,
    "LENGTH" DECIMAL(19,0),
    "LOCAL_LAST_MODIFICATION" DECIMAL(19,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "IS_DOCUMENTATION_FILE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT165
;


CREATE LOB TABLESPACE WLP1659
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_MANAGED_ASSET9_LOB
    IN @DB_NAME@.WLP1659
    STORES @SCHEMA@.LSW_MANAGED_ASSET COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_MANAGED_ASSET9_I
    ON @SCHEMA@.LSW_MANAGED_ASSET9_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT166
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_MANAGED_ASSET_DATA (
    "ASSET_DATA_ID" CHAR(36) NOT NULL,
    "ASSET_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT166
;


CREATE LOB TABLESPACE WLP1662
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_MANAGED_ASSET_DATA2_LOB
    IN @DB_NAME@.WLP1662
    STORES @SCHEMA@.LSW_MANAGED_ASSET_DATA COLUMN ASSET_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_MANAGED_ASSET_DATA2_I
    ON @SCHEMA@.LSW_MANAGED_ASSET_DATA2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT188
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_CONTRIBUTION (
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "FILENAME" VARCHAR( 1990) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT188
;


CREATE LOB TABLESPACE WLP1884
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_CONTRIBUTION4_LOB
    IN @DB_NAME@.WLP1884
    STORES @SCHEMA@.BPM_CONTRIBUTION COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_CONTRIBUTION4_I
    ON @SCHEMA@.BPM_CONTRIBUTION4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT189
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_CTRB_PROPERTY (
    "PROPERTY_ID" CHAR(36) NOT NULL,
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "PROP_VALUE" VARCHAR(2000),
    "PROP_TYPE_CODE" DECIMAL(8,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT189
;


CREATE LOB TABLESPACE WLP1896
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_CTRB_PROPERTY6_LOB
    IN @DB_NAME@.WLP1896
    STORES @SCHEMA@.BPM_CTRB_PROPERTY COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_CTRB_PROPERTY6_I
    ON @SCHEMA@.BPM_CTRB_PROPERTY6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT190
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY (
    "CTRB_DEPENDENCY_ID" CHAR(36) NOT NULL,
    "LIBRARY_NAME" VARCHAR(2048) NOT NULL,
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "CONTRIBUTION_REF" CHAR(36),
    "DEPLOY_WITH" CHAR(1) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT190
;


CREATE TABLESPACE WLPT191
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ARTIFACT (
    "ARTIFACT_ID" CHAR(36) NOT NULL,
    "ART_DATA_UUID" CHAR(36),
    "CONTRIBUTION_ID" CHAR(36) NOT NULL,
    "MEDIA_TYPE" VARCHAR(200)
        DEFAULT 'application/octet-stream',
    "CHAR_ENCODING" VARCHAR(200)
        DEFAULT 'UTF-8',
    "LENGTH" DECIMAL(19,0),
    "FULL_PATH" VARCHAR( 1990) NOT NULL,
    "DIGEST" VARCHAR(90) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT191
;


CREATE LOB TABLESPACE WLP19110
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ARTIFACT10_LOB
    IN @DB_NAME@.WLP19110
    STORES @SCHEMA@.BPM_ARTIFACT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ARTIFACT10_I
    ON @SCHEMA@.BPM_ARTIFACT10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT192
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ARTIFACT_DATA (
    "ART_DATA_ID" CHAR(36) NOT NULL,
    "ART_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT192
;


CREATE LOB TABLESPACE WLP1922
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ARTIFACT_DATA2_LOB
    IN @DB_NAME@.WLP1922
    STORES @SCHEMA@.BPM_ARTIFACT_DATA COLUMN ART_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ARTIFACT_DATA2_I
    ON @SCHEMA@.BPM_ARTIFACT_DATA2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT196
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_MON_MODEL_DATA (
    "MM_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "DATA" BLOB(2G),
    "IS_DIRTY" CHAR(1)
)
IN @DB_NAME@.WLPT196
;


CREATE LOB TABLESPACE WLP553
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_MON_MODEL_DATA3_LOB
    IN @DB_NAME@.WLP553
    STORES @SCHEMA@.BPM_MON_MODEL_DATA COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_MON_MODEL_DATA3_I
    ON @SCHEMA@.BPM_MON_MODEL_DATA3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT125
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SAVED_SEARCHES (
    "SEARCH_ID" DECIMAL(18,0) NOT NULL,
    "SEARCH_NAME" VARCHAR(60) NOT NULL,
    "QUERY" CLOB(2G) NOT NULL,
    "USER_ID" DECIMAL(18,0)
)
IN @DB_NAME@.WLPT125
;


CREATE LOB TABLESPACE WLP1253
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SAVED_SEARCHES3_LOB
    IN @DB_NAME@.WLP1253
    STORES @SCHEMA@.LSW_SAVED_SEARCHES COLUMN QUERY
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SAVED_SEARCHES3_I
    ON @SCHEMA@.LSW_SAVED_SEARCHES3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT160
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_INSTALLATION (
    "INSTALLATION_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "STATUS" DECIMAL(2,0) NOT NULL,
    "DETAILS" BLOB(2G)
)
IN @DB_NAME@.WLPT160
;


CREATE LOB TABLESPACE WLP1604
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_INSTALLATION4_LOB
    IN @DB_NAME@.WLP1604
    STORES @SCHEMA@.LSW_INSTALLATION COLUMN DETAILS
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_INSTALLATION4_I
    ON @SCHEMA@.LSW_INSTALLATION4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT161
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RELEASE (
    "RELEASE_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT161
;


CREATE TABLESPACE WLPT172
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USER_FAVORITE (
    "FAVORITE_ID" CHAR(36) NOT NULL,
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT172
;


CREATE TABLESPACE WLPT183
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SMART_FOLDER (
    "SMART_FOLDER_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "SHARED" CHAR(1)
        DEFAULT 'F',
    "LIVE" CHAR(1)
        DEFAULT 'F',
    "INCLUDE_TK" CHAR(1)
        DEFAULT 'F',
    "DATA" BLOB(2G),
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT183
;


CREATE LOB TABLESPACE WLP1836
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SMART_FOLDER6_LOB
    IN @DB_NAME@.WLP1836
    STORES @SCHEMA@.LSW_SMART_FOLDER COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SMART_FOLDER6_I
    ON @SCHEMA@.LSW_SMART_FOLDER6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT186
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE (
    "ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "BPD_GUID" VARCHAR(256) NOT NULL
)
IN @DB_NAME@.WLPT186
;


CREATE TABLESPACE WLPT187
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA (
    "ID" DECIMAL(12,0) NOT NULL,
    "CA_GUID" VARCHAR(256) NOT NULL
)
IN @DB_NAME@.WLPT187
;


CREATE TABLESPACE WLPT65
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_LAUNCHER (
    "LAUNCHER_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" VARCHAR(510),
    "CMD" VARCHAR(2000) NOT NULL,
    "CMD_TYPE" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT65
;


CREATE TABLESPACE WLPT66
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BREAKPOINT (
    "BREAKPOINT_ID" CHAR(36) NOT NULL,
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "PROCESS_ITEM_ID" CHAR(36) NOT NULL,
    "PROCESS_ITEM_NAME" VARCHAR(128),
    "IS_CONDITION_IN_USE" CHAR(1),
    "CONDITION" VARCHAR(2000)
)
IN @DB_NAME@.WLPT66
;


CREATE TABLESPACE WLPT207
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_OSLC_PROVIDER (
    "PROVIDER_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(512),
    "URL" VARCHAR(2048) NOT NULL,
    "DATA" CLOB(2G),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT207
;


CREATE LOB TABLESPACE WLP2074
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_OSLC_PROVIDER4_LOB
    IN @DB_NAME@.WLP2074
    STORES @SCHEMA@.BPM_OSLC_PROVIDER COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_OSLC_PROVIDER4_I
    ON @SCHEMA@.BPM_OSLC_PROVIDER4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT26
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_CLASS (
    "CLASS_ID" CHAR(36) NOT NULL,
    "IS_SYSTEM" CHAR(1),
    "SHARED" CHAR(1),
    "LIFETIME" CHAR(1),
    "TYPE" DECIMAL(3,0) NOT NULL,
    "XML_DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT26
;


CREATE LOB TABLESPACE WLP266
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_CLASS6_LOB
    IN @DB_NAME@.WLP266
    STORES @SCHEMA@.LSW_CLASS COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS6_I
    ON @SCHEMA@.LSW_CLASS6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP268
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_CLASS8_LOB
    IN @DB_NAME@.WLP268
    STORES @SCHEMA@.LSW_CLASS COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_CLASS8_I
    ON @SCHEMA@.LSW_CLASS8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT05
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_LAYOUT (
    "LAYOUT_ID" CHAR(36) NOT NULL,
    "TYPE" VARCHAR(128) NOT NULL,
    "URL" VARCHAR(510),
    "DOCUMENT_TYPE" VARCHAR(128),
    "IMAGE_URL" VARCHAR(510),
    "META_DATA_LABEL" VARCHAR(510),
    "META_DATA_UI" VARCHAR(510),
    "LAYOUT_DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT05
;


CREATE LOB TABLESPACE WLP058
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_LAYOUT8_LOB
    IN @DB_NAME@.WLP058
    STORES @SCHEMA@.LSW_LAYOUT COLUMN LAYOUT_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_LAYOUT8_I
    ON @SCHEMA@.LSW_LAYOUT8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP0510
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_LAYOUT10_LOB
    IN @DB_NAME@.WLP0510
    STORES @SCHEMA@.LSW_LAYOUT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_LAYOUT10_I
    ON @SCHEMA@.LSW_LAYOUT10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT87
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_LAYOUT_PARAM (
    "LAYOUT_PARAM_ID" CHAR(36) NOT NULL,
    "LAYOUT_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "TYPE" DECIMAL(12,0),
    "SEQ" DECIMAL(12,0),
    "VALUE" VARCHAR(128),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT87
;


CREATE TABLESPACE WLPT169
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS (
    "PROJECT_DEFAULTS_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "PARTICIPANT_REF" CHAR(36),
    "DEFAULT_XSL_REF" CHAR(36),
    "DEFAULT_CSS_REF" CHAR(36),
    "DEFAULT_JS_REFS" VARCHAR(2000),
    "IS_WBM_ENABLED" CHAR(1),
    "NAMESPACE" VARCHAR(512),
    "IS_IID_OPTIMIZED" CHAR(1),
    "IS_QUEUE_BYPASS" DECIMAL(1,0)
)
IN @DB_NAME@.WLPT169
;


CREATE LOB TABLESPACE WLP1693
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS3_LOB
    IN @DB_NAME@.WLP1693
    STORES @SCHEMA@.LSW_PROJECT_DEFAULTS COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROJECT_DEFAULTS3_I
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT129
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP (
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT129
;


CREATE LOB TABLESPACE WLP1293
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP3_LOB
    IN @DB_NAME@.WLP1293
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP3_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT130
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE (
    "RESOURCE_BUNDLE_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "LOCALE_LANGUAGE" VARCHAR(4),
    "LOCALE_COUNTRY" VARCHAR(4),
    "LOCALE_VARIANT" VARCHAR(64),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT130
;


CREATE TABLESPACE WLPT131
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY (
    "RESOURCE_BUNDLE_KEY_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_ID" CHAR(36),
    "AKEY" VARCHAR(128) NOT NULL,
    "VALUE" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT131
;


CREATE LOB TABLESPACE WLP1314
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY4_LOB
    IN @DB_NAME@.WLP1314
    STORES @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY4_I
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT61
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SCRIPT (
    "SCRIPT_ID" CHAR(36) NOT NULL,
    "SCRIPT_TYPE_ID" DECIMAL(12,0),
    "IS_ACTIVE" CHAR(1),
    "IS_RULE" CHAR(1),
    "SCRIPT" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT61
;


CREATE LOB TABLESPACE WLP615
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SCRIPT5_LOB
    IN @DB_NAME@.WLP615
    STORES @SCHEMA@.LSW_SCRIPT COLUMN SCRIPT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SCRIPT5_I
    ON @SCHEMA@.LSW_SCRIPT5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT156
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SERVER (
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "SERVER_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "ADDRESS" VARCHAR(256),
    "PROVIDER_URL" VARCHAR(1000) NOT NULL,
    "PORT" VARCHAR(10) NOT NULL,
    "IS_OFFLINE" CHAR(1)
        DEFAULT '0',
    "LAST_HEARTBEAT" TIMESTAMP,
    "IS_AVAILABLE" CHAR(1)
        DEFAULT '0',
    "TYPE" DECIMAL(12,0)
        DEFAULT 0,
    "USER_NAME" VARCHAR(100),
    "PASSWORD" VARCHAR(500),
    "IS_ENCRYPTED" CHAR(1)
        DEFAULT '0',
    "INSTALLER_GROUP_ID" DECIMAL(12,0),
    "IS_COMPATIBLE" CHAR(1)
        DEFAULT 'T' NOT NULL
)
IN @DB_NAME@.WLPT156
;


CREATE LOB TABLESPACE WLP1567
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SERVER7_LOB
    IN @DB_NAME@.WLP1567
    STORES @SCHEMA@.LSW_SERVER COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SERVER7_I
    ON @SCHEMA@.LSW_SERVER7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT157
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DEPLOYMENT (
    "DEPLOYMENT_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "SERVER_ID" CHAR(36) NOT NULL,
    "INSTANCE_COUNT" DECIMAL(12,0)
        DEFAULT 0,
    "STATUS" VARCHAR(128),
    "STATE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL,
    "STATUS_DESCRIPTION" VARCHAR(2000)
)
IN @DB_NAME@.WLPT157
;


CREATE TABLESPACE WLPT158
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SERVER_CAPABILITY (
    "SERVER_CAPABILITY_ID" CHAR(36) NOT NULL,
    "SERVER_ID" CHAR(36) NOT NULL,
    "CAPABILITY_TYPE" VARCHAR(128) NOT NULL,
    "CAPABILITY_VERSION" VARCHAR(128) NOT NULL
)
IN @DB_NAME@.WLPT158
;


CREATE TABLESPACE WLPT159
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_CAPABILITY_TYPE (
    "CAPABILITY_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "CAPABILITY_CONFIG_ID" VARCHAR(128) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "IS_OPTIONAL" CHAR(1)
        DEFAULT '0'
)
IN @DB_NAME@.WLPT159
;


CREATE LOB TABLESPACE WLP1594
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_CAPABILITY_TYPE4_LOB
    IN @DB_NAME@.WLP1594
    STORES @SCHEMA@.LSW_CAPABILITY_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_CAPABILITY_TYPE4_I
    ON @SCHEMA@.LSW_CAPABILITY_TYPE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT167
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE (
    "SNAPSHOT_ID" CHAR(36),
    "SERVER_ID" CHAR(36) NOT NULL,
    "DEPLOYMENT_PACKAGE" BLOB(2G)
)
IN @DB_NAME@.WLPT167
;


CREATE LOB TABLESPACE WLP1673
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE3_LOB
    IN @DB_NAME@.WLP1673
    STORES @SCHEMA@.LSW_DEPLOYMENT_PACKAGE COLUMN DEPLOYMENT_PACKAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_DEPLOYMENT_PACKAGE3_I
    ON @SCHEMA@.LSW_DEPLOYMENT_PACKAGE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT200
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_REGISTRATION (
    "REG_ID" CHAR(36) NOT NULL,
    "PC_URL" VARCHAR(512) NOT NULL,
    "PC_ID" CHAR(36) NOT NULL,
    "PC_NAME" VARCHAR(256) NOT NULL,
    "PC_VER" VARCHAR(32) NOT NULL,
    "REG_USER" VARCHAR(512) NOT NULL,
    "REGISTERED_ON" TIMESTAMP,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "IS_INITIATOR" CHAR(1)
        DEFAULT 'T' NOT NULL
)
IN @DB_NAME@.WLPT200
;


CREATE TABLESPACE WLPT201
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_REPOSITORY_LOG (
    "REPOSITORY_LOG_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36),
    "ACTION_TYPE" DECIMAL(8,0) NOT NULL,
    "TARGET_ITEM_NAME" VARCHAR(396),
    "REPOSITORY_UUID" CHAR(36),
    "CREATED_BY_USER" VARCHAR(512),
    "CREATED" TIMESTAMP,
    "PROPERTIES" CLOB(2G)
)
IN @DB_NAME@.WLPT201
;


CREATE LOB TABLESPACE WLP2018
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_REPOSITORY_LOG8_LOB
    IN @DB_NAME@.WLP2018
    STORES @SCHEMA@.BPM_REPOSITORY_LOG COLUMN PROPERTIES
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_REPOSITORY_LOG8_I
    ON @SCHEMA@.BPM_REPOSITORY_LOG8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT202
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SHARED_TK_USAGES (
    "SHARED_TK_USAGE_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "DEPENDENT_PROJECT_NAME" VARCHAR(256) NOT NULL,
    "IS_TOOLKIT" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT202
;


CREATE TABLESPACE WLPT203
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS (
    "STATUS_ID" CHAR(36) NOT NULL,
    "STATUS" VARCHAR(128) NOT NULL,
    "IS_SYSTEM" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT203
;


CREATE TABLESPACE WLPT204
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION (
    "PROJECT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SUBSCRIBED_BY" DECIMAL(12,0) NOT NULL,
    "SUBSCRIBED_ON" TIMESTAMP NOT NULL,
    "STATUS" VARCHAR(128),
    "ACTIVE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "SHARED_BY_USER_ID" VARCHAR(512),
    "SHARED_ON" TIMESTAMP,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT204
;


CREATE TABLESPACE WLPT205
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED (
    "PROJECT_SUBSCRIBED_ID" CHAR(36) NOT NULL,
    "REGISTRATION_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SUBSCRIBED_BY" VARCHAR(512) NOT NULL,
    "SUBSCRIBED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFICATION" TIMESTAMP
)
IN @DB_NAME@.WLPT205
;


CREATE TABLESPACE WLPT210
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_PC_IDX_ACTION (
    "ACTION_ID" CHAR(36) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "USER_ACTION" DECIMAL(8,0) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT210
;


CREATE TABLESPACE WLPT211
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_PC_INDEXER (
    "INDEXER_ID" CHAR(36) NOT NULL,
    "LAST_INDEXED_ON" TIMESTAMP NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPT211
;


CREATE LOB TABLESPACE WLP2114
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_PC_INDEXER4_LOB
    IN @DB_NAME@.WLP2114
    STORES @SCHEMA@.BPM_PC_INDEXER COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_INDEXER4_I
    ON @SCHEMA@.BPM_PC_INDEXER4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ3901
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT (
    "ASSIGNMENT_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ3901
;


CREATE TABLESPACE WLPZ3902
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT (
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE" DECIMAL(8,0) NOT NULL,
    "EVENT_TYPE_NAME" VARCHAR(396) NOT NULL,
    "GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
    "GOV_CUSTOM_DEFAULT_SNAPSHOT_ID" CHAR(36),
    "GOV_CUSTOM_DEFAULT_PROCESS_ID" CHAR(36),
    "GOV_CUSTOM_DEFAULT_PROCESS_TYP" DECIMAL(8,0)
)
IN @DB_NAME@.WLPZ3902
;


CREATE TABLESPACE WLPT132
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER (
    "PERF_DATA_TRANSFER_ID" VARCHAR(128) NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "TIME_CLAIMED" TIMESTAMP,
    "CLAIMED_BY" VARCHAR(128)
)
IN @DB_NAME@.WLPT132
;


CREATE LOB TABLESPACE WLP1322
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER2_LOB
    IN @DB_NAME@.WLP1322
    STORES @SCHEMA@.LSW_PERF_DATA_TRANSFER COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PERF_DATA_TRANSFER2_I
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT89
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TRACKING_GROUP (
    "TRACKING_GROUP_ID" CHAR(36) NOT NULL,
    "EXTERNAL_UNIQUE_ID" VARCHAR(128) NOT NULL,
    "IS_ENABLED" CHAR(1),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT89
;


CREATE LOB TABLESPACE WLP895
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TRACKING_GROUP5_LOB
    IN @DB_NAME@.WLP895
    STORES @SCHEMA@.LSW_TRACKING_GROUP COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TRACKING_GROUP5_I
    ON @SCHEMA@.LSW_TRACKING_GROUP5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT90
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TRACKED_VARIABLE (
    "TRACKED_VARIABLE_ID" CHAR(36) NOT NULL,
    "TRACKING_GROUP_ID" CHAR(36) NOT NULL,
    "EXTERNAL_UNIQUE_ID" VARCHAR(128) NOT NULL,
    "TYPE" VARCHAR(16) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT90
;


CREATE LOB TABLESPACE WLP906
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TRACKED_VARIABLE6_LOB
    IN @DB_NAME@.WLP906
    STORES @SCHEMA@.LSW_TRACKED_VARIABLE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TRACKED_VARIABLE6_I
    ON @SCHEMA@.LSW_TRACKED_VARIABLE6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT91
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TRACKING_POINT (
    "TRACKING_POINT_ID" CHAR(36) NOT NULL,
    "TRACKING_GROUP_REF" CHAR(36),
    "EXTERNAL_UNIQUE_ID" VARCHAR(128) NOT NULL,
    "OTHER_TASK_ID" VARCHAR(128),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT91
;


CREATE TABLESPACE WLPT92
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE (
    "TRACKING_VARIABLE_USE_ID" CHAR(36) NOT NULL,
    "TRACKED_VARIABLE_ID" CHAR(36) NOT NULL,
    "TRACKING_POINT_ID" CHAR(36) NOT NULL,
    "VALUE_EXPRESSION" VARCHAR(510),
    "IS_EXPRESSION_ENABLED" CHAR(1),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT92
;


CREATE TABLESPACE WLPT93
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TIMING_INTERVAL (
    "TIMING_INTERVAL_ID" CHAR(36) NOT NULL,
    "EXTERNAL_UNIQUE_ID" VARCHAR(128) NOT NULL,
    "INTERVAL_START" VARCHAR(16) NOT NULL,
    "INTERVAL_END" VARCHAR(16) NOT NULL,
    "XML_DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT93
;


CREATE LOB TABLESPACE WLP935
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TIMING_INTERVAL5_LOB
    IN @DB_NAME@.WLP935
    STORES @SCHEMA@.LSW_TIMING_INTERVAL COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TIMING_INTERVAL5_I
    ON @SCHEMA@.LSW_TIMING_INTERVAL5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP937
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TIMING_INTERVAL7_LOB
    IN @DB_NAME@.WLP937
    STORES @SCHEMA@.LSW_TIMING_INTERVAL COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TIMING_INTERVAL7_I
    ON @SCHEMA@.LSW_TIMING_INTERVAL7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT94
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND (
    "TIMING_INTERVAL_BOUND_ID" CHAR(36) NOT NULL,
    "TIMING_INTERVAL_ID" CHAR(36) NOT NULL,
    "TRACKING_POINT_EUID" VARCHAR(128) NOT NULL,
    "BOUND" VARCHAR(16) NOT NULL,
    "BPD_REF" CHAR(36),
    "PROCESS_REF" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT94
;


CREATE TABLESPACE WLPT18
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ECM_CONNECTOR (
    "ECM_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT18
;


CREATE LOB TABLESPACE WLP182
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ECM_CONNECTOR2_LOB
    IN @DB_NAME@.WLP182
    STORES @SCHEMA@.BPM_ECM_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ECM_CONNECTOR2_I
    ON @SCHEMA@.BPM_ECM_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT19
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ILOG_DECISION (
    "ILOG_DECISION_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT19
;


CREATE LOB TABLESPACE WLP192
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ILOG_DECISION2_LOB
    IN @DB_NAME@.WLP192
    STORES @SCHEMA@.LSW_ILOG_DECISION COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ILOG_DECISION2_I
    ON @SCHEMA@.LSW_ILOG_DECISION2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT20
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SCA_CONNECTOR (
    "SCA_CONNECTOR_ID" CHAR(36) NOT NULL,
    "MODULE_NAME" VARCHAR(512),
    "EXPORT_NAME" VARCHAR(512),
    "MODULE_VERSION" VARCHAR(64),
    "OPERATION_NAME" VARCHAR(512),
    "LAST_SYNCHRONIZED" VARCHAR(256),
    "IS_ASYNC_INVOCATION" CHAR(1),
    "OPERATION_STYLE" DECIMAL(1,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT20
;


CREATE TABLESPACE WLPT21
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_STEP (
    "STEP_ID" CHAR(36) NOT NULL,
    "IS_IC_ACTIVE" CHAR(1) NOT NULL,
    "IC_REF" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT21
;


CREATE TABLESPACE WLPT12
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_CONNECTOR (
    "CONNECTOR_ID" CHAR(36) NOT NULL,
    "IS_SYSTEM" CHAR(1) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "CONNECTOR_TYPE" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT12
;


CREATE LOB TABLESPACE WLP123
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_CONNECTOR3_LOB
    IN @DB_NAME@.WLP123
    STORES @SCHEMA@.LSW_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_CONNECTOR3_I
    ON @SCHEMA@.LSW_CONNECTOR3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP126
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_CONNECTOR6_LOB
    IN @DB_NAME@.WLP126
    STORES @SCHEMA@.LSW_CONNECTOR COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_CONNECTOR6_I
    ON @SCHEMA@.LSW_CONNECTOR6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT13
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_IC (
    "IC_ID" CHAR(36) NOT NULL,
    "IS_TEMPLATE" CHAR(1),
    "CONNECTOR_REF" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT13
;


CREATE LOB TABLESPACE WLP135
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_IC5_LOB
    IN @DB_NAME@.WLP135
    STORES @SCHEMA@.LSW_IC COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_IC5_I
    ON @SCHEMA@.LSW_IC5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT14
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_JAVA_CONNECTOR (
    "JAVA_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT14
;


CREATE LOB TABLESPACE WLP142
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_JAVA_CONNECTOR2_LOB
    IN @DB_NAME@.WLP142
    STORES @SCHEMA@.LSW_JAVA_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_JAVA_CONNECTOR2_I
    ON @SCHEMA@.LSW_JAVA_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT15
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_WS_CONNECTOR (
    "WS_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT15
;


CREATE LOB TABLESPACE WLP152
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_WS_CONNECTOR2_LOB
    IN @DB_NAME@.WLP152
    STORES @SCHEMA@.LSW_WS_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_WS_CONNECTOR2_I
    ON @SCHEMA@.LSW_WS_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT16
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ILOG_CONNECTOR (
    "ILOG_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT16
;


CREATE LOB TABLESPACE WLP162
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ILOG_CONNECTOR2_LOB
    IN @DB_NAME@.WLP162
    STORES @SCHEMA@.LSW_ILOG_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ILOG_CONNECTOR2_I
    ON @SCHEMA@.LSW_ILOG_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT17
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR (
    "ICMCASE_CONNECTOR_ID" CHAR(36) NOT NULL,
    "DEFINITION" BLOB(2G) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT17
;


CREATE LOB TABLESPACE WLP172
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR2_LOB
    IN @DB_NAME@.WLP172
    STORES @SCHEMA@.LSW_ICMCASE_CONNECTOR COLUMN DEFINITION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_ICMCASE_CONNECTOR2_I
    ON @SCHEMA@.LSW_ICMCASE_CONNECTOR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT72
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EPV_PROCESS_LINK (
    "EPV_PROCESS_LINK_ID" CHAR(36) NOT NULL,
    "EPV_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT72
;


CREATE TABLESPACE WLPT73
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_PROCESS_LINK (
    "RESOURCE_PROCESS_LINK_ID" CHAR(36) NOT NULL,
    "RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT73
;


CREATE TABLESPACE WLPT68
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXCEPTION (
    "EXCEPTION_ID" CHAR(36) NOT NULL,
    "MESSAGE" CLOB(2G),
    "ATTACHED_PROCESS_REF" CHAR(36),
    "FAULT_STYLE" DECIMAL(2,0),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT68
;


CREATE LOB TABLESPACE WLP682
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXCEPTION2_LOB
    IN @DB_NAME@.WLP682
    STORES @SCHEMA@.LSW_EXCEPTION COLUMN MESSAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXCEPTION2_I
    ON @SCHEMA@.LSW_EXCEPTION2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT47
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXIT_POINT (
    "EXIT_POINT_ID" CHAR(36) NOT NULL,
    "HALT_PROCESS" CHAR(1),
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT47
;


CREATE TABLESPACE WLPT48
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_FILE (
    "TASK_SENDER_FILE_ID" CHAR(36) NOT NULL,
    "TASK_SENDER_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "FILE_NAME" VARCHAR(510),
    "IS_LOCKED" CHAR(1),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT48
;


CREATE TABLESPACE WLPT49
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR (
    "TASK_SENDER_ADDR_ID" CHAR(36) NOT NULL,
    "TASK_SENDER_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "SEND_TO" VARCHAR(510),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT49
;


CREATE TABLESPACE WLPT50
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST (
    "PROCESS_ITEM_PRE_POST_ID" CHAR(36) NOT NULL,
    "PROCESS_ITEM_ID" CHAR(36) NOT NULL,
    "LOCATION" DECIMAL(1,0) NOT NULL,
    "SCRIPT" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT50
;


CREATE LOB TABLESPACE WLP504
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST4_LOB
    IN @DB_NAME@.WLP504
    STORES @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST COLUMN SCRIPT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST4_I
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT51
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_LINK (
    "PROCESS_LINK_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128),
    "DESCRIPTION" CLOB(2G),
    "FROM_PROCESS_ITEM_ID" CHAR(36) NOT NULL,
    "END_STATE_ID" VARCHAR(256) NOT NULL,
    "TO_PROCESS_ITEM_ID" CHAR(36) NOT NULL,
    "DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT51
;


CREATE LOB TABLESPACE WLP514
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_LINK4_LOB
    IN @DB_NAME@.WLP514
    STORES @SCHEMA@.LSW_PROCESS_LINK COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_LINK4_I
    ON @SCHEMA@.LSW_PROCESS_LINK4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP518
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_LINK8_LOB
    IN @DB_NAME@.WLP518
    STORES @SCHEMA@.LSW_PROCESS_LINK COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_LINK8_I
    ON @SCHEMA@.LSW_PROCESS_LINK8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT55
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_FILE (
    "FILE_ID" DECIMAL(12,0) NOT NULL,
    "FILE_NAME" VARCHAR(256) NOT NULL,
    "CONTENT_TYPE" VARCHAR(256) NOT NULL,
    "CREATED_BY" DECIMAL(12,0) NOT NULL,
    "CREATED_DATE" TIMESTAMP,
    "FILE_DETAIL" BLOB(2G) NOT NULL,
    "IS_LOCKED" CHAR(1)
)
IN @DB_NAME@.WLPT55
;


CREATE LOB TABLESPACE WLP556
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_FILE6_LOB
    IN @DB_NAME@.WLP556
    STORES @SCHEMA@.LSW_FILE COLUMN FILE_DETAIL
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_FILE6_I
    ON @SCHEMA@.LSW_FILE6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT44
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
  
;

CREATE TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY (
    "IC_INPUT_PROPERTY_ID" CHAR(36) NOT NULL,
    "IC_ID" CHAR(36) NOT NULL,
    "KEY_VAL" VARCHAR(2000) NOT NULL,
    "NAME" VARCHAR( 1990) NOT NULL,
    "CLASS_TYPE" VARCHAR(1024) NOT NULL,
    "DESCRIPTION" VARCHAR(510) NOT NULL,
    "VALUE" BLOB(2G),
    "SEQ" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT44
;


CREATE LOB TABLESPACE WLP447
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY7_LOB
    IN @DB_NAME@.WLP447
    STORES @SCHEMA@.LSW_IC_INPUT_PROPERTY COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_IC_INPUT_PROPERTY7_I
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT64
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE8K@
  
;

CREATE TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY (
    "IC_OUTPUT_PROPERTY_ID" CHAR(36) NOT NULL,
    "IC_ID" CHAR(36) NOT NULL,
    "KEY_VAL" VARCHAR(2000) NOT NULL,
    "NAME" VARCHAR( 1990) NOT NULL,
    "CLASS_TYPE" VARCHAR(1024),
    "DESCRIPTION" VARCHAR(510),
    "VALUE" CLOB(2G),
    "SEQ" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT64
;


CREATE LOB TABLESPACE WLP647
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY7_LOB
    IN @DB_NAME@.WLP647
    STORES @SCHEMA@.LSW_IC_OUTPUT_PROPERTY COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_IC_OUTPUT_PROPERTY7_I
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT67
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PARAMETER_MAPPING (
    "PARAMETER_MAPPING_ID" CHAR(36) NOT NULL,
    "PROCESS_PARAMETER_ID" CHAR(36) NOT NULL,
    "PARENT_TYPE" DECIMAL(12,0) NOT NULL,
    "PARENT_ID" CHAR(36) NOT NULL,
    "USE_DEFAULT" CHAR(1),
    "VALUE" BLOB(2G),
    "CLASS_REF" CHAR(36) NOT NULL,
    "IS_LIST" CHAR(1),
    "IS_INPUT" CHAR(1),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT67
;


CREATE LOB TABLESPACE WLP676
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PARAMETER_MAPPING6_LOB
    IN @DB_NAME@.WLP676
    STORES @SCHEMA@.LSW_PARAMETER_MAPPING COLUMN VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PARAMETER_MAPPING6_I
    ON @SCHEMA@.LSW_PARAMETER_MAPPING6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP6711
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PARAMETER_MAPPING11_LOB
    IN @DB_NAME@.WLP6711
    STORES @SCHEMA@.LSW_PARAMETER_MAPPING COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PARAMETER_MAPPING11_I
    ON @SCHEMA@.LSW_PARAMETER_MAPPING11_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT04
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PRIORITY (
    "PRIORITY_ID" DECIMAL(12,0) NOT NULL,
    "RANKING" DECIMAL(12,0),
    "IS_DEFAULT" CHAR(1)
        DEFAULT 'F',
    "LEGACY_GUID" VARCHAR(256),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPT04
;


CREATE LOB TABLESPACE WLP046
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PRIORITY6_LOB
    IN @DB_NAME@.WLP046
    STORES @SCHEMA@.LSW_PRIORITY COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PRIORITY6_I
    ON @SCHEMA@.LSW_PRIORITY6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT03
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS (
    "PROCESS_ID" CHAR(36) NOT NULL,
    "IMAGE" VARCHAR(510),
    "TAB_GROUP" VARCHAR(510),
    "STARTING_PROCESS_ITEM_ID" CHAR(36),
    "IS_ROOT_PROCESS" CHAR(1) NOT NULL,
    "PROCESS_TYPE" DECIMAL(12,0)
        DEFAULT 0 NOT NULL,
    "DATA" BLOB(2G),
    "IS_ERROR_HANDLER_ENABLED" CHAR(1) NOT NULL,
    "ERROR_HANDLER_ITEM_ID" CHAR(36),
    "IS_LOGGING_VARIABLES" CHAR(1),
    "IS_TRANSACTIONAL" CHAR(1),
    "PROCESS_TIMING_LEVEL" CHAR(1),
    "PARTICIPANT_REF" CHAR(36),
    "EXPOSED_TYPE" DECIMAL(10,0),
    "IS_TRACKING_ENABLED" CHAR(1) NOT NULL,
    "XML_DATA" BLOB(2G),
    "CACHING_TYPE" CHAR(1),
    "ITEM_LABEL" VARCHAR(510),
    "CACHE_LENGTH" DECIMAL(12,0)
        DEFAULT 0,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT03
;


CREATE LOB TABLESPACE WLP037
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS7_LOB
    IN @DB_NAME@.WLP037
    STORES @SCHEMA@.LSW_PROCESS COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS7_I
    ON @SCHEMA@.LSW_PROCESS7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP0316
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS16_LOB
    IN @DB_NAME@.WLP0316
    STORES @SCHEMA@.LSW_PROCESS COLUMN XML_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS16_I
    ON @SCHEMA@.LSW_PROCESS16_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP0318
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS21_LOB
    IN @DB_NAME@.WLP0318
    STORES @SCHEMA@.LSW_PROCESS COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS21_I
    ON @SCHEMA@.LSW_PROCESS21_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT08
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_ITEM (
    "PROCESS_ITEM_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "TWCOMPONENT_NAME" VARCHAR(160) NOT NULL,
    "TWCOMPONENT_ID" CHAR(36) NOT NULL,
    "IS_LOG_ENABLED" CHAR(1),
    "IS_TRACE_ENABLED" CHAR(1),
    "TRACE_CATEGORY" VARCHAR(510),
    "TRACE_LEVEL" DECIMAL(1,0),
    "TRACE_MESSAGE" CLOB(2G),
    "TRACE_SYMBOL_TABLE" CHAR(4),
    "IS_EXEC_CONTEXT_TRACED" CHAR(1),
    "SAVE_EXEC_CONTEXT" CHAR(1) NOT NULL,
    "DOCUMENTATION" CLOB(2G),
    "DATA" BLOB(2G),
    "IS_ERROR_HANDLER_ENABLED" CHAR(1) NOT NULL,
    "ERROR_HANDLER_ITEM_ID" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT08
;


CREATE LOB TABLESPACE WLP0810
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_ITEM10_LOB
    IN @DB_NAME@.WLP0810
    STORES @SCHEMA@.LSW_PROCESS_ITEM COLUMN TRACE_MESSAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_ITEM10_I
    ON @SCHEMA@.LSW_PROCESS_ITEM10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP0814
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_ITEM14_LOB
    IN @DB_NAME@.WLP0814
    STORES @SCHEMA@.LSW_PROCESS_ITEM COLUMN DOCUMENTATION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_ITEM14_I
    ON @SCHEMA@.LSW_PROCESS_ITEM14_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP0815
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_ITEM15_LOB
    IN @DB_NAME@.WLP0815
    STORES @SCHEMA@.LSW_PROCESS_ITEM COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_ITEM15_I
    ON @SCHEMA@.LSW_PROCESS_ITEM15_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT11
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SUBPROCESS (
    "SUBPROCESS_ID" CHAR(36) NOT NULL,
    "ATTACHED_PROCESS_REF" CHAR(36),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT11
;


CREATE TABLESPACE WLPT58
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_LABEL (
    "PROCESS_LABEL_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "DATA" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT58
;


CREATE LOB TABLESPACE WLP583
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_LABEL3_LOB
    IN @DB_NAME@.WLP583
    STORES @SCHEMA@.LSW_PROCESS_LABEL COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_LABEL3_I
    ON @SCHEMA@.LSW_PROCESS_LABEL3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP584
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_LABEL4_LOB
    IN @DB_NAME@.WLP584
    STORES @SCHEMA@.LSW_PROCESS_LABEL COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_LABEL4_I
    ON @SCHEMA@.LSW_PROCESS_LABEL4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT59
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_VARIABLE (
    "PROCESS_VARIABLE_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(510) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "PROCESS_ID" CHAR(36) NOT NULL,
    "NAMESPACE" DECIMAL(2,0) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "IS_ARRAY_OF" CHAR(1) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "HAS_DEFAULT" CHAR(1) NOT NULL,
    "DEFAULT_VALUE" BLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT59
;


CREATE LOB TABLESPACE WLP593
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_VARIABLE3_LOB
    IN @DB_NAME@.WLP593
    STORES @SCHEMA@.LSW_PROCESS_VARIABLE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_VARIABLE3_I
    ON @SCHEMA@.LSW_PROCESS_VARIABLE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP5910
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_VARIABLE10_LOB
    IN @DB_NAME@.WLP5910
    STORES @SCHEMA@.LSW_PROCESS_VARIABLE COLUMN DEFAULT_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_VARIABLE10_I
    ON @SCHEMA@.LSW_PROCESS_VARIABLE10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT60
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_PARAMETER (
    "PROCESS_PARAMETER_ID" CHAR(36) NOT NULL,
    "PROCESS_ID" CHAR(36) NOT NULL,
    "PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
    "IS_ARRAY_OF" CHAR(1) NOT NULL,
    "CLASS_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "HAS_DEFAULT" CHAR(1),
    "DEFAULT_VALUE" BLOB(2G),
    "IS_LOCKED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT60
;


CREATE LOB TABLESPACE WLP608
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_PARAMETER8_LOB
    IN @DB_NAME@.WLP608
    STORES @SCHEMA@.LSW_PROCESS_PARAMETER COLUMN DEFAULT_VALUE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_PARAMETER8_I
    ON @SCHEMA@.LSW_PROCESS_PARAMETER8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP6010
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROCESS_PARAMETER11_LOB
    IN @DB_NAME@.WLP6010
    STORES @SCHEMA@.LSW_PROCESS_PARAMETER COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROCESS_PARAMETER11_I
    ON @SCHEMA@.LSW_PROCESS_PARAMETER11_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT30
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SWITCH (
    "SWITCH_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT30
;


CREATE TABLESPACE WLPT31
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SWITCH_CONDITION (
    "SWITCH_CONDITION_ID" CHAR(36) NOT NULL,
    "SWITCH_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "END_STATE_ID" VARCHAR(256) NOT NULL,
    "CONDITION" VARCHAR(2000),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT31
;


CREATE TABLESPACE WLPT06
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER (
    "TASK_SENDER_ID" CHAR(36) NOT NULL,
    "ACTION" DECIMAL(1,0) NOT NULL,
    "SUBJECT" VARCHAR(510),
    "PRIORITY" DECIMAL(12,0) NOT NULL,
    "IS_ORIGINAL_DATE_KEPT" CHAR(1),
    "DUE_IN_OPTION" DECIMAL(2,0) NOT NULL,
    "DUE_DATE_INCR_DATA" VARCHAR(510),
    "DUE_DATE_INCR_NUMBER" DECIMAL(3,0),
    "DUE_DATE_FIXED_DATA" VARCHAR(510),
    "DUE_DATE_FIXED_TIME" TIMESTAMP,
    "DUE_DATE_SPECIFIC_DATE" VARCHAR(510),
    "DUE_DATE_INCR_TYPE" DECIMAL(1,0),
    "ATTACHED_PROCESS_REF" CHAR(36),
    "IS_SEND_OTHER_TASK" CHAR(1),
    "OTHER_TASK_ID" VARCHAR(128),
    "MESSAGE" BLOB(2G),
    "IS_IGNORE_EXCEPTION" CHAR(1),
    "IS_REPARENT_TASK" CHAR(1),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT06
;


CREATE LOB TABLESPACE WLP0616
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_SENDER16_LOB
    IN @DB_NAME@.WLP0616
    STORES @SCHEMA@.LSW_TASK_SENDER COLUMN MESSAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_SENDER16_I
    ON @SCHEMA@.LSW_TASK_SENDER16_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT07
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR (
    "TASK_SENDER_EXVAR_ID" CHAR(36) NOT NULL,
    "TASK_SENDER_ID" CHAR(36) NOT NULL,
    "VARIABLE_NAME" VARCHAR(510),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT07
;


CREATE TABLESPACE WLPT74
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT (
    "REPORT_ID" CHAR(36) NOT NULL,
    "DEFAULT_START_PAGE_ID" CHAR(36),
    "PARTICIPANT_REF" CHAR(36),
    "SECURITY_GROUP" VARCHAR(128),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT74
;


CREATE LOB TABLESPACE WLP746
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT6_LOB
    IN @DB_NAME@.WLP746
    STORES @SCHEMA@.LSW_REPORT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT6_I
    ON @SCHEMA@.LSW_REPORT6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT75
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_EPV_LINK (
    "REPORT_EPV_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "EPV_REF" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT75
;


CREATE TABLESPACE WLPT76
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_RBG_LINK (
    "REPORT_RBG_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "RBG_REF" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT76
;


CREATE TABLESPACE WLPT77
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE (
    "REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "LAYOUT_REF" CHAR(36) NOT NULL,
    "SCRIPT" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT77
;


CREATE LOB TABLESPACE WLP774
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_DATASOURCE4_LOB
    IN @DB_NAME@.WLP774
    STORES @SCHEMA@.LSW_REPORT_DATASOURCE COLUMN SCRIPT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_DATASOURCE4_I
    ON @SCHEMA@.LSW_REPORT_DATASOURCE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP776
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_DATASOURCE6_LOB
    IN @DB_NAME@.WLP776
    STORES @SCHEMA@.LSW_REPORT_DATASOURCE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_DATASOURCE6_I
    ON @SCHEMA@.LSW_REPORT_DATASOURCE6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT78
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_TG_LINK (
    "REPORT_TG_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "TRACKING_GROUP_REF" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT78
;


CREATE TABLESPACE WLPT79
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_PAGE (
    "REPORT_PAGE_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "HEIGHT" DECIMAL(12,0) NOT NULL,
    "WIDTH" DECIMAL(12,0) NOT NULL,
    "DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT79
;


CREATE LOB TABLESPACE WLP795
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_PAGE5_LOB
    IN @DB_NAME@.WLP795
    STORES @SCHEMA@.LSW_REPORT_PAGE COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_PAGE5_I
    ON @SCHEMA@.LSW_REPORT_PAGE5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP797
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_PAGE7_LOB
    IN @DB_NAME@.WLP797
    STORES @SCHEMA@.LSW_REPORT_PAGE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_PAGE7_I
    ON @SCHEMA@.LSW_REPORT_PAGE7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT80
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_CHART (
    "REPORT_CHART_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "LAYOUT_REF" CHAR(36),
    "DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT80
;


CREATE LOB TABLESPACE WLP804
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_CHART4_LOB
    IN @DB_NAME@.WLP804
    STORES @SCHEMA@.LSW_REPORT_CHART COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_CHART4_I
    ON @SCHEMA@.LSW_REPORT_CHART4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP806
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_CHART6_LOB
    IN @DB_NAME@.WLP806
    STORES @SCHEMA@.LSW_REPORT_CHART COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_CHART6_I
    ON @SCHEMA@.LSW_REPORT_CHART6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT81
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_VARIABLES (
    "REPORT_VARIABLES_ID" CHAR(36) NOT NULL,
    "REPORT_ID" CHAR(36) NOT NULL,
    "VALUE" VARCHAR(2000),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT81
;


CREATE LOB TABLESPACE WLP815
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_REPORT_VARIABLES5_LOB
    IN @DB_NAME@.WLP815
    STORES @SCHEMA@.LSW_REPORT_VARIABLES COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_REPORT_VARIABLES5_I
    ON @SCHEMA@.LSW_REPORT_VARIABLES5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT82
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK (
    "REPORT_DATASOURCE_IC_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
    "IC_REF" CHAR(36) NOT NULL,
    "POS" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT82
;


CREATE TABLESPACE WLPT83
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK (
    "REPORT_DATASOURCE_SRV_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
    "SERVICE_REF" CHAR(36) NOT NULL,
    "POS" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT83
;


CREATE TABLESPACE WLPT84
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK (
    "REPORT_DS_LAYOUT_LINK_ID" CHAR(36) NOT NULL,
    "REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
    "LAYOUT_REF" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "LABEL" VARCHAR(510) NOT NULL,
    "DEFAULT_VALUE" VARCHAR(2000),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT84
;


CREATE TABLESPACE WLPT86
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SCBD (
    "SCBD_ID" CHAR(36) NOT NULL,
    "TITLE" VARCHAR(510),
    "REPORT_TITLE" VARCHAR(510),
    "ALERT_TITLE" VARCHAR(510),
    "LAYOUT_REF" CHAR(36) NOT NULL,
    "PARTICIPANT_REF" CHAR(36),
    "CSS_OVERRIDE" VARCHAR(510),
    "ENABLED" CHAR(1),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT86
;


CREATE LOB TABLESPACE WLP8610
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SCBD10_LOB
    IN @DB_NAME@.WLP8610
    STORES @SCHEMA@.LSW_SCBD COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SCBD10_I
    ON @SCHEMA@.LSW_SCBD10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT88
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SCBD_RPT_LINK (
    "SCBD_RPT_LINK_ID" CHAR(36) NOT NULL,
    "SCBD_ID" CHAR(36) NOT NULL,
    "REPORT_REF" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT88
;


CREATE TABLESPACE WLPT102
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BLACKOUT_CALENDAR (
    "CALENDAR_ID" DECIMAL(12,0) NOT NULL,
    "IS_BLACKED_OUT" DECIMAL(12,0),
    "NEXT_START" TIMESTAMP,
    "NEXT_END" TIMESTAMP
)
IN @DB_NAME@.WLPT102
;


CREATE TABLESPACE WLPT112
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE (
    "HOLIDAY_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "HOLIDAY_LIST" VARCHAR(2000)
)
IN @DB_NAME@.WLPT112
;


CREATE TABLESPACE WLPT113
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TIME_PERIOD (
    "PERIOD_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "START_TIME" CHAR(4),
    "END_TIME" CHAR(4),
    "EFFECTIVE_DAYS" VARCHAR(1024)
)
IN @DB_NAME@.WLPT113
;


CREATE TABLESPACE WLPT114
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TIME_SCHEDULE (
    "SCHEDULE_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "EXCLUDE_HOLIDAY" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT114
;


CREATE TABLESPACE WLPT115
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD (
    "SCHEDULE_ID" DECIMAL(12,0) NOT NULL,
    "PERIOD_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT115
;


CREATE TABLESPACE WLPT212
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_BPD_SOAPHEADER (
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT212
;


CREATE LOB TABLESPACE WLP2122
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_BPD_SOAPHEADER2_LOB
    IN @DB_NAME@.WLP2122
    STORES @SCHEMA@.BPM_BPD_SOAPHEADER COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_BPD_SOAPHEADER2_I
    ON @SCHEMA@.BPM_BPD_SOAPHEADER2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT209
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES (
    "TASK_MEASURES_ID" DECIMAL(15,0) NOT NULL,
    "CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR(256) NOT NULL,
    "USER_ID" DECIMAL(12,0),
    "COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
    "AVG_COMPLETION_TIME" DECIMAL(12,0) NOT NULL,
    "MIN_COMPLETION_TIME" DECIMAL(12,0) NOT NULL,
    "MAX_COMPLETION_TIME" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT209
;


CREATE TABLESPACE WLPT208
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_TASK_MARKERS (
    "MARKER_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0),
    "MARKER_TYPE" DECIMAL(12,0) NOT NULL,
    "CREATOR" DECIMAL(12,0) NOT NULL,
    "TARGET_USER" DECIMAL(12,0) NOT NULL,
    "MARKER_COMMENT" BLOB(2G),
    "CREATED_DATE" TIMESTAMP NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT208
;


CREATE LOB TABLESPACE WLP2086
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_TASK_MARKERS6_LOB
    IN @DB_NAME@.WLP2086
    STORES @SCHEMA@.BPM_TASK_MARKERS COLUMN MARKER_COMMENT
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_TASK_MARKERS6_I
    ON @SCHEMA@.BPM_TASK_MARKERS6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT139
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_DOCUMENTS (
    "DOC_ID" DECIMAL(10,0) NOT NULL,
    "BPD_ID" CHAR(36) NOT NULL,
    "PARENT_DOC_ID" DECIMAL(18,0) NOT NULL,
    "DOC_NAME" VARCHAR(100) NOT NULL,
    "FILENAME" VARCHAR(2000) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "FILETYPE" DECIMAL(4,0)
        DEFAULT -1 NOT NULL,
    "AUTHOR_ID" DECIMAL(18,0) NOT NULL,
    "AUTHORED_DTG" TIMESTAMP NOT NULL,
    "VERSION" DECIMAL(4,0) NOT NULL,
    "CONTENT_TYPE" VARCHAR(256),
    "DOCUMENT" BLOB(2G)
)
IN @DB_NAME@.WLPT139
;


CREATE LOB TABLESPACE WLP1396
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_DOCUMENTS6_LOB
    IN @DB_NAME@.WLP1396
    STORES @SCHEMA@.LSW_BPD_DOCUMENTS COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_DOCUMENTS6_I
    ON @SCHEMA@.LSW_BPD_DOCUMENTS6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP13912
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_DOCUMENTS12_LOB
    IN @DB_NAME@.WLP13912
    STORES @SCHEMA@.LSW_BPD_DOCUMENTS COLUMN DOCUMENT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_DOCUMENTS12_I
    ON @SCHEMA@.LSW_BPD_DOCUMENTS12_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT140
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES (
    "BPD_INST_VARS_ID" DECIMAL(18,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "VARIABLE_NAME" VARCHAR(1024) NOT NULL,
    "ALIAS" VARCHAR(1024),
    "BOOLEAN_VALUE" CHAR(1),
    "STRING_VALUE" VARCHAR(1024),
    "INT_VALUE" DECIMAL(17,0),
    "DEC_VALUE" DECIMAL(17,2),
    "DATE_VALUE" TIMESTAMP,
    "VARIABLE_TYPE" VARCHAR(128) NOT NULL
)
IN @DB_NAME@.WLPT140
;


CREATE TABLESPACE WLPT96
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE (
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "INSTANCE_NAME" VARCHAR(1024),
    "BPD_REF" DECIMAL(19,0) NOT NULL,
    "CACHED_BPD_VERSION_ID" CHAR(36) NOT NULL,
    "CREATE_DATETIME" TIMESTAMP NOT NULL,
    "DUE_DATE" TIMESTAMP,
    "LAST_MODIFIED_DATETIME" TIMESTAMP NOT NULL,
    "SAVE_SEQ" DECIMAL(12,0) NOT NULL,
    "EXECUTION_STATUS" DECIMAL(12,0) NOT NULL,
    "ERROR" CLOB(2G),
    "ERROR_STACK_TRACE" CLOB(2G),
    "SHAREPOINT_SITE_URL" VARCHAR(1024),
    "TIP" CHAR(1) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "AT_RISK_DATE" TIMESTAMP,
    "ATTACHMENT_STORE" DECIMAL(4,0)
        DEFAULT 0 NOT NULL,
    "CLOSE_DATETIME" TIMESTAMP,
    "GROUP_ID" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT96
;


CREATE LOB TABLESPACE WLP9610
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE10_LOB
    IN @DB_NAME@.WLP9610
    STORES @SCHEMA@.LSW_BPD_INSTANCE COLUMN ERROR
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE10_I
    ON @SCHEMA@.LSW_BPD_INSTANCE10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP9611
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE11_LOB
    IN @DB_NAME@.WLP9611
    STORES @SCHEMA@.LSW_BPD_INSTANCE COLUMN ERROR_STACK_TRACE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE11_I
    ON @SCHEMA@.LSW_BPD_INSTANCE11_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT97
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DATA (
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT97
;


CREATE LOB TABLESPACE WLP972
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE_DATA2_LOB
    IN @DB_NAME@.WLP972
    STORES @SCHEMA@.LSW_BPD_INSTANCE_DATA COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE_DATA2_I
    ON @SCHEMA@.LSW_BPD_INSTANCE_DATA2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT98
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_NOTIFICATION (
    "BPD_NOTIFICATION_ID" DECIMAL(12,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "STATUS" DECIMAL(12,0) NOT NULL,
    "ERROR" CLOB(2G),
    "ERROR_STACK_TRACE" CLOB(2G),
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT98
;


CREATE LOB TABLESPACE WLP984
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_NOTIFICATION4_LOB
    IN @DB_NAME@.WLP984
    STORES @SCHEMA@.LSW_BPD_NOTIFICATION COLUMN ERROR
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_NOTIFICATION4_I
    ON @SCHEMA@.LSW_BPD_NOTIFICATION4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP985
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_NOTIFICATION5_LOB
    IN @DB_NAME@.WLP985
    STORES @SCHEMA@.LSW_BPD_NOTIFICATION COLUMN ERROR_STACK_TRACE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_NOTIFICATION5_I
    ON @SCHEMA@.LSW_BPD_NOTIFICATION5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP986
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_NOTIFICATION6_LOB
    IN @DB_NAME@.WLP986
    STORES @SCHEMA@.LSW_BPD_NOTIFICATION COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_NOTIFICATION6_I
    ON @SCHEMA@.LSW_BPD_NOTIFICATION6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT122
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT (
    "COMMENT_ID" DECIMAL(4,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(18,0),
    "USER_ID" DECIMAL(18,0),
    "DATE_TIME" TIMESTAMP,
    "SUBJECT" VARCHAR(510),
    "COMMENT" CLOB(2G)
)
IN @DB_NAME@.WLPT122
;


CREATE LOB TABLESPACE WLP1226
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT6_LOB
    IN @DB_NAME@.WLP1226
    STORES @SCHEMA@.LSW_BPD_INSTANCE_COMMENT COLUMN COMMENT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE_COMMENT6_I
    ON @SCHEMA@.LSW_BPD_INSTANCE_COMMENT6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT123
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS (
    "DOC_ID" DECIMAL(10,0) NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(10,0) NOT NULL,
    "PARENT_DOC_ID" DECIMAL(18,0) NOT NULL,
    "DOC_NAME" VARCHAR(100) NOT NULL,
    "FILENAME" VARCHAR(2000) NOT NULL,
    "FILETYPE" DECIMAL(4,0)
        DEFAULT -1 NOT NULL,
    "AUTHOR_ID" DECIMAL(18,0) NOT NULL,
    "AUTHORED_DTG" TIMESTAMP NOT NULL,
    "VERSION" DECIMAL(4,0) NOT NULL,
    "CONTENT_TYPE" VARCHAR(256),
    "DOCUMENT" BLOB(2G),
    "HIDE_IN_PORTAL" CHAR(1),
    "MIGRATION_STATE" DECIMAL(4,0)
        DEFAULT 1 NOT NULL,
    "MIGRATION_ERROR" VARCHAR(512)
)
IN @DB_NAME@.WLPT123
;


CREATE LOB TABLESPACE WLP12311
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS11_LOB
    IN @DB_NAME@.WLP12311
    STORES @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS COLUMN DOCUMENT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS11_I
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS11_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT124
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS (
    "NAME" VARCHAR(2000) NOT NULL,
    "VALUE" VARCHAR(2000),
    "DOC_ID" DECIMAL(10,0) NOT NULL
)
IN @DB_NAME@.WLPT124
;


CREATE TABLESPACE WLPT127
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BPD_STATUS_CODES (
    "STATUS_ID" DECIMAL(4,0) NOT NULL,
    "NAME" VARCHAR(100),
    "CONST_VALUE" VARCHAR(100)
)
IN @DB_NAME@.WLPT127
;


CREATE TABLESPACE WLPT128
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_FILE_TYPES (
    "FILETYPE_ID" DECIMAL(18,0) NOT NULL,
    "EXT" VARCHAR(20),
    "FILETYPE" VARCHAR(100)
)
IN @DB_NAME@.WLPT128
;


CREATE TABLESPACE WLPT107
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DUR_MSG_RECEIVED (
    "MSG_ID" DECIMAL(20,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "UCA_ID" CHAR(36) NOT NULL,
    "VALUES_DATA" BLOB(2G),
    "CORRELATION_KEY" DECIMAL(12,0) NOT NULL,
    "CORRELATION_TYPE" DECIMAL(2,0) NOT NULL,
    "CORRELATION_STRING" VARCHAR(510),
    "CORRELATION_BLOB" BLOB(2G)
)
IN @DB_NAME@.WLPT107
;


CREATE LOB TABLESPACE WLP1074
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_DUR_MSG_RECEIVED4_LOB
    IN @DB_NAME@.WLP1074
    STORES @SCHEMA@.LSW_DUR_MSG_RECEIVED COLUMN VALUES_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_DUR_MSG_RECEIVED4_I
    ON @SCHEMA@.LSW_DUR_MSG_RECEIVED4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP1078
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_DUR_MSG_RECEIVED8_LOB
    IN @DB_NAME@.WLP1078
    STORES @SCHEMA@.LSW_DUR_MSG_RECEIVED COLUMN CORRELATION_BLOB
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_DUR_MSG_RECEIVED8_I
    ON @SCHEMA@.LSW_DUR_MSG_RECEIVED8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT108
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_INST_MSG_INCL (
    "ID" DECIMAL(20,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "DURABLE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "EVENT_ID" CHAR(36),
    "SUB_EVENT_ID" DECIMAL(12,0),
    "UCA_ID" CHAR(36) NOT NULL,
    "CORRELATION_KEY" DECIMAL(12,0) NOT NULL,
    "CORRELATION_TYPE" DECIMAL(2,0) NOT NULL,
    "CORRELATION_STRING" VARCHAR(510),
    "CORRELATION_BLOB" BLOB(2G)
)
IN @DB_NAME@.WLPT108
;


CREATE LOB TABLESPACE WLP10811
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_INST_MSG_INCL11_LOB
    IN @DB_NAME@.WLP10811
    STORES @SCHEMA@.LSW_INST_MSG_INCL COLUMN CORRELATION_BLOB
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_INST_MSG_INCL11_I
    ON @SCHEMA@.LSW_INST_MSG_INCL11_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT109
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_INST_MSG_EXCL (
    "ID" DECIMAL(20,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "EVENT_ID" CHAR(36),
    "SUB_EVENT_ID" DECIMAL(12,0),
    "MSG_ID" DECIMAL(20,0) NOT NULL,
    "WAIT_ID" DECIMAL(20,0)
)
IN @DB_NAME@.WLPT109
;


CREATE TABLESPACE WLPT152
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RUNTIME_ERROR (
    "ERROR_ID" DECIMAL(12,0) NOT NULL,
    "TIP" CHAR(1) NOT NULL,
    "SNAPSHOT_ID" CHAR(36),
    "ERROR_MESSAGE" CLOB(2G),
    "LOGGED" TIMESTAMP NOT NULL,
    "BPD_INSTANCE_ID" DECIMAL(12,0),
    "TASK_ID" DECIMAL(12,0),
    "SOURCE_REF" DECIMAL(19,0) NOT NULL,
    "SOURCE_GUID" VARCHAR(256) NOT NULL,
    "SOURCE_NAME" VARCHAR(128),
    "SOURCE_ITEM" VARCHAR(128),
    "SOURCE_SUBITEM" VARCHAR(128),
    "JAVA_TRACE" BLOB(2G),
    "JS_TRACE" BLOB(2G),
    "TW_TRACE" BLOB(2G),
    "ERROR_CODE" VARCHAR(440),
    "ERROR_DATA" BLOB(2G),
    "FAULT_STYLE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL
)
IN @DB_NAME@.WLPT152
;


CREATE LOB TABLESPACE WLP1524
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RUNTIME_ERROR4_LOB
    IN @DB_NAME@.WLP1524
    STORES @SCHEMA@.LSW_RUNTIME_ERROR COLUMN ERROR_MESSAGE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RUNTIME_ERROR4_I
    ON @SCHEMA@.LSW_RUNTIME_ERROR4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP15213
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RUNTIME_ERROR13_LOB
    IN @DB_NAME@.WLP15213
    STORES @SCHEMA@.LSW_RUNTIME_ERROR COLUMN JAVA_TRACE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RUNTIME_ERROR13_I
    ON @SCHEMA@.LSW_RUNTIME_ERROR13_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP15214
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RUNTIME_ERROR14_LOB
    IN @DB_NAME@.WLP15214
    STORES @SCHEMA@.LSW_RUNTIME_ERROR COLUMN JS_TRACE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RUNTIME_ERROR14_I
    ON @SCHEMA@.LSW_RUNTIME_ERROR14_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP15215
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RUNTIME_ERROR15_LOB
    IN @DB_NAME@.WLP15215
    STORES @SCHEMA@.LSW_RUNTIME_ERROR COLUMN TW_TRACE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RUNTIME_ERROR15_I
    ON @SCHEMA@.LSW_RUNTIME_ERROR15_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP15217
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_RUNTIME_ERROR17_LOB
    IN @DB_NAME@.WLP15217
    STORES @SCHEMA@.LSW_RUNTIME_ERROR COLUMN ERROR_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_RUNTIME_ERROR17_I
    ON @SCHEMA@.LSW_RUNTIME_ERROR17_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT149
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SLA_PROCESSING (
    "SLA_GUID" VARCHAR(256) NOT NULL,
    "VIOLATION_LEVEL" DECIMAL(31,6) NOT NULL,
    "VALUE" DECIMAL(30,10) NOT NULL,
    "NI_VIOLATION_LEVEL" DECIMAL(31,6) NOT NULL,
    "NI_VALUE" DECIMAL(30,10) NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "TIME_LOWER_BOUND" TIMESTAMP
)
IN @DB_NAME@.WLPT149
;


CREATE TABLESPACE WLPT53
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE (
    "SYMBOL_TABLE_ID" CHAR(36) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "STORED_SYMBOL_TABLE" BLOB(2G)
)
IN @DB_NAME@.WLPT53
;


CREATE LOB TABLESPACE WLP533
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE3_LOB
    IN @DB_NAME@.WLP533
    STORES @SCHEMA@.LSW_STORED_SYMBOL_TABLE COLUMN STORED_SYMBOL_TABLE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_STORED_SYMBOL_TABLE3_I
    ON @SCHEMA@.LSW_STORED_SYMBOL_TABLE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT126
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_STATUS_CODES (
    "STATUS_ID" DECIMAL(4,0) NOT NULL,
    "NAME" VARCHAR(100),
    "STATUS_VALUE" VARCHAR(4)
)
IN @DB_NAME@.WLPT126
;


CREATE TABLESPACE WLPT148
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_EXTACT_DATA (
    "TASK_EXTACT_DATA_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "EXTERNAL_ACTIVITY_REF" DECIMAL(19,0),
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT148
;


CREATE LOB TABLESPACE WLP1484
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_EXTACT_DATA4_LOB
    IN @DB_NAME@.WLP1484
    STORES @SCHEMA@.LSW_TASK_EXTACT_DATA COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_EXTACT_DATA4_I
    ON @SCHEMA@.LSW_TASK_EXTACT_DATA4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT22
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "TIP" CHAR(1) NOT NULL,
    "SNAPSHOT_ID" CHAR(36),
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "GROUP_ID" DECIMAL(12,0) NOT NULL,
    "PARTICIPANT_ID" CHAR(36),
    "MANAGERS_GROUP_ID" DECIMAL(12,0),
    "EXPERT_PARTICIPANT_REF" DECIMAL(19,0),
    "STATUS" VARCHAR(4) NOT NULL,
    "PRIORITY_ID" DECIMAL(12,0) NOT NULL,
    "DUE_DATE" TIMESTAMP NOT NULL,
    "DUE_TIME" TIMESTAMP,
    "AT_RISK_DATE" TIMESTAMP,
    "SUBJECT" VARCHAR(510) NOT NULL,
    "RCVD_DATETIME" TIMESTAMP NOT NULL,
    "RCVD_FROM" DECIMAL(12,0) NOT NULL,
    "RCVD_TASK_ID" DECIMAL(12,0),
    "COLLABORATION" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "SENT_DATETIME" TIMESTAMP,
    "READ_DATETIME" TIMESTAMP,
    "CLOSE_DATETIME" TIMESTAMP,
    "CLOSE_BY" DECIMAL(12,0),
    "ORIG_TASK_ID" DECIMAL(12,0),
    "START_PROCESS_REF" DECIMAL(19,0),
    "CACHED_PROCESS_VERSION_ID" CHAR(36),
    "GROUP_ID_TYPE" DECIMAL(12,0),
    "EXECUTION_STATUS" DECIMAL(12,0),
    "BPD_INSTANCE_ID" DECIMAL(12,0),
    "CREATED_BY_BPD_REF" DECIMAL(19,0),
    "CACHED_CBB_VERSION_ID" CHAR(36),
    "CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR(256),
    "ASSUMER_ID" DECIMAL(12,0),
    "ATTACHED_FORM_REF" DECIMAL(19,0),
    "CACHED_FORM_VERSION_ID" CHAR(36),
    "ATTACHED_EXT_ACTIVITY_REF" DECIMAL(19,0),
    "CACHED_EXTACT_VERSION_ID" CHAR(36),
    "SHAREPOINT_DISCUSSION_URL" VARCHAR(1024),
    "ACTIVITY_NAME" VARCHAR(256),
    "ACTIVITY_TASK_TYPE" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT22
;


CREATE TABLESPACE WLPT23
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_IPF_DATA (
    "TASK_INFOPATHFORM_DATA_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "INFOPATH_FORM_REF" CHAR(36),
    "DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT23
;


CREATE LOB TABLESPACE WLP234
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_IPF_DATA4_LOB
    IN @DB_NAME@.WLP234
    STORES @SCHEMA@.LSW_TASK_IPF_DATA COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_IPF_DATA4_I
    ON @SCHEMA@.LSW_TASK_IPF_DATA4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT28
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_FILE (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "FILE_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT28
;


CREATE TABLESPACE WLPT29
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_ADDR (
    "TASK_ADDR_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "SEND_TO_ID" VARCHAR(510) NOT NULL
)
IN @DB_NAME@.WLPT29
;


CREATE TABLESPACE WLPT45
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_NARR (
    "TASK_NARR_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "NARRATIVE" BLOB(2G),
    "NARRATIVE_RAW" BLOB(2G)
)
IN @DB_NAME@.WLPT45
;


CREATE LOB TABLESPACE WLP454
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_NARR4_LOB
    IN @DB_NAME@.WLP454
    STORES @SCHEMA@.LSW_TASK_NARR COLUMN NARRATIVE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_NARR4_I
    ON @SCHEMA@.LSW_TASK_NARR4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP455
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_NARR5_LOB
    IN @DB_NAME@.WLP455
    STORES @SCHEMA@.LSW_TASK_NARR COLUMN NARRATIVE_RAW
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_NARR5_I
    ON @SCHEMA@.LSW_TASK_NARR5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT46
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_ACTION (
    "TASK_ACTION_ID" CHAR(36) NOT NULL,
    "CAN_CHANGE_DUEDATE" CHAR(1),
    "DUE_IN_OPTION" DECIMAL(2,0) NOT NULL,
    "DUE_DATE_INCR_DATA" VARCHAR(510),
    "DUE_DATE_FIXED_DATA" VARCHAR(510),
    "DUE_DATE_INCR_TYPE" DECIMAL(1,0) NOT NULL,
    "DUE_DATE_SPECIFIC_DATE" VARCHAR(510),
    "IS_CHANGE_STATUS_ACTIVE" CHAR(1),
    "NEW_STATUS_OPTION" DECIMAL(2,0) NOT NULL,
    "NEW_STATUS" VARCHAR(4),
    "IS_PRIORITY_ACTIVE" CHAR(1) NOT NULL,
    "PRIORITY_OPTION" DECIMAL(2,0) NOT NULL,
    "NEW_PRIORITY_ID" DECIMAL(12,0),
    "NEW_PRIORITY_SCRIPT" VARCHAR(510),
    "IS_SUBJECT_ACTIVE" CHAR(1) NOT NULL,
    "SUBJECT_OPTION" DECIMAL(2,0) NOT NULL,
    "SUBJECT_SCRIPT" VARCHAR(510),
    "IS_NARRATIVE_ACTIVE" CHAR(1) NOT NULL,
    "NARRATIVE_OPTION" DECIMAL(2,0) NOT NULL,
    "NARRATIVE_SCRIPT" CLOB(2G),
    "TIME_SCHEDULE_NAME" VARCHAR(128)
        DEFAULT '24X7',
    "HOLIDAY_SCHEDULE_NAME" VARCHAR(128)
        DEFAULT 'default US holiday',
    "TIMEZONE" VARCHAR(128)
        DEFAULT 'America/Chicago',
    "IS_IGNORE_EXCEPTION" CHAR(1) NOT NULL,
    "SUSPEND_PROCESS" CHAR(1),
    "IS_ACTION_OTHER_TASK" CHAR(1),
    "OTHER_TASK_ID" VARCHAR(128),
    "IS_REASSIGN_ACTIVE" CHAR(1),
    "REASSIGN_OPTION" DECIMAL(2,0) NOT NULL,
    "REASSIGN_TO" VARCHAR(510),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT46
;


CREATE LOB TABLESPACE WLP4620
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_ACTION20_LOB
    IN @DB_NAME@.WLP4620
    STORES @SCHEMA@.LSW_TASK_ACTION COLUMN NARRATIVE_SCRIPT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_ACTION20_I
    ON @SCHEMA@.LSW_TASK_ACTION20_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT52
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT (
    "TASK_EXECUTION_CONTEXT_ID" DECIMAL(12,0) NOT NULL,
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "EXECUTION_CONTEXT" BLOB(2G)
)
IN @DB_NAME@.WLPT52
;


CREATE LOB TABLESPACE WLP523
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT3_LOB
    IN @DB_NAME@.WLP523
    STORES @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT COLUMN EXECUTION_CONTEXT
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT3_I
    ON @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ5101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_MIGRATION_STATUS (
    "EVENT" DECIMAL(4,0) NOT NULL,
    "STATUS" DECIMAL(4,0) NOT NULL,
    "EVENT_COUNT" DECIMAL(8,0) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "DETAILS" VARCHAR(512)
)
IN @DB_NAME@.WLPZ5101
;


CREATE TABLESPACE WLPZ5102
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES (
    "MEASURES_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "BPD_REF" DECIMAL(19,0) NOT NULL,
    "BPD_FLOW_OBJECT_ID" VARCHAR(256),
    "AVG_TIME_TO_COMPLETION" DECIMAL(12,0) NOT NULL,
    "COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
    "IS_POTENTIALLY_IN_LOOP" CHAR(1)
        DEFAULT 'F'
)
IN @DB_NAME@.WLPZ5102
;


CREATE TABLESPACE WLPZ5103
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SYNCHRONIZE (
    "IDENTIFIER" VARCHAR(512) NOT NULL
)
IN @DB_NAME@.WLPZ5103
;


CREATE TABLESPACE WLPT01
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.WL_WLSTORE (
    "ID" DECIMAL(30,0) NOT NULL,
    "TYPE" DECIMAL(30,0),
    "HANDLE" DECIMAL(30,0),
    "RECORD" BLOB(2G)
)
IN @DB_NAME@.WLPT01
;


CREATE LOB TABLESPACE WLP014
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.WL_WLSTORE4_LOB
    IN @DB_NAME@.WLP014
    STORES @SCHEMA@.WL_WLSTORE COLUMN RECORD
;


CREATE UNIQUE INDEX @SCHEMA@.WL_WLSTORE4_I
    ON @SCHEMA@.WL_WLSTORE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT43
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PRI_KEY (
    "TABLE_ID" VARCHAR(510) NOT NULL,
    "HIGH_KEY" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT43
;


CREATE TABLESPACE WLPT150
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SYSTEM (
    "PROPKEY" VARCHAR(512) NOT NULL,
    "PROPVALUE" VARCHAR(512) NOT NULL
)
IN @DB_NAME@.WLPT150
;


CREATE TABLESPACE WLPT151
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA (
    "PROPNAME" VARCHAR(100) NOT NULL,
    "PROPVALUE" VARCHAR(100)
)
IN @DB_NAME@.WLPT151
;


CREATE TABLESPACE WLPT176
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_LEGACY_ID (
    "LEGACY_ID" DECIMAL(19,0) NOT NULL,
    "UUID" CHAR(36) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL
)
IN @DB_NAME@.WLPT176
;


CREATE TABLESPACE WLPT184
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_LOCK (
    "LOCK_ID" VARCHAR(256) NOT NULL,
    "DESCRIPTION" VARCHAR(512)
)
IN @DB_NAME@.WLPT184
;


CREATE TABLESPACE WLPT213
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX (
    "TASK_ID" DECIMAL(12,0) NOT NULL,
    "INSTANCE_ID" DECIMAL(12,0),
    "MAJOR_EVENT_DATETIME" TIMESTAMP,
    "MINOR_EVENT_DATETIME" TIMESTAMP,
    "TASK_DATA" BLOB(2G),
    "DELETED_DATETIME" TIMESTAMP
)
IN @DB_NAME@.WLPT213
;


CREATE LOB TABLESPACE WLP2134
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_TASK_INDEX5_LOB
    IN @DB_NAME@.WLP2134
    STORES @SCHEMA@.BPM_TASK_INDEX COLUMN TASK_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_TASK_INDEX5_I
    ON @SCHEMA@.BPM_TASK_INDEX5_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT214
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX_JOB (
    "INDEX_ID" CHAR(36) NOT NULL,
    "INDEX_START_TIME" TIMESTAMP NOT NULL,
    "INDEX_END_TIME" TIMESTAMP,
    "INDEX_LAST_PURGE_TIME" TIMESTAMP,
    "LAST_RETENTION_DAYS" DECIMAL(12,0),
    "RECORDS_INDEXED" DECIMAL(12,0),
    "RESULT_VALUE" VARCHAR(512)
)
IN @DB_NAME@.WLPT214
;


CREATE TABLESPACE WLPZ5701
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA (
    "BPDID" CHAR(36) NOT NULL,
    "FIELD_NAME" VARCHAR(1024) NOT NULL,
    "FIELD_NAME_EXTERNAL" VARCHAR(1024),
    "FIELD_TYPE" VARCHAR(40),
    "FIELD_TYPE_EXTERNAL" VARCHAR(40),
    "PUBLIC_FLAG" DECIMAL(2,0),
    "BUSINESS_DATA" DECIMAL(2,0),
    "LAST_UPDATED" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPZ5701
;


CREATE TABLESPACE WLPZ5702
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_INSTANCE_INDEX (
    "INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "MAJOR_EVENT_DATETIME" TIMESTAMP,
    "MINOR_EVENT_DATETIME" TIMESTAMP,
    "INSTANCE_DATA" BLOB(2G),
    "DELETED_DATETIME" TIMESTAMP
)
IN @DB_NAME@.WLPZ5702
;


CREATE LOB TABLESPACE WLPZ5703
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_INSTANCE_INDEX4_LOB
    IN @DB_NAME@.WLPZ5703
    STORES @SCHEMA@.BPM_INSTANCE_INDEX COLUMN INSTANCE_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_INSTANCE_INDEX4_I
    ON @SCHEMA@.BPM_INSTANCE_INDEX4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT85
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_INVOKE_UCA (
    "INVOKE_UCA_ID" CHAR(36) NOT NULL,
    "IS_UCA_ACTIVE" CHAR(1),
    "UCA_REF" CHAR(36),
    "TRIG_IN_SS_CTX" CHAR(1)
        DEFAULT 'F',
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT85
;


CREATE TABLESPACE WLPT54
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_UCA (
    "UCA_ID" CHAR(36) NOT NULL,
    "PROCESS_REF" CHAR(36) NOT NULL,
    "SCHED_TYPE" DECIMAL(12,0),
    "SCHED_EVENT_NAME" VARCHAR(160),
    "QUEUE" DECIMAL(12,0),
    "IS_ENABLED" CHAR(1),
    "SHARED_SYMBOL_TABLE_ID" DECIMAL(12,0),
    "MONTH_LIST" VARCHAR(48),
    "FREQ_TYPE" DECIMAL(12,0),
    "DAY_LIST" VARCHAR(156),
    "HOUR_LIST" VARCHAR(96),
    "MINUTE_LIST" VARCHAR(240),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "UCA_EVENT_TYPE_REF" DECIMAL(2,0),
    "VARIABLE_REF" CHAR(36),
    "IMPLEMENTATION_TYPE" VARCHAR(160),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT54
;


CREATE LOB TABLESPACE WLP5414
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_UCA14_LOB
    IN @DB_NAME@.WLP5414
    STORES @SCHEMA@.LSW_UCA COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_UCA14_I
    ON @SCHEMA@.LSW_UCA14_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT56
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_UCA_PARM (
    "UCA_PARM_ID" CHAR(36) NOT NULL,
    "UCA_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "PARM_NAME" VARCHAR(510) NOT NULL,
    "PARM_VALUE" VARCHAR(2000),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT56
;


CREATE TABLESPACE WLPT57
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_UCA_BLACKOUT (
    "BLACKOUT_ID" CHAR(36) NOT NULL,
    "FROM_DATETIME" TIMESTAMP NOT NULL,
    "TO_DATETIME" TIMESTAMP NOT NULL,
    "DATE_TYPE" CHAR(1) NOT NULL
)
IN @DB_NAME@.WLPT57
;


CREATE TABLESPACE WLPZ6001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE (
    "UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ6001
;


CREATE LOB TABLESPACE WLPZ6002
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE3_LOB
    IN @DB_NAME@.WLPZ6002
    STORES @SCHEMA@.BPM_UCA_EVENT_TYPE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_UCA_EVENT_TYPE3_I
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT02
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_NAME" VARCHAR(100) NOT NULL,
    "PASSWD" VARCHAR(500) NOT NULL,
    "FULL_NAME" VARCHAR(100) NOT NULL,
    "IS_DISABLED" CHAR(1)
        DEFAULT 'F',
    "LAST_LOGIN_DATETIME" TIMESTAMP,
    "OLD_PASSWORDS" CLOB(2G)
)
IN @DB_NAME@.WLPT02
;


CREATE LOB TABLESPACE WLP027
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_USR7_LOB
    IN @DB_NAME@.WLP027
    STORES @SCHEMA@.LSW_USR COLUMN OLD_PASSWORDS
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_USR7_I
    ON @SCHEMA@.LSW_USR7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT111
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR_XREF (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_NAME" VARCHAR(128) NOT NULL,
    "FULL_NAME" VARCHAR(510),
    "PROVIDER" VARCHAR(512)
)
IN @DB_NAME@.WLPT111
;


CREATE TABLESPACE WLPT116
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR_GRP_XREF (
    "GROUP_ID" DECIMAL(12,0) NOT NULL,
    "GROUP_NAME" VARCHAR(512) NOT NULL,
    "DISPLAY_NAME" VARCHAR(512) NOT NULL,
    "PARENT_GROUP_ID" DECIMAL(12,0),
    "GROUP_TYPE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL,
    "DESCRIPTION" VARCHAR(510),
    "GROUP_STATE" DECIMAL(2,0)
        DEFAULT 0 NOT NULL,
    "PARTICIPANT_ID" CHAR(36)
)
IN @DB_NAME@.WLPT116
;


CREATE TABLESPACE WLPT117
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "GROUP_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT117
;


CREATE TABLESPACE WLPT118
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF (
    "GROUP_ID" DECIMAL(12,0) NOT NULL,
    "CONTAINER_GROUP_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT118
;


CREATE TABLESPACE WLPT119
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF (
    "GROUP_ID" DECIMAL(12,0) NOT NULL,
    "CONTAINER_GROUP_ID" DECIMAL(12,0) NOT NULL,
    "MEM_PATH" VARCHAR(1024) NOT NULL
)
IN @DB_NAME@.WLPT119
;


CREATE TABLESPACE WLPT121
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR_ASSUME (
    "USR_ASSUME_ID" DECIMAL(12,0) NOT NULL,
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "ASSUMED_USER_ID" DECIMAL(12,0) NOT NULL,
    "START_DATETIME" TIMESTAMP,
    "END_DATETIME" TIMESTAMP
)
IN @DB_NAME@.WLPT121
;


CREATE TABLESPACE WLPT62
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ACCESS (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "ASSUMED_USER_ID" DECIMAL(12,0) NOT NULL,
    "START_DATETIME" TIMESTAMP,
    "END_DATETIME" TIMESTAMP
)
IN @DB_NAME@.WLPT62
;


CREATE TABLESPACE WLPT141
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP (
    "DYNAMIC_GROUP_ID" DECIMAL(12,0) NOT NULL,
    "NAME" VARCHAR(256) NOT NULL,
    "CONSTRAINTS_SET_OPERATOR" DECIMAL(12,0) NOT NULL,
    "SNAPSHOT_ID" CHAR(36),
    "BRANCH_ID" CHAR(36),
    "TIP" CHAR(1) NOT NULL
)
IN @DB_NAME@.WLPT141
;


CREATE TABLESPACE WLPT142
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT (
    "DYNAMIC_GROUP_CONSTRAINT_ID" DECIMAL(18,0) NOT NULL,
    "DYNAMIC_GROUP_ID" DECIMAL(12,0) NOT NULL,
    "MATCH_TYPE" DECIMAL(12,0) NOT NULL,
    "CONSTRAINT_TYPE" DECIMAL(12,0) NOT NULL,
    "LIBRARY_ELEMENT_TYPE" DECIMAL(10,0),
    "LIBRARY_ELEMENT_REF" DECIMAL(19,0),
    "LIBRARY_ELEMENT_ID" CHAR(36),
    "VALUE" VARCHAR(2000)
)
IN @DB_NAME@.WLPT142
;


CREATE TABLESPACE WLPT143
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY (
    "PARENT_GROUP_ID" DECIMAL(12,0) NOT NULL,
    "CHILD_GROUP_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT143
;


CREATE TABLESPACE WLPT120
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USR_ATTR (
    "USER_ATTR_ID" DECIMAL(12,0) NOT NULL,
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "ATTR_VALUE" VARCHAR(2000),
    "ATTR_NUMBER_VALUE" DECIMAL(31,6),
    "USER_ATTR_DEF_VALUE_ID" CHAR(36),
    "USER_ATTR_DEF_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT120
;


CREATE TABLESPACE WLPT144
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES (
    "USER_ATTR_DEF_VALUE_ID" CHAR(36) NOT NULL,
    "USER_ATTRIBUTE_DEF_ID" CHAR(36) NOT NULL,
    "VALUE" VARCHAR(200) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT144
;


CREATE TABLESPACE WLPT09
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF (
    "USER_ATTRIBUTE_ID" CHAR(36) NOT NULL,
    "CLASS_REF" CHAR(36) NOT NULL,
    "STORAGE_SOURCE" DECIMAL(12,0)
        DEFAULT 0 NOT NULL,
    "STORAGE_PROVIDER" DECIMAL(12,0),
    "STORAGE_PROVIDER_ATTRIBUTE" VARCHAR(510),
    "STORAGE_SERVICE" DECIMAL(12,0),
    "VALUES_SOURCE" DECIMAL(12,0),
    "VALUES_SERVICE" DECIMAL(12,0),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT09
;


CREATE LOB TABLESPACE WLP0910
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF10_LOB
    IN @DB_NAME@.WLP0910
    STORES @SCHEMA@.LSW_USER_ATTRIBUTE_DEF COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_USER_ATTRIBUTE_DEF10_I
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT10
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF (
    "USER_ATTRIBUTE_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPT10
;


CREATE TABLESPACE WLPT181
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP (
    "SNAPSHOT_ID" CHAR(36),
    "BRANCH_ID" CHAR(36),
    "TIP" CHAR(1) NOT NULL,
    "PARTICIPANT_ID" CHAR(36) NOT NULL,
    "CACHED_PART_VERSION_ID" CHAR(36) NOT NULL,
    "GROUP_ID" DECIMAL(12,0) NOT NULL,
    "HIDDEN" CHAR(1) NOT NULL,
    "ENABLE_AUTOMATIC_REFRESH" CHAR(1)
        DEFAULT 'T',
    "MANAGERS_NAME" VARCHAR(128),
    "MANAGERS_GROUP_ID" DECIMAL(12,0)
)
IN @DB_NAME@.WLPT181
;


CREATE TABLESPACE WLPT105
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PARTICIPANT (
    "PARTICIPANT_ID" CHAR(36) NOT NULL,
    "COST" DECIMAL(12,2)
        DEFAULT 10.0 NOT NULL,
    "CURRENCY_CODE" CHAR(3),
    "PARTICIPANT_DEFINITION" VARCHAR(2000),
    "SIMULATION_GROUP_SIZE" DECIMAL(12,0) NOT NULL,
    "CAPACITY_TYPE" DECIMAL(12,0),
    "DEFINITION_TYPE" DECIMAL(12,0),
    "PERCENT_AVAILABLE" DECIMAL(12,2),
    "PERCENT_EFFICIENCY" DECIMAL(12,2),
    "IMAGE" VARCHAR(1024),
    "SERVICE_REF" CHAR(36),
    "MANAGERS_REF" CHAR(36),
    "DATA" BLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT105
;


CREATE LOB TABLESPACE WLP10511
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PARTICIPANT13_LOB
    IN @DB_NAME@.WLP10511
    STORES @SCHEMA@.LSW_PARTICIPANT COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PARTICIPANT13_I
    ON @SCHEMA@.LSW_PARTICIPANT13_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP10513
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PARTICIPANT15_LOB
    IN @DB_NAME@.WLP10513
    STORES @SCHEMA@.LSW_PARTICIPANT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PARTICIPANT15_I
    ON @SCHEMA@.LSW_PARTICIPANT15_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT182
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_ACL_ENTRY (
    "ACL_ENTRY_ID" DECIMAL(12,0) NOT NULL,
    "USER_ID" DECIMAL(12,0),
    "GROUP_ID" DECIMAL(12,0),
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL,
    "MASK" DECIMAL(19,0) NOT NULL
)
IN @DB_NAME@.WLPT182
;


CREATE TABLESPACE WLPT27
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_FAVORITE (
    "FAVORITE_ID" DECIMAL(12,0) NOT NULL,
    "GROUP_ID" DECIMAL(12,0),
    "NAME" VARCHAR( 1990) NOT NULL,
    "EFFECTIVE_DATE" TIMESTAMP,
    "SNAPSHOT_ID" CHAR(36),
    "TIP" CHAR(1),
    "BRANCH_ID" CHAR(36),
    "ITEM_TYPE" DECIMAL(10,0) NOT NULL,
    "ITEM_REF" DECIMAL(19,0),
    "ITEM_ID" CHAR(36),
    "EXPOSED_SERVICE_TYPE" DECIMAL(10,0),
    "EXPOSED_PROCESS_TYPE" DECIMAL(10,0),
    "CACHED_PROCESS_VERSION_ID" CHAR(36),
    "CACHED_BPD_VERSION_ID" CHAR(36),
    "CACHED_REPORT_VERSION_ID" CHAR(36),
    "CACHED_SCBD_VERSION_ID" CHAR(36),
    "CACHED_EPV_VERSION_ID" CHAR(36),
    "CACHED_UCA_VERSION_ID" CHAR(36),
    "CACHED_WS_VERSION_ID" CHAR(36),
    "CACHED_SLA_VERSION_ID" CHAR(36),
    "CACHED_EVENT_SUB_VERSION_ID" CHAR(36),
    "EVENT_SOURCE_ID" VARCHAR(256),
    "ITEM_LABEL" VARCHAR(510),
    "ENABLED" CHAR(1)
        DEFAULT 'T' NOT NULL
)
IN @DB_NAME@.WLPT27
;


CREATE TABLESPACE WLPT206
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_USR_AVATAR (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_AVATAR_IMAGE" BLOB(2G)
)
IN @DB_NAME@.WLPT206
;


CREATE LOB TABLESPACE WLP2062
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_USR_AVATAR2_LOB
    IN @DB_NAME@.WLP2062
    STORES @SCHEMA@.BPM_USR_AVATAR COLUMN USER_AVATAR_IMAGE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_USR_AVATAR2_I
    ON @SCHEMA@.BPM_USR_AVATAR2_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ6301
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_NAME" VARCHAR(128) NOT NULL,
    "ONLINE_STATUS" CHAR(1)
        DEFAULT 'F',
    "ONLINE_SERVER_ID" VARCHAR(510)
)
IN @DB_NAME@.WLPZ6301
;


CREATE TABLESPACE WLPT153
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_SNAPSHOT (
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "REPOSITORY_BRANCH_ID" CHAR(36),
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "NAME" VARCHAR(256),
    "ACRONYM" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "BRANCH_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "IS_ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "IS_BLA_ACTIVE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_STARTED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_INSTALLED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_BLA_INSTALLED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_TIP_DEPLOYED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_DEFAULT" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "ERROR_COUNTER" DECIMAL(8,0),
    "CHANGE_DATA" BLOB(2G),
    "TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "ORIG_CREATED_ON" TIMESTAMP NOT NULL,
    "ACTIVATED_ON" TIMESTAMP,
    "STATUS" VARCHAR(128)
        DEFAULT 'New' NOT NULL,
    "CAPABILITY" CHAR(1),
    "IS_ARCHIVED" CHAR(1)
        DEFAULT 'F',
    "ARCHIVED_ON" TIMESTAMP,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT153
;


CREATE LOB TABLESPACE WLP1537
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SNAPSHOT7_LOB
    IN @DB_NAME@.WLP1537
    STORES @SCHEMA@.LSW_SNAPSHOT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SNAPSHOT7_I
    ON @SCHEMA@.LSW_SNAPSHOT7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP15319
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_SNAPSHOT19_LOB
    IN @DB_NAME@.WLP15319
    STORES @SCHEMA@.LSW_SNAPSHOT COLUMN CHANGE_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_SNAPSHOT19_I
    ON @SCHEMA@.LSW_SNAPSHOT19_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT154
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_BRANCH (
    "BRANCH_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "IS_ARCHIVED" CHAR(1)
        DEFAULT 'F',
    "ARCHIVED_ON" TIMESTAMP,
    "NAME" VARCHAR(128) NOT NULL,
    "ACRONYM" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "TIP_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "TIP_SNAPSHOT_ID" CHAR(36),
    "IS_DEFAULT" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "BASE_SNAPSHOT_ID" CHAR(36)
)
IN @DB_NAME@.WLPT154
;


CREATE LOB TABLESPACE WLP15410
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_BRANCH10_LOB
    IN @DB_NAME@.WLP15410
    STORES @SCHEMA@.LSW_BRANCH COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_BRANCH10_I
    ON @SCHEMA@.LSW_BRANCH10_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT155
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROJECT (
    "PROJECT_ID" CHAR(36) NOT NULL,
    "CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "CREATED_ON" TIMESTAMP NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
    "IS_ARCHIVED" CHAR(1)
        DEFAULT 'F',
    "ARCHIVED_ON" TIMESTAMP,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "SHORT_NAME" VARCHAR(128) NOT NULL,
    "RELEASE_PROCESS_ID" CHAR(36),
    "RELEASE_PROCESS_BRANCH_ID" CHAR(36),
    "IS_TOOLKIT" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_BRANCHING_ENABLED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_HIDDEN" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_SYSTEM" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_IMMUTABLE" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_SHARED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "SHARED_BY_USER_ID" DECIMAL(12,0),
    "SHARED_ON" TIMESTAMP,
    "IS_GOVERNED" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "IS_GOVERNANCE" CHAR(1)
        DEFAULT 'F' NOT NULL
)
IN @DB_NAME@.WLPT155
;


CREATE LOB TABLESPACE WLP1559
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROJECT9_LOB
    IN @DB_NAME@.WLP1559
    STORES @SCHEMA@.LSW_PROJECT COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROJECT9_I
    ON @SCHEMA@.LSW_PROJECT9_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT162
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PO_VERSIONS (
    "VERSION_SUMMARY_ID" CHAR(36) NOT NULL,
    "START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "BRANCH_ID" CHAR(36) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL,
    "PO_ROOT_ID" CHAR(36) NOT NULL,
    "PO_GUID" VARCHAR(256),
    "PO_VERSION_ID" CHAR(36) NOT NULL,
    "PO_ORIG_VERSION_ID" CHAR(36),
    "PO_NAME" VARCHAR(128),
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0),
    "LAST_MODIFIED" TIMESTAMP,
    "ORIG_LAST_MODIFIED_BY_USER" VARCHAR(100),
    "ORIG_LAST_MODIFIED" TIMESTAMP,
    "PO_DATA" BLOB(2G),
    "VALID_STATE" DECIMAL(1,0),
    "VALIDATION_ERRS" BLOB(2G)
)
IN @DB_NAME@.WLPT162
;


CREATE LOB TABLESPACE WLP16216
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PO_VERSIONS16_LOB
    IN @DB_NAME@.WLP16216
    STORES @SCHEMA@.LSW_PO_VERSIONS COLUMN PO_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PO_VERSIONS16_I
    ON @SCHEMA@.LSW_PO_VERSIONS16_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLP16218
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PO_VERSIONS18_LOB
    IN @DB_NAME@.WLP16218
    STORES @SCHEMA@.LSW_PO_VERSIONS COLUMN VALIDATION_ERRS
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PO_VERSIONS18_I
    ON @SCHEMA@.LSW_PO_VERSIONS18_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT163
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PO_METADATA (
    "START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "BRANCH_ID" CHAR(36) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL,
    "META_KEY" VARCHAR(256) NOT NULL,
    "PO_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT163
;


CREATE LOB TABLESPACE WLP1637
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PO_METADATA7_LOB
    IN @DB_NAME@.WLP1637
    STORES @SCHEMA@.LSW_PO_METADATA COLUMN PO_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PO_METADATA7_I
    ON @SCHEMA@.LSW_PO_METADATA7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT164
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY (
    "PROJECT_DEPENDENCY_ID" CHAR(36) NOT NULL,
    "TARGET_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "LATEST_SNAPSHOT_SEQ_NUM" DECIMAL(19,0),
    "VERSION_ID" CHAR(36) NOT NULL,
    "IS_SYSTEM" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "NAME" VARCHAR(128),
    "RANK" DECIMAL(12,0),
    "DESCRIPTION" CLOB(2G),
    "IS_ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT164
;


CREATE LOB TABLESPACE WLP1648
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY8_LOB
    IN @DB_NAME@.WLP1648
    STORES @SCHEMA@.LSW_PROJECT_DEPENDENCY COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PROJECT_DEPENDENCY8_I
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT177
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_DEP_PATH (
    "DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
    "IDX" DECIMAL(6,0) NOT NULL,
    "COUNT" DECIMAL(6,0) NOT NULL,
    "HASH" DECIMAL(12,0) NOT NULL,
    "DEPENDENCY_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT177
;


CREATE TABLESPACE WLPT178
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PO_REFERENCE (
    "REFERENCE_ID" CHAR(36) NOT NULL,
    "START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "BRANCH_ID" CHAR(36) NOT NULL,
    "DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
    "TARGET_TYPE" DECIMAL(8,0) NOT NULL,
    "TARGET_ID" CHAR(36) NOT NULL,
    "TARGET_SUMMARY_DATA" BLOB(2G)
)
IN @DB_NAME@.WLPT178
;


CREATE LOB TABLESPACE WLP1788
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_PO_REFERENCE8_LOB
    IN @DB_NAME@.WLP1788
    STORES @SCHEMA@.LSW_PO_REFERENCE COLUMN TARGET_SUMMARY_DATA
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PO_REFERENCE8_I
    ON @SCHEMA@.LSW_PO_REFERENCE8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT179
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_PO_DEPENDENCY (
    "START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
    "SOURCE_TYPE" DECIMAL(4,0) NOT NULL,
    "BRANCH_ID" CHAR(36) NOT NULL,
    "SOURCE_ID" CHAR(36) NOT NULL,
    "SOURCE_LOCATION" VARCHAR(1024) NOT NULL,
    "TARGET_REF" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT179
;


CREATE TABLESPACE WLPT180
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_RT_REFERENCE (
    "REFERENCE_ID" DECIMAL(19,0) NOT NULL,
    "DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
    "PO_TYPE" DECIMAL(8,0) NOT NULL,
    "PO_ID" CHAR(36) NOT NULL
)
IN @DB_NAME@.WLPT180
;


CREATE TABLESPACE WLPT24
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_WEB_SERVICE (
    "WEB_SERVICE_ID" CHAR(36) NOT NULL,
    "IS_PROTECTED" CHAR(1),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "TARGET_NAMESPACE_SCHEME" VARCHAR(128),
    "TARGET_NAMESPACE" VARCHAR(1024),
    "POLICY_SET" VARCHAR(1024),
    "POLICY_BINDING" VARCHAR(1024),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT24
;


CREATE LOB TABLESPACE WLP244
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_WEB_SERVICE4_LOB
    IN @DB_NAME@.WLP244
    STORES @SCHEMA@.LSW_WEB_SERVICE COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_WEB_SERVICE4_I
    ON @SCHEMA@.LSW_WEB_SERVICE4_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPT25
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_WEB_SERVICE_OP (
    "WEB_SERVICE_OP_ID" CHAR(36) NOT NULL,
    "WEB_SERVICE_ID" CHAR(36) NOT NULL,
    "SEQ" DECIMAL(12,0) NOT NULL,
    "PROCESS_REF" CHAR(36) NOT NULL,
    "IS_PROTECTED" CHAR(1),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPT25
;


CREATE LOB TABLESPACE WLP257
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_WEB_SERVICE_OP7_LOB
    IN @DB_NAME@.WLP257
    STORES @SCHEMA@.LSW_WEB_SERVICE_OP COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_WEB_SERVICE_OP7_I
    ON @SCHEMA@.LSW_WEB_SERVICE_OP7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ7801
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "SESSION_ID" VARCHAR(36),
    "CLIENT_ID" VARCHAR(36),
    "LATEST_SNAPSHOT_ID" VARCHAR(100),
    "LATEST_BATCH_NO_IN_SNAPSHOT" DECIMAL(19,0),
    "LATEST_BATCH_NO" DECIMAL(19,0) NOT NULL,
    "CORRUPTED_BATCH_NO" DECIMAL(19,0),
    "USER_ID" VARCHAR(200) NOT NULL,
    "LOCK_STATUS" CHAR(1)
        DEFAULT 'F',
    "LOCKED_ON" TIMESTAMP,
    "LAST_MODIFIED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7801
;


CREATE TABLESPACE WLPZ7802
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "ROOT_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "BATCH_NO" DECIMAL(19,0) NOT NULL,
    "DATA_SEQ" DECIMAL(3,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "SNAPSHOT_ID" VARCHAR(100),
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0,
    "USER_ID" VARCHAR(200) NOT NULL,
    "PENDING_SUMMARY" CHAR(1)
        DEFAULT 'F',
    "BAD_BATCH" CHAR(1)
        DEFAULT 'F',
    "MODIFIED_ON" TIMESTAMP NOT NULL,
    "BASE_BATCH_NO" DECIMAL(19,0),
    "CLIENT_ID" VARCHAR(36),
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7802
;


CREATE TABLESPACE WLPZ7803
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "ROOT_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "BATCH_NO" DECIMAL(19,0) NOT NULL,
    "DATA_SEQ" DECIMAL(3,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "SNAPSHOT_ID" VARCHAR(100),
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0,
    "USER_ID" VARCHAR(200) NOT NULL,
    "PENDING_SUMMARY" CHAR(1)
        DEFAULT 'F',
    "BAD_BATCH" CHAR(1)
        DEFAULT 'F',
    "MODIFIED_ON" TIMESTAMP NOT NULL,
    "BASE_BATCH_NO" DECIMAL(19,0),
    "CLIENT_ID" VARCHAR(36),
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7803
;


CREATE TABLESPACE WLPZ7804
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7804
;


CREATE TABLESPACE WLPZ7805
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "USER_ID" VARCHAR(200) NOT NULL,
    "LOCK_STATUS" CHAR(1)
        DEFAULT 'F',
    "LOCKED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7805
;


CREATE TABLESPACE WLPZ7806
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ASSET (
    "ASSET_ID" CHAR(36) NOT NULL,
    "ASSET_TYPE" DECIMAL(3,0) NOT NULL,
    "ASSET_SUB_TYPE" DECIMAL(3,0)
        DEFAULT 0,
    "NAMESPACE" VARCHAR(1024),
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "VISIBILITY_LEVEL" DECIMAL(2,0)
        DEFAULT 99 NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0),
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7806
;


CREATE LOB TABLESPACE WLPZ7807
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ASSET7_LOB
    IN @DB_NAME@.WLPZ7807
    STORES @SCHEMA@.BPM_ASSET COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET7_I
    ON @SCHEMA@.BPM_ASSET7_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE LOB TABLESPACE WLPZ7808
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ASSET8_LOB
    IN @DB_NAME@.WLPZ7808
    STORES @SCHEMA@.BPM_ASSET COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET8_I
    ON @SCHEMA@.BPM_ASSET8_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ7809
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT (
    "VERSION_CONTEXT" VARCHAR(100) NOT NULL,
    "ASSET_ID" CHAR(36) NOT NULL,
    "CACHE_KEY" CHAR(36) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "DATA_TYPE" CHAR(1)
        DEFAULT 'X' NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "CACHED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7809
;


CREATE LOB TABLESPACE WLPZ7810
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_LOB
    IN @DB_NAME@.WLPZ7810
    STORES @SCHEMA@.BPM_ASSET_CACHE_CONTENT COLUMN DATA
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_I
    ON @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ8101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET (
    "EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ8101
;


CREATE LOB TABLESPACE WLPZ8102
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET3_LOB
    IN @DB_NAME@.WLPZ8102
    STORES @SCHEMA@.LSW_EXTENDED_PROPERTY_SET COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTENDED_PROPERTY_SET3_I
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET3_LOB
    USING STOGROUP @STOGRP@
    
;


CREATE TABLESPACE WLPZ8103
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    

;

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY (
    "EXTENDED_PROPERTY_ID" CHAR(36) NOT NULL,
    "EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ8103
;


CREATE LOB TABLESPACE WLPZ8104
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@

;


CREATE AUX TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY4_LOB
    IN @DB_NAME@.WLPZ8104
    STORES @SCHEMA@.LSW_EXTENDED_PROPERTY COLUMN DESCRIPTION
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTENDED_PROPERTY4_I
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY4_LOB
    USING STOGROUP @STOGRP@
    
;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_METRIC_PK
    ON @SCHEMA@.LSW_METRIC
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_METRIC
    ADD CONSTRAINT LSWC_METRIC_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SLA_PK
    ON @SCHEMA@.LSW_SLA
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SLA
    ADD CONSTRAINT LSWC_SLA_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SIM_SCEN_PK
    ON @SCHEMA@.LSW_SIM_SCENARIO
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SIM_SCENARIO
    ADD CONSTRAINT LSWC_SIM_SCEN_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_HIST_SCEN_PK
    ON @SCHEMA@.LSW_HIST_SCENARIO
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_HIST_SCENARIO
    ADD CONSTRAINT LSWC_HIST_SCEN_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION
    ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
    ("EVENT_SUBSCRIPTION_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
    ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY(
       "EVENT_SUBSCRIPTION_TYPE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK
    ON @SCHEMA@.LSW_STAY_ON_PAGE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE
    ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_PAREF_PK
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF
    ADD CONSTRAINT BPM_PAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_CAREF_PK
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF
    ADD CONSTRAINT BPM_CAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_BAREF_PK
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF
    ADD CONSTRAINT BPM_BAREF_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_PK
    ON @SCHEMA@.LSW_BPD
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD
    ADD CONSTRAINT LSWC_BPD_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_EVENT_PK
    ON @SCHEMA@.LSW_BPD_EVENT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_EVENT
    ADD CONSTRAINT LSWC_BPD_EVENT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_PARM_PK
    ON @SCHEMA@.LSW_BPD_PARAMETER
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_PARAMETER
    ADD CONSTRAINT LSWC_BPD_PARM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_PK
    ON @SCHEMA@.BPM_SHARED_OBJECT
    ("DEFINITION_VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_PK
    PRIMARY KEY(
       "DEFINITION_VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_PK
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE
    ("INSTANCE_VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_PK
    PRIMARY KEY(
       "INSTANCE_VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_VALUE_PK
    ON @SCHEMA@.BPM_SHARED_OBJECT_VALUE
    ("VALUE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_PK
    PRIMARY KEY(
       "VALUE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_CH_VIEW_PK
    ON @SCHEMA@.BPM_COACH_VIEW
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW
    ADD CONSTRAINT BPM_CH_VIEW_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_LOC_PK
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES
    ADD CONSTRAINT BPM_VIEW_LOC_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_BIND_PK
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE
    ADD CONSTRAINT BPM_VIEW_BIND_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION
    ADD CONSTRAINT BPM_VIEW_CONFIG_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_RES_PK
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE
    ADD CONSTRAINT BPM_VIEW_RES_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT
    ADD CONSTRAINT BPM_VIEW_SCRIPT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_VIEW_AMD_PK
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP
    ADD CONSTRAINT BPM_VIEW_AMD_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_COACHNG_PK
    ON @SCHEMA@.BPM_COACHNG
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACHNG
    ADD CONSTRAINT BPM_COACHNG_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_COACHNG_BE_PK
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT
    ADD CONSTRAINT BPM_COACHNG_BE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_COACH_PK
    ON @SCHEMA@.LSW_COACH
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_COACH
    ADD CONSTRAINT LSWC_COACH_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_COACH_BTN_PK
    ON @SCHEMA@.LSW_COACH_BUTTON
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON
    ADD CONSTRAINT LSWC_COACH_BTN_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_COACH_RES_PK
    ON @SCHEMA@.LSW_COACH_RESOURCE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_COACH_RESOURCE
    ADD CONSTRAINT LSWC_COACH_RES_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_INFOPATHF_PK
    ON @SCHEMA@.LSW_INFOPATH_FORM
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM
    ADD CONSTRAINT LSWC_INFOPATHF_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_TASK_PK
    ON @SCHEMA@.LSW_EM_TASK
    ("TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK
    ADD CONSTRAINT LSWC_EM_TASK_PK
    PRIMARY KEY(
       "TASK_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_KEYWORD_PK
    ON @SCHEMA@.LSW_EM_TASK_KEYWORDS
    ("TASK_ID","KEYWORD")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS
    ADD CONSTRAINT LSWC_EM_KEYWORD_PK
    PRIMARY KEY(
       "TASK_ID",
       "KEYWORD")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_INST_PK
    ON @SCHEMA@.LSW_EM_INSTANCE
    ("OWNER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE
    ADD CONSTRAINT LSWC_EM_INST_PK
    PRIMARY KEY(
       "OWNER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_HIST_PK
    ON @SCHEMA@.LSW_EM_TASK_HISTORY
    ("TASK_ID","EXECUTION_ATTEMPT")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY
    ADD CONSTRAINT LSWC_TASK_HIST_PK
    PRIMARY KEY(
       "TASK_ID",
       "EXECUTION_ATTEMPT")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SYNCQUEUE_PK
    ON @SCHEMA@.LSW_UCA_SYNC_QUEUE
    ("SYNC_QUEUE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE
    ADD CONSTRAINT LSWC_SYNCQUEUE_PK
    PRIMARY KEY(
       "SYNC_QUEUE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ENV_VARS_PK
    ON @SCHEMA@.LSW_ENV_VAR_SET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_SET
    ADD CONSTRAINT LSWC_ENV_VARS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ENV_VAR_PK
    ON @SCHEMA@.LSW_ENV_VAR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR
    ADD CONSTRAINT LSWC_ENV_VAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_E_VAR_VAL_PK
    ON @SCHEMA@.LSW_ENV_VAR_VAL
    ("ENV_VAR_VAL_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL
    ADD CONSTRAINT LSWC_E_VAR_VAL_PK
    PRIMARY KEY(
       "ENV_VAR_VAL_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ENV_TYPE_PK
    ON @SCHEMA@.LSW_ENV_TYPE
    ("ENV_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_TYPE
    ADD CONSTRAINT LSWC_ENV_TYPE_PK
    PRIMARY KEY(
       "ENV_TYPE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ENV_VART_PK
    ON @SCHEMA@.LSW_ENV_VAR_TYPE
    ("ENV_VAR_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_TYPE
    ADD CONSTRAINT LSWC_ENV_VART_PK
    PRIMARY KEY(
       "ENV_VAR_TYPE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ENV_DFLT_PK
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT
    ADD CONSTRAINT LSWC_ENV_DFLT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EPV_PK
    ON @SCHEMA@.LSW_EPV
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EPV
    ADD CONSTRAINT LSWC_EPV_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EPV_VAR_PK
    ON @SCHEMA@.LSW_EPV_VAR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR
    ADD CONSTRAINT LSWC_EPV_VAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EPV_VAL_PK
    ON @SCHEMA@.LSW_EPV_VAR_VALUE
    ("EPV_VAR_VALUE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR_VALUE
    ADD CONSTRAINT LSWC_EPV_VAL_PK
    PRIMARY KEY(
       "EPV_VAR_VALUE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPS_PK
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION
    ADD CONSTRAINT LSWC_BPS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EA_PARAM_PK
    ON @SCHEMA@.LSW_EXTACT_PARAMETER
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER
    ADD CONSTRAINT LSWC_EA_PARAM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EA_PROP_PK
    ON @SCHEMA@.LSW_EXTACT_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PROPERTY
    ADD CONSTRAINT LSWC_EA_PROP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXT_ACT_PK
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY
    ADD CONSTRAINT LSWC_EXT_ACT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_MGD_ASSET_PK
    ON @SCHEMA@.LSW_MANAGED_ASSET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET
    ADD CONSTRAINT LSWC_MGD_ASSET_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ASSET_DATA_PK
    ON @SCHEMA@.LSW_MANAGED_ASSET_DATA
    ("ASSET_DATA_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET_DATA
    ADD CONSTRAINT LSWC_ASSET_DATA_PK
    PRIMARY KEY(
       "ASSET_DATA_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_NODE_PK
    ON @SCHEMA@.BPM_CONTRIBUTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION
    ADD CONSTRAINT BPM_NODE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_CPRP_PK
    ON @SCHEMA@.BPM_CTRB_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY
    ADD CONSTRAINT BPM_CPRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_CDEP_PK
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY
    ADD CONSTRAINT BPM_CDEP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_NPRP_PK
    ON @SCHEMA@.BPM_ARTIFACT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT
    ADD CONSTRAINT BPM_NPRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ART_DATA_PK
    ON @SCHEMA@.BPM_ARTIFACT_DATA
    ("ART_DATA_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT_DATA
    ADD CONSTRAINT BPM_ART_DATA_PK
    PRIMARY KEY(
       "ART_DATA_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_MMDATA_PK
    ON @SCHEMA@.BPM_MON_MODEL_DATA
    ("MM_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_MON_MODEL_DATA
    ADD CONSTRAINT BPM_MMDATA_PK
    PRIMARY KEY(
       "MM_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SAV_SRCH_PK
    ON @SCHEMA@.LSW_SAVED_SEARCHES
    ("SEARCH_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SAVED_SEARCHES
    ADD CONSTRAINT LSWC_SAV_SRCH_PK
    PRIMARY KEY(
       "SEARCH_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_INSTALL_PK
    ON @SCHEMA@.LSW_INSTALLATION
    ("INSTALLATION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_INSTALLATION
    ADD CONSTRAINT LSWC_INSTALL_PK
    PRIMARY KEY(
       "INSTALLATION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RELEASE_PK
    ON @SCHEMA@.LSW_RELEASE
    ("RELEASE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RELEASE
    ADD CONSTRAINT LSWC_RELEASE_PK
    PRIMARY KEY(
       "RELEASE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_USER_FAV_PK
    ON @SCHEMA@.LSW_USER_FAVORITE
    ("FAVORITE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USER_FAVORITE
    ADD CONSTRAINT LSWC_USER_FAV_PK
    PRIMARY KEY(
       "FAVORITE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SF_PK
    ON @SCHEMA@.LSW_SMART_FOLDER
    ("SMART_FOLDER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER
    ADD CONSTRAINT LSWC_SF_PK
    PRIMARY KEY(
       "SMART_FOLDER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TEMPLATE_PK
    ON @SCHEMA@.LSW_CA_TEMPLATE
    ("ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE
    ADD CONSTRAINT LSWC_TEMPLATE_PK
    PRIMARY KEY(
       "ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_LAUNCHER_PK
    ON @SCHEMA@.LSW_LAUNCHER
    ("LAUNCHER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER
    ADD CONSTRAINT LSWC_LAUNCHER_PK
    PRIMARY KEY(
       "LAUNCHER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BRKPNT_PK
    ON @SCHEMA@.LSW_BREAKPOINT
    ("BREAKPOINT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT
    ADD CONSTRAINT LSWC_BRKPNT_PK
    PRIMARY KEY(
       "BREAKPOINT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_OSLC_PROVIDER
    ON @SCHEMA@.BPM_OSLC_PROVIDER
    ("PROVIDER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER
    ADD CONSTRAINT LSWC_OSLC_PROVIDER
    PRIMARY KEY(
       "PROVIDER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_CLASS_PK
    ON @SCHEMA@.LSW_CLASS
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_CLASS
    ADD CONSTRAINT LSWC_CLASS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_LAYOUT_PK
    ON @SCHEMA@.LSW_LAYOUT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT
    ADD CONSTRAINT LSWC_LAYOUT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_LOUT_PRM_PK
    ON @SCHEMA@.LSW_LAYOUT_PARAM
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT_PARAM
    ADD CONSTRAINT LSWC_LOUT_PRM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS
    ADD CONSTRAINT LSWC_PRJ_DFTS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RBGROUP_PK
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP
    ADD CONSTRAINT LSWC_RBGROUP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RBUNDLE_PK
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE
    ADD CONSTRAINT LSWC_RBUNDLE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RBKEY_PK
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY
    ADD CONSTRAINT LSWC_RBKEY_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCRIPT_PK
    ON @SCHEMA@.LSW_SCRIPT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SCRIPT
    ADD CONSTRAINT LSWC_SCRIPT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SERVER_PK
    ON @SCHEMA@.LSW_SERVER
    ("SERVER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SERVER
    ADD CONSTRAINT LSWC_SERVER_PK
    PRIMARY KEY(
       "SERVER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_DEPLOYMENT_PK
    ON @SCHEMA@.LSW_DEPLOYMENT
    ("DEPLOYMENT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT
    ADD CONSTRAINT LSWC_DEPLOYMENT_PK
    PRIMARY KEY(
       "DEPLOYMENT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SVRCAP_PK
    ON @SCHEMA@.LSW_SERVER_CAPABILITY
    ("SERVER_CAPABILITY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_PK
    PRIMARY KEY(
       "SERVER_CAPABILITY_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_CAP_TYPE_PK
    ON @SCHEMA@.LSW_CAPABILITY_TYPE
    ("CAPABILITY_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE
    ADD CONSTRAINT LSWC_CAP_TYPE_PK
    PRIMARY KEY(
       "CAPABILITY_TYPE_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.BPM_REGISTRATION_PK
    ON @SCHEMA@.BPM_REGISTRATION
    ("REG_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION
    ADD CONSTRAINT BPM_REGISTRATION_PK
    PRIMARY KEY(
       "REG_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_REPOSITORY_LOG_PK
    ON @SCHEMA@.BPM_REPOSITORY_LOG
    ("REPOSITORY_LOG_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG
    ADD CONSTRAINT BPM_REPOSITORY_LOG_PK
    PRIMARY KEY(
       "REPOSITORY_LOG_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_TK_USAGES_PK
    ON @SCHEMA@.BPM_SHARED_TK_USAGES
    ("SHARED_TK_USAGE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES
    ADD CONSTRAINT BPM_SHARED_TK_USAGES_PK
    PRIMARY KEY(
       "SHARED_TK_USAGE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SNAPSHOT_STATUS_PK
    ON @SCHEMA@.BPM_SNAPSHOT_STATUS
    ("STATUS_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS
    ADD CONSTRAINT BPM_SNAPSHOT_STATUS_PK
    PRIMARY KEY(
       "STATUS_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_PROJECT_SUBSCRIPTION_PK
    ON @SCHEMA@.BPM_PROJECT_SUBSCRIPTION
    ("PROJECT_SUBSCRIPTION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION
    ADD CONSTRAINT BPM_PROJECT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "PROJECT_SUBSCRIPTION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_PROJECT_SUBSCRIBED_PK
    ON @SCHEMA@.BPM_PROJECT_SUBSCRIBED
    ("PROJECT_SUBSCRIBED_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED
    ADD CONSTRAINT BPM_PROJECT_SUBSCRIBED_PK
    PRIMARY KEY(
       "PROJECT_SUBSCRIBED_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_IDX_ACTION_PK
    ON @SCHEMA@.BPM_PC_IDX_ACTION
    ("ACTION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_PC_IDX_ACTION
    ADD CONSTRAINT BPM_PC_IDX_ACTION_PK
    PRIMARY KEY(
       "ACTION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_INDEXER_PK
    ON @SCHEMA@.BPM_PC_INDEXER
    ("INDEXER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_PC_INDEXER
    ADD CONSTRAINT BPM_PC_INDEXER_PK
    PRIMARY KEY(
       "INDEXER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT_PK
    ON @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ("ASSIGNMENT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY(
       "ASSIGNMENT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_GOV_DEFAULTS_PK
    ON @SCHEMA@.BPM_GOVERNANCE_EVENT
    ("EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT
    ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY(
       "EVENT_TYPE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PD_TRANS_PK
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER
    ("PERF_DATA_TRANSFER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER
    ADD CONSTRAINT LSWC_PD_TRANS_PK
    PRIMARY KEY(
       "PERF_DATA_TRANSFER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TRCKN_GRP_PK
    ON @SCHEMA@.LSW_TRACKING_GROUP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP
    ADD CONSTRAINT LSWC_TRCKN_GRP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TRCKD_VAR_PK
    ON @SCHEMA@.LSW_TRACKED_VARIABLE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE
    ADD CONSTRAINT LSWC_TRCKD_VAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TRCKN_PT_PK
    ON @SCHEMA@.LSW_TRACKING_POINT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT
    ADD CONSTRAINT LSWC_TRCKN_PT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TRCK_VARU_PK
    ON @SCHEMA@.LSW_TRACKED_VARIABLE_USE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE
    ADD CONSTRAINT LSWC_TRCK_VARU_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMNG_INT_PK
    ON @SCHEMA@.LSW_TIMING_INTERVAL
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL
    ADD CONSTRAINT LSWC_TMNG_INT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMNG_INTB_PK
    ON @SCHEMA@.LSW_TIMING_INTERVAL_BOUND
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND
    ADD CONSTRAINT LSWC_TMNG_INTB_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPMC_ECNTR_PK
    ON @SCHEMA@.BPM_ECM_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ECM_CONNECTOR
    ADD CONSTRAINT BPMC_ECNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ILDT_PK
    ON @SCHEMA@.LSW_ILOG_DECISION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ILOG_DECISION
    ADD CONSTRAINT LSWC_ILDT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCNTR_PK
    ON @SCHEMA@.LSW_SCA_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR
    ADD CONSTRAINT LSWC_SCNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_STEP_PK
    ON @SCHEMA@.LSW_STEP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_STEP
    ADD CONSTRAINT LSWC_STEP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_CONNECTOR_PK
    ON @SCHEMA@.LSW_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_CONNECTOR
    ADD CONSTRAINT LSWC_CONNECTOR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_IC_PK
    ON @SCHEMA@.LSW_IC
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_IC
    ADD CONSTRAINT LSWC_IC_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_JCNTR_PK
    ON @SCHEMA@.LSW_JAVA_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_JAVA_CONNECTOR
    ADD CONSTRAINT LSWC_JCNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_WSNTR_PK
    ON @SCHEMA@.LSW_WS_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_WS_CONNECTOR
    ADD CONSTRAINT LSWC_WSNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ILNTR_PK
    ON @SCHEMA@.LSW_ILOG_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ILOG_CONNECTOR
    ADD CONSTRAINT LSWC_ILNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ICNTR_PK
    ON @SCHEMA@.LSW_ICMCASE_CONNECTOR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR
    ADD CONSTRAINT LSWC_ICNTR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EPV_PR_LK_PK
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EPV_PROCESS_LINK
    ADD CONSTRAINT LSWC_EPV_PR_LK_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RES_PR_LK_PK
    ON @SCHEMA@.LSW_RESOURCE_PROCESS_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_PROCESS_LINK
    ADD CONSTRAINT LSWC_RES_PR_LK_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXCEPTION_PK
    ON @SCHEMA@.LSW_EXCEPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXCEPTION
    ADD CONSTRAINT LSWC_EXCEPTION_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXIT_POINT_PK
    ON @SCHEMA@.LSW_EXIT_POINT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXIT_POINT
    ADD CONSTRAINT LSWC_EXIT_POINT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TS_FILE_PK
    ON @SCHEMA@.LSW_TASK_SENDER_FILE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_FILE
    ADD CONSTRAINT LSWC_TS_FILE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TS_ADDR_PK
    ON @SCHEMA@.LSW_TASK_SENDER_ADDR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR
    ADD CONSTRAINT LSWC_TS_ADDR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PIPP_PK
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST
    ADD CONSTRAINT LSWC_PIPP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROC_LINK_PK
    ON @SCHEMA@.LSW_PROCESS_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK
    ADD CONSTRAINT LSWC_PROC_LINK_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_FILE_PK
    ON @SCHEMA@.LSW_FILE
    ("FILE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_FILE
    ADD CONSTRAINT LSWC_FILE_PK
    PRIMARY KEY(
       "FILE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_IC_INPUT_PK
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY
    ADD CONSTRAINT LSWC_IC_INPUT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_IC_OUTPUT_PK
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY
    ADD CONSTRAINT LSWC_IC_OUTPUT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PARAM_MAP_PK
    ON @SCHEMA@.LSW_PARAMETER_MAPPING
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PARAMETER_MAPPING
    ADD CONSTRAINT LSWC_PARAM_MAP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSW_PRIORITY_PK
    ON @SCHEMA@.LSW_PRIORITY
    ("PRIORITY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PRIORITY
    ADD CONSTRAINT LSW_PRIORITY_PK
    PRIMARY KEY(
       "PRIORITY_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROCESS_PK
    ON @SCHEMA@.LSW_PROCESS
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS
    ADD CONSTRAINT LSWC_PROCESS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK
    ON @SCHEMA@.LSW_PROCESS_ITEM
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM
    ADD CONSTRAINT LSWC_PROC_ITEM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SUBPROCESS_PK
    ON @SCHEMA@.LSW_SUBPROCESS
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SUBPROCESS
    ADD CONSTRAINT LSWC_SUBPROCESS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROC_LABEL_PK
    ON @SCHEMA@.LSW_PROCESS_LABEL
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LABEL
    ADD CONSTRAINT LSWC_PROC_LABEL_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROC_VAR_PK
    ON @SCHEMA@.LSW_PROCESS_VARIABLE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE
    ADD CONSTRAINT LSWC_PROC_VAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PRO_PARM_PK
    ON @SCHEMA@.LSW_PROCESS_PARAMETER
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_PARAMETER
    ADD CONSTRAINT LSWC_PRO_PARM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SWITCH_PK
    ON @SCHEMA@.LSW_SWITCH
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SWITCH
    ADD CONSTRAINT LSWC_SWITCH_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SWITCH_CON_PK
    ON @SCHEMA@.LSW_SWITCH_CONDITION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION
    ADD CONSTRAINT LSWC_SWITCH_CON_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_SEND_PK
    ON @SCHEMA@.LSW_TASK_SENDER
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER
    ADD CONSTRAINT LSWC_TASK_SEND_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TS_EXVAR_PK
    ON @SCHEMA@.LSW_TASK_SENDER_EXVAR
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR
    ADD CONSTRAINT LSWC_TS_EXVAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_PK
    ON @SCHEMA@.LSW_REPORT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT
    ADD CONSTRAINT LSWC_REP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_EPV_PK
    ON @SCHEMA@.LSW_REPORT_EPV_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_EPV_LINK
    ADD CONSTRAINT LSWC_REP_EPV_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_RBG_PK
    ON @SCHEMA@.LSW_REPORT_RBG_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_RBG_LINK
    ADD CONSTRAINT LSWC_REP_RBG_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_DS_PK
    ON @SCHEMA@.LSW_REPORT_DATASOURCE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE
    ADD CONSTRAINT LSWC_REP_DS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_TG_PK
    ON @SCHEMA@.LSW_REPORT_TG_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_TG_LINK
    ADD CONSTRAINT LSWC_REP_TG_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_PAGE_PK
    ON @SCHEMA@.LSW_REPORT_PAGE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_PAGE
    ADD CONSTRAINT LSWC_REP_PAGE_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_CHRT_PK
    ON @SCHEMA@.LSW_REPORT_CHART
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_CHART
    ADD CONSTRAINT LSWC_REP_CHRT_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_VAR_PK
    ON @SCHEMA@.LSW_REPORT_VARIABLES
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES
    ADD CONSTRAINT LSWC_REP_VAR_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_DSL_PK
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK
    ADD CONSTRAINT LSWC_REP_DSL_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_DSSL_PK
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK
    ADD CONSTRAINT LSWC_REP_DSSL_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_REP_DSLL_PK
    ON @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK
    ADD CONSTRAINT LSWC_REP_DSLL_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCBD_PK
    ON @SCHEMA@.LSW_SCBD
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SCBD
    ADD CONSTRAINT LSWC_SCBD_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SD_RPT_LK_PK
    ON @SCHEMA@.LSW_SCBD_RPT_LINK
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SCBD_RPT_LINK
    ADD CONSTRAINT LSWC_SD_RPT_LK_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BLACKCAL_PK
    ON @SCHEMA@.LSW_BLACKOUT_CALENDAR
    ("CALENDAR_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BLACKOUT_CALENDAR
    ADD CONSTRAINT LSWC_BLACKCAL_PK
    PRIMARY KEY(
       "CALENDAR_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_HOLIDAY_PK
    ON @SCHEMA@.LSW_HOLIDAY_SCHEDULE
    ("HOLIDAY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE
    ADD CONSTRAINT LSWC_HOLIDAY_PK
    PRIMARY KEY(
       "HOLIDAY_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMPERIOD_PK
    ON @SCHEMA@.LSW_TIME_PERIOD
    ("PERIOD_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD
    ADD CONSTRAINT LSWC_TMPERIOD_PK
    PRIMARY KEY(
       "PERIOD_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMSCHEDULE_PK
    ON @SCHEMA@.LSW_TIME_SCHEDULE
    ("SCHEDULE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE
    ADD CONSTRAINT LSWC_TMSCHEDULE_PK
    PRIMARY KEY(
       "SCHEDULE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCHPER_PK
    ON @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ("SCHEDULE_ID","PERIOD_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ADD CONSTRAINT LSWC_SCHPER_PK
    PRIMARY KEY(
       "SCHEDULE_ID",
       "PERIOD_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.TASK_MEASURES_PK
    ON @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES
    ("TASK_MEASURES_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES
    ADD CONSTRAINT TASK_MEASURES_PK
    PRIMARY KEY(
       "TASK_MEASURES_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPMC_TASK_MARKERS
    ON @SCHEMA@.BPM_TASK_MARKERS
    ("MARKER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_TASK_MARKERS
    PRIMARY KEY(
       "MARKER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_PK2
    ON @SCHEMA@.LSW_BPD_DOCUMENTS
    ("DOC_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS
    ADD CONSTRAINT LSWC_BPD_DOC_PK2
    PRIMARY KEY(
       "DOC_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPD_INST_VARS_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES
    ("BPD_INST_VARS_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES
    ADD CONSTRAINT BPD_INST_VARS_PK
    PRIMARY KEY(
       "BPD_INST_VARS_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE
    ("BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE
    ADD CONSTRAINT LSWC_BPD_INST_PK
    PRIMARY KEY(
       "BPD_INSTANCE_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_NTFY_PK
    ON @SCHEMA@.LSW_BPD_NOTIFICATION
    ("BPD_NOTIFICATION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_NOTIFICATION
    ADD CONSTRAINT LSWC_BPD_NTFY_PK
    PRIMARY KEY(
       "BPD_NOTIFICATION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_CMT_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_COMMENT
    ("COMMENT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT
    ADD CONSTRAINT LSWC_BPD_CMT_PK
    PRIMARY KEY(
       "COMMENT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_PK
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS
    ("DOC_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS
    ADD CONSTRAINT LSWC_BPD_DOC_PK
    PRIMARY KEY(
       "DOC_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_COD_PK
    ON @SCHEMA@.LSW_BPD_STATUS_CODES
    ("STATUS_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_STATUS_CODES
    ADD CONSTRAINT LSWC_BPD_COD_PK
    PRIMARY KEY(
       "STATUS_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_FIL_TYP_PK
    ON @SCHEMA@.LSW_FILE_TYPES
    ("FILETYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_FILE_TYPES
    ADD CONSTRAINT LSWC_FIL_TYP_PK
    PRIMARY KEY(
       "FILETYPE_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_MSG_INCL_PK
    ON @SCHEMA@.LSW_INST_MSG_INCL
    ("ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_INST_MSG_INCL
    ADD CONSTRAINT LSWC_MSG_INCL_PK
    PRIMARY KEY(
       "ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_MSG_EXCL_PK
    ON @SCHEMA@.LSW_INST_MSG_EXCL
    ("ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_INST_MSG_EXCL
    ADD CONSTRAINT LSWC_MSG_EXCL_PK
    PRIMARY KEY(
       "ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ERROR_PK
    ON @SCHEMA@.LSW_RUNTIME_ERROR
    ("ERROR_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR
    ADD CONSTRAINT LSWC_ERROR_PK
    PRIMARY KEY(
       "ERROR_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_STORED_SYMBOL_PK
    ON @SCHEMA@.LSW_STORED_SYMBOL_TABLE
    ("SYMBOL_TABLE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_STORED_SYMBOL_PK
    PRIMARY KEY(
       "SYMBOL_TABLE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_COD_PK
    ON @SCHEMA@.LSW_TASK_STATUS_CODES
    ("STATUS_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_STATUS_CODES
    ADD CONSTRAINT LSWC_TASK_COD_PK
    PRIMARY KEY(
       "STATUS_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKEXACD_PK
    ON @SCHEMA@.LSW_TASK_EXTACT_DATA
    ("TASK_EXTACT_DATA_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_EXTACT_DATA
    ADD CONSTRAINT LSWC_TASKEXACD_PK
    PRIMARY KEY(
       "TASK_EXTACT_DATA_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_PK
    ON @SCHEMA@.LSW_TASK
    ("TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK
    ADD CONSTRAINT LSWC_TASK_PK
    PRIMARY KEY(
       "TASK_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKIPFD_PK
    ON @SCHEMA@.LSW_TASK_IPF_DATA
    ("TASK_INFOPATHFORM_DATA_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_IPF_DATA
    ADD CONSTRAINT LSWC_TASKIPFD_PK
    PRIMARY KEY(
       "TASK_INFOPATHFORM_DATA_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_FILE_PK
    ON @SCHEMA@.LSW_TASK_FILE
    ("TASK_ID","SEQ")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_FILE
    ADD CONSTRAINT LSWC_TASK_FILE_PK
    PRIMARY KEY(
       "TASK_ID",
       "SEQ")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_ADDR_PK
    ON @SCHEMA@.LSW_TASK_ADDR
    ("TASK_ADDR_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_ADDR
    ADD CONSTRAINT LSWC_TASK_ADDR_PK
    PRIMARY KEY(
       "TASK_ADDR_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_NARR_PK
    ON @SCHEMA@.LSW_TASK_NARR
    ("TASK_NARR_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_NARR
    ADD CONSTRAINT LSWC_TASK_NARR_PK
    PRIMARY KEY(
       "TASK_NARR_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_ACTN_PK
    ON @SCHEMA@.LSW_TASK_ACTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION
    ADD CONSTRAINT LSWC_TASK_ACTN_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASK_EXEC_PK
    ON @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT
    ("TASK_EXECUTION_CONTEXT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT
    ADD CONSTRAINT LSWC_TASK_EXEC_PK
    PRIMARY KEY(
       "TASK_EXECUTION_CONTEXT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_MIGRATION_STATUS_PK
    ON @SCHEMA@.BPM_MIGRATION_STATUS
    ("EVENT")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS
    ADD CONSTRAINT LSWC_MIGRATION_STATUS_PK
    PRIMARY KEY(
       "EVENT")

;



CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_PK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES
    ("MEASURES_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES
    ADD CONSTRAINT BPMC_BPD_INSTANCE_MEASURES_PK
    PRIMARY KEY(
       "MEASURES_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPM_SYNCHRONIZE_PK
    ON @SCHEMA@.BPM_SYNCHRONIZE
    ("IDENTIFIER")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE
    ADD CONSTRAINT LSWC_BPM_SYNCHRONIZE_PK
    PRIMARY KEY(
       "IDENTIFIER")

;



CREATE UNIQUE INDEX @SCHEMA@.WLC_WLSTORE_PK
    ON @SCHEMA@.WL_WLSTORE
    ("ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.WL_WLSTORE
    ADD CONSTRAINT WLC_WLSTORE_PK
    PRIMARY KEY(
       "ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PRI_KEY_PK
    ON @SCHEMA@.LSW_PRI_KEY
    ("TABLE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PRI_KEY
    ADD CONSTRAINT LSWC_PRI_KEY_PK
    PRIMARY KEY(
       "TABLE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SYSTEM_PK
    ON @SCHEMA@.LSW_SYSTEM
    ("PROPKEY")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM
    ADD CONSTRAINT LSWC_SYSTEM_PK
    PRIMARY KEY(
       "PROPKEY")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SYSSCHEMA_PK
    ON @SCHEMA@.LSW_SYSTEM_SCHEMA
    ("PROPNAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA
    ADD CONSTRAINT LSWC_SYSSCHEMA_PK
    PRIMARY KEY(
       "PROPNAME")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_LEGACY_ID
    ON @SCHEMA@.LSW_LEGACY_ID
    ("LEGACY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_LEGACY_ID
    ADD CONSTRAINT LSWC_LEGACY_ID
    PRIMARY KEY(
       "LEGACY_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_LOCK
    ON @SCHEMA@.LSW_LOCK
    ("LOCK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_LOCK
    ADD CONSTRAINT LSWC_LOCK
    PRIMARY KEY(
       "LOCK_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_TASK_INDEX_PK
    ON @SCHEMA@.BPM_TASK_INDEX
    ("TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX
    ADD CONSTRAINT BPM_TASK_INDEX_PK
    PRIMARY KEY(
       "TASK_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_TASK_INDEX_JOB_PK
    ON @SCHEMA@.BPM_TASK_INDEX_JOB
    ("INDEX_ID","INDEX_START_TIME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX_JOB
    ADD CONSTRAINT BPM_TASK_INDEX_JOB_PK
    PRIMARY KEY(
       "INDEX_ID",
       "INDEX_START_TIME")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_PK
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA
    ("BPDID","FIELD_NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA
    ADD CONSTRAINT BPM_SRCH_INDEX_SCHEMA_PK
    PRIMARY KEY(
       "BPDID",
       "FIELD_NAME")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_PK
    ON @SCHEMA@.BPM_INSTANCE_INDEX
    ("INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_INSTANCE_INDEX
    ADD CONSTRAINT BPM_INSTANCE_INDEX_PK
    PRIMARY KEY(
       "INSTANCE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_INV_UCA_PK
    ON @SCHEMA@.LSW_INVOKE_UCA
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_INVOKE_UCA
    ADD CONSTRAINT LSWC_INV_UCA_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UCA_PK
    ON @SCHEMA@.LSW_UCA
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_UCA
    ADD CONSTRAINT LSWC_UCA_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UCA_PARM_PK
    ON @SCHEMA@.LSW_UCA_PARM
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_UCA_PARM
    ADD CONSTRAINT LSWC_UCA_PARM_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UCA_BO_PK
    ON @SCHEMA@.LSW_UCA_BLACKOUT
    ("BLACKOUT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_UCA_BLACKOUT
    ADD CONSTRAINT LSWC_UCA_BO_PK
    PRIMARY KEY(
       "BLACKOUT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE
    ("UCA_EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE
    ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY(
       "UCA_EVENT_TYPE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_USR_PK
    ON @SCHEMA@.LSW_USR
    ("USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR
    ADD CONSTRAINT LSWC_USR_PK
    PRIMARY KEY(
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_PK
    ON @SCHEMA@.LSW_USR_XREF
    ("USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_XREF
    ADD CONSTRAINT LSWC_UXREF_PK
    PRIMARY KEY(
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_GXREF_PK
    ON @SCHEMA@.LSW_USR_GRP_XREF
    ("GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF
    ADD CONSTRAINT LSWC_GXREF_PK
    PRIMARY KEY(
       "GROUP_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_UGXREF_PK
    ON @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ("GROUP_ID","USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_UGXREF_PK
    PRIMARY KEY(
       "GROUP_ID",
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_GGXREF_PK
    ON @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ("GROUP_ID","CONTAINER_GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_GGXREF_PK
    PRIMARY KEY(
       "GROUP_ID",
       "CONTAINER_GROUP_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_UA_PK
    ON @SCHEMA@.LSW_USR_ASSUME
    ("USR_ASSUME_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
    ADD CONSTRAINT LSWC_UA_PK
    PRIMARY KEY(
       "USR_ASSUME_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ACCESS_PK
    ON @SCHEMA@.LSW_ACCESS
    ("ASSUMED_USER_ID","USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ACCESS
    ADD CONSTRAINT LSWC_ACCESS_PK
    PRIMARY KEY(
       "ASSUMED_USER_ID",
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSW_DGRP_PK
    ON @SCHEMA@.LSW_DYNAMIC_GROUP
    ("DYNAMIC_GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSW_DGRP_PK
    PRIMARY KEY(
       "DYNAMIC_GROUP_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSW_DGRPC_PK
    ON @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT
    ("DYNAMIC_GROUP_CONSTRAINT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT
    ADD CONSTRAINT LSW_DGRPC_PK
    PRIMARY KEY(
       "DYNAMIC_GROUP_CONSTRAINT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSW_DGDEP_PK
    ON @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY
    ("PARENT_GROUP_ID","CHILD_GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY
    ADD CONSTRAINT LSW_DGDEP_PK
    PRIMARY KEY(
       "PARENT_GROUP_ID",
       "CHILD_GROUP_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_USR_ATTR_PK
    ON @SCHEMA@.LSW_USR_ATTR
    ("USER_ATTR_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_ATTR
    ADD CONSTRAINT LSWC_USR_ATTR_PK
    PRIMARY KEY(
       "USER_ATTR_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.U_ATTR_DEF_VAL_PK
    ON @SCHEMA@.LSW_USER_ATTR_DEF_VALUES
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES
    ADD CONSTRAINT U_ATTR_DEF_VAL_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_USRATTRD_PK
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF
    ADD CONSTRAINT LSWC_USRATTRD_PK
    PRIMARY KEY(
       "VERSION_ID")

;





CREATE UNIQUE INDEX @SCHEMA@.LSWC_PARTCP_PK
    ON @SCHEMA@.LSW_PARTICIPANT
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT
    ADD CONSTRAINT LSWC_PARTCP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_ACL_ENTRY_PK
    ON @SCHEMA@.LSW_ACL_ENTRY
    ("ACL_ENTRY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ACL_ENTRY
    ADD CONSTRAINT LSWC_ACL_ENTRY_PK
    PRIMARY KEY(
       "ACL_ENTRY_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_FAV_PK
    ON @SCHEMA@.LSW_FAVORITE
    ("FAVORITE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_PK
    PRIMARY KEY(
       "FAVORITE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_USR_AVATAR_PK
    ON @SCHEMA@.BPM_USR_AVATAR
    ("USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_PK
    PRIMARY KEY(
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_USR_RT_PRPS_PK
    ON @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ("USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_PK
    PRIMARY KEY(
       "USER_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_SNAPSHOT_PK
    ON @SCHEMA@.LSW_SNAPSHOT
    ("SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT
    ADD CONSTRAINT LSWC_SNAPSHOT_PK
    PRIMARY KEY(
       "SNAPSHOT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BRANCH_PK
    ON @SCHEMA@.LSW_BRANCH
    ("BRANCH_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BRANCH
    ADD CONSTRAINT LSWC_BRANCH_PK
    PRIMARY KEY(
       "BRANCH_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROJECT_PK
    ON @SCHEMA@.LSW_PROJECT
    ("PROJECT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROJECT
    ADD CONSTRAINT LSWC_PROJECT_PK
    PRIMARY KEY(
       "PROJECT_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PO_VERSIONS
    ON @SCHEMA@.LSW_PO_VERSIONS
    ("PO_VERSION_ID","BRANCH_ID","VERSION_SUMMARY_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS
    ADD CONSTRAINT LSWC_PO_VERSIONS
    PRIMARY KEY(
       "PO_VERSION_ID",
       "BRANCH_ID",
       "VERSION_SUMMARY_ID")

;




CREATE UNIQUE INDEX @SCHEMA@.LSWC_PROJ_DEP_PK
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY
    ADD CONSTRAINT LSWC_PROJ_DEP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_DEP_PATH
    ON @SCHEMA@.LSW_DEP_PATH
    ("DEP_PATH_ID","IDX")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DEP_PATH
    ADD CONSTRAINT LSWC_DEP_PATH
    PRIMARY KEY(
       "DEP_PATH_ID",
       "IDX")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PO_REFERENCE
    ON @SCHEMA@.LSW_PO_REFERENCE
    ("REFERENCE_ID","BRANCH_ID","START_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PO_REFERENCE
    ADD CONSTRAINT LSWC_PO_REFERENCE
    PRIMARY KEY(
       "REFERENCE_ID",
       "BRANCH_ID",
       "START_SEQ_NUM")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_PO_DEPENDENCY
    ON @SCHEMA@.LSW_PO_DEPENDENCY
    ("BRANCH_ID","START_SEQ_NUM","SOURCE_ID","SOURCE_LOCATION")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PO_DEPENDENCY
    ADD CONSTRAINT LSWC_PO_DEPENDENCY
    PRIMARY KEY(
       "BRANCH_ID",
       "START_SEQ_NUM",
       "SOURCE_ID",
       "SOURCE_LOCATION")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_RT_REFERENCE
    ON @SCHEMA@.LSW_RT_REFERENCE
    ("REFERENCE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RT_REFERENCE
    ADD CONSTRAINT LSWC_RT_REFERENCE
    PRIMARY KEY(
       "REFERENCE_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_WEB_SRV_PK
    ON @SCHEMA@.LSW_WEB_SERVICE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE
    ADD CONSTRAINT LSWC_WEB_SRV_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_WEBSRV_OP_PK
    ON @SCHEMA@.LSW_WEB_SERVICE_OP
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE_OP
    ADD CONSTRAINT LSWC_WEBSRV_OP_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ADD CONSTRAINT BPM_ASSET_CACHE_STS_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR
    ("CONTAINER_ID","ASSET_ID","BATCH_NO","DATA_SEQ")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR
    ADD CONSTRAINT BPM_ASSET_SAVE_INSTR_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID",
       "BATCH_NO",
       "DATA_SEQ")

;




CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_SAVE_LOCK_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK
    ADD CONSTRAINT BPM_ASSET_SAVE_LOCK_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK
    ADD CONSTRAINT BPM_ASSET_REPO_LOCK_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_PK
    ON @SCHEMA@.BPM_ASSET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET
    ADD CONSTRAINT BPM_ASSET_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CONTENT_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_CONTENT
    ("VERSION_CONTEXT","CACHE_KEY","DATA_TYPE")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT
    ADD CONSTRAINT BPM_ASSET_CONTENT_PK
    PRIMARY KEY(
       "VERSION_CONTEXT",
       "CACHE_KEY",
       "DATA_TYPE")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET
    ADD CONSTRAINT LSWC_EXTENDED_PROPERTYS_PK
    PRIMARY KEY(
       "VERSION_ID")

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY
    ADD CONSTRAINT LSWC_EXTENDED_PROPERTY_PK
    PRIMARY KEY(
       "VERSION_ID")

;


CREATE INDEX @SCHEMA@.LSWC_METRIC_PK3
    ON @SCHEMA@.LSW_METRIC("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_METRIC 
    ON @SCHEMA@.LSW_METRIC(
    "METRIC_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_METRIC2 
    ON @SCHEMA@.LSW_METRIC(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SLA_PK3
    ON @SCHEMA@.LSW_SLA("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SLA_PK4
    ON @SCHEMA@.LSW_SLA("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SIM_SCEN_PK3
    ON @SCHEMA@.LSW_SIM_SCENARIO("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SIM_SCEN_PK4
    ON @SCHEMA@.LSW_SIM_SCENARIO("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_HIST_SCEN_PK3
    ON @SCHEMA@.LSW_HIST_SCENARIO("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_HISTSC1 
    ON @SCHEMA@.LSW_HIST_SCENARIO(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_HISTSC2 
    ON @SCHEMA@.LSW_HIST_SCENARIO(
    "SCENARIO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK3
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_IDX1 
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK3
    ON @SCHEMA@.LSW_STAY_ON_PAGE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_PAREF_PK2
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_PAREF_PK3
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_PAREF_NUQ 
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF(
    "PROCESS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CAREF_PK2
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF("CLASS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CAREF_PK3
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CAREF_NUQ 
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF(
    "CLASS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_BAREF_PK2
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF("BPD_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_BAREF_PK3
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_BAREF_NUQ 
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF(
    "BPD_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_PK3
    ON @SCHEMA@.LSW_BPD("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_PK4
    ON @SCHEMA@.LSW_BPD("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ2 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ3 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "CORRELATION_PARAMETER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ4 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_EVENT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ5 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_FLOW_OBJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ6 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_OBJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_PARM_PK3
    ON @SCHEMA@.LSW_BPD_PARAMETER("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_PARM_PK4
    ON @SCHEMA@.LSW_BPD_PARAMETER("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "BPD_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "SEQ",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "BPD_PARAMETER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_FK
	FOREIGN KEY("CLASS_VERSION_ID")
	REFERENCES @SCHEMA@.LSW_CLASS("VERSION_ID")
	
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_TASK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT(
        "OBJECT_ID",
        "DEFINITION_VERSION")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_PK2
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE("DEFINITION_VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_FK
	FOREIGN KEY("DEFINITION_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE(
        "DEFINITION_VERSION_ID",
        "INSTANCE_VERSION")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_VALUE_PK2
    ON @SCHEMA@.BPM_SHARED_OBJECT_VALUE("INSTANCE_VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
	FOREIGN KEY("INSTANCE_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK3
    ON @SCHEMA@.BPM_COACH_VIEW("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK4
    ON @SCHEMA@.BPM_COACH_VIEW("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_LOC_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_LOC_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_VIEW_BIND 
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE(
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_VIEW_CONFIG 
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION(
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_RES_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_RES_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_VIEW_RES 
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE(
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_VIEW_SCRIPT 
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT(
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_AMD_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP("COACH_VIEW_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_VIEW_AMD_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_VIEW_AMD 
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP(
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_COACHNG_PK3
    ON @SCHEMA@.BPM_COACHNG("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_COACHNG_BE_PK3
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_COACHNG_BE 
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT(
    "COACHNG_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_COACH_PK3
    ON @SCHEMA@.LSW_COACH("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_COACH_BTN_PK3
    ON @SCHEMA@.LSW_COACH_BUTTON("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_COACH_BTN 
    ON @SCHEMA@.LSW_COACH_BUTTON(
    "COACH_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_COACH_RES_PK3
    ON @SCHEMA@.LSW_COACH_RESOURCE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_COACH_RES 
    ON @SCHEMA@.LSW_COACH_RESOURCE(
    "COACH_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_INFOPATHF_PK3
    ON @SCHEMA@.LSW_INFOPATH_FORM("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_INFOPATHF 
    ON @SCHEMA@.LSW_INFOPATH_FORM(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_TASK_LOAD
    ON @SCHEMA@.LSW_EM_TASK(
        "QUEUE_ID",
        "SCHEDULED_TIME",
        "DISCRIMINATOR")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_KEYWORDS
    ON @SCHEMA@.LSW_EM_TASK_KEYWORDS(
        "KEYWORD",
        "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_INST_UQ
    ON @SCHEMA@.LSW_EM_INSTANCE(
        "NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SYNCQUEUE_UQ
    ON @SCHEMA@.LSW_UCA_SYNC_QUEUE(
        "DESCRIPTION")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_SYNCQUEUE 
    ON @SCHEMA@.LSW_UCA_SYNC_QUEUE(
    "QUEUE_OWNER")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_VARS_PK3
    ON @SCHEMA@.LSW_ENV_VAR_SET("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_ENV_VARS 
    ON @SCHEMA@.LSW_ENV_VAR_SET(
    "ENV_VAR_SET_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_ENV_VARS 
    ON @SCHEMA@.LSW_ENV_VAR_SET(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK2
    ON @SCHEMA@.LSW_ENV_VAR("ENV_VAR_SET_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK3
    ON @SCHEMA@.LSW_ENV_VAR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK4
    ON @SCHEMA@.LSW_ENV_VAR("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_ENV_VAR 
    ON @SCHEMA@.LSW_ENV_VAR(
    "ENV_VAR_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_E_VAR_VAL_PK4
    ON @SCHEMA@.LSW_ENV_VAR_VAL("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL
    ADD CONSTRAINT LSWC_E_VAR_VAL_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX_EVV_SNAP 
    ON @SCHEMA@.LSW_ENV_VAR_VAL(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_TYPE_PK4
    ON @SCHEMA@.LSW_ENV_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_VART_PK4
    ON @SCHEMA@.LSW_ENV_VAR_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_DFLT_PK2
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT("ENV_VAR_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ENV_DFLT_PK3
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT("GUID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT
    ADD CONSTRAINT LSWC_ENV_DFLT_FK
	FOREIGN KEY("ENV_TYPE_ID")
	REFERENCES @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID")
	
;


CREATE INDEX @SCHEMA@.IDX_ENVVARDEF 
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT(
    "ENV_VAR_ID",
    "ENV_TYPE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PK3
    ON @SCHEMA@.LSW_EPV("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PK4
    ON @SCHEMA@.LSW_EPV("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_EPV
    ADD CONSTRAINT LSWC_EPV_FK1
	FOREIGN KEY("LAST_MODIFIED_BY_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_EPV_VAR_PK3
    ON @SCHEMA@.LSW_EPV_VAR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_VAR_PK4
    ON @SCHEMA@.LSW_EPV_VAR("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_EPVV_SNAP 
    ON @SCHEMA@.LSW_EPV_VAR_VALUE(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPS_PK3
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPS_PK4
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EA_PARAM_PK3
    ON @SCHEMA@.LSW_EXTACT_PARAMETER("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EA_PARAM_PK4
    ON @SCHEMA@.LSW_EXTACT_PARAMETER("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EA_PROP_PK3
    ON @SCHEMA@.LSW_EXTACT_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EA_PROP_PK4
    ON @SCHEMA@.LSW_EXTACT_PROPERTY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXT_ACT_PK3
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_EXT_ACT 
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_MGD_ASSET_PK3
    ON @SCHEMA@.LSW_MANAGED_ASSET("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX1_MGDASSET 
    ON @SCHEMA@.LSW_MANAGED_ASSET(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_NODE_PK3
    ON @SCHEMA@.BPM_CONTRIBUTION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "CONTRIBUTION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX2_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX3_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "FILENAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CPRP_PK2
    ON @SCHEMA@.BPM_CTRB_PROPERTY("CONTRIBUTION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CPRP_PK3
    ON @SCHEMA@.BPM_CTRB_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CPRP_NUQ 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX_CPRP 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CDEP_PK2
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY("CONTRIBUTION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CDEP_PK3
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_CDEP_NUQ 
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_NPRP_PK3
    ON @SCHEMA@.BPM_ARTIFACT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "ARTIFACT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX2_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_IDX3_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "FULL_PATH")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_MMDATA_UQ
    ON @SCHEMA@.BPM_MON_MODEL_DATA(
        "NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX_USER_FAV
    ON @SCHEMA@.LSW_USER_FAVORITE(
        "USER_ID",
        "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_USERFAV1 
    ON @SCHEMA@.LSW_USER_FAVORITE(
    "PO_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER
    ADD CONSTRAINT LSWC_SF_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_SF_NAME 
    ON @SCHEMA@.LSW_SMART_FOLDER(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TEMPLATE_PK4
    ON @SCHEMA@.LSW_CA_TEMPLATE("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA
    ADD CONSTRAINT LSWC_TEMPLATE_FK
	FOREIGN KEY("ID")
	REFERENCES @SCHEMA@.LSW_CA_TEMPLATE("ID")
	
;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER
    ADD CONSTRAINT LSWC_LAUNCHER_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_NAME_UQ
    ON @SCHEMA@.LSW_LAUNCHER(
        "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_NAME_NUQ 
    ON @SCHEMA@.LSW_LAUNCHER(
    "USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT
    ADD CONSTRAINT LSWC_BRKPNT_FK3
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_OSLC_PROVIDER4
    ON @SCHEMA@.BPM_OSLC_PROVIDER("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_CLASS_PK3
    ON @SCHEMA@.LSW_CLASS("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_CLASS 
    ON @SCHEMA@.LSW_CLASS(
    "CLASS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX2_CLASS 
    ON @SCHEMA@.LSW_CLASS(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_LAYOUT_PK3
    ON @SCHEMA@.LSW_LAYOUT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_LAYOUT_PK4
    ON @SCHEMA@.LSW_LAYOUT("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_LAYOUT 
    ON @SCHEMA@.LSW_LAYOUT(
    "LAYOUT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX2_LAYOUT 
    ON @SCHEMA@.LSW_LAYOUT(
    "DOCUMENT_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_LOUT_PRM_PK3
    ON @SCHEMA@.LSW_LAYOUT_PARAM("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_LOUT_PRM_PK4
    ON @SCHEMA@.LSW_LAYOUT_PARAM("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_LYTPM 
    ON @SCHEMA@.LSW_LAYOUT_PARAM(
    "LAYOUT_PARAM_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_LYTPM 
    ON @SCHEMA@.LSW_LAYOUT_PARAM(
    "VERSION_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK3
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK4
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBGROUP_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBGROUP_PK4
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBUNDLE_PK2
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE("RESOURCE_BUNDLE_GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBUNDLE_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBKEY_PK2
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY("RESOURCE_BUNDLE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RBKEY_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SCRIPT_PK3
    ON @SCHEMA@.LSW_SCRIPT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SERVER_PK4
    ON @SCHEMA@.LSW_SERVER("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SERVER
    ADD CONSTRAINT LSWC_INSTL_GRP_FK
	FOREIGN KEY("INSTALLER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT
    ADD CONSTRAINT LSWC_DEP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX_DPL1 
    ON @SCHEMA@.LSW_DEPLOYMENT(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_DPL2 
    ON @SCHEMA@.LSW_DEPLOYMENT(
    "SERVER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_FK1
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_CAP_TYPE_PK4
    ON @SCHEMA@.LSW_CAPABILITY_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_CAPCFG_ID 
    ON @SCHEMA@.LSW_CAPABILITY_TYPE(
    "CAPABILITY_CONFIG_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK2
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_DPLPKG_UQ
    ON @SCHEMA@.LSW_DEPLOYMENT_PACKAGE(
        "SNAPSHOT_ID",
        "SERVER_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.PROJECT_ID_UQ
    ON @SCHEMA@.BPM_PROJECT_SUBSCRIPTION(
        "PROJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_INDEXER_UC
    ON @SCHEMA@.BPM_PC_INDEXER(
        "NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES @SCHEMA@.LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_PXFER_OWNER 
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER(
    "CLAIMED_BY")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PXFER_TIME 
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER(
    "TIME_CLAIMED")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_GRP_PK3
    ON @SCHEMA@.LSW_TRACKING_GROUP("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_GRP_PK4
    ON @SCHEMA@.LSW_TRACKING_GROUP("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_TRKGROUP 
    ON @SCHEMA@.LSW_TRACKING_GROUP(
    "TRACKING_GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCKD_VAR_PK3
    ON @SCHEMA@.LSW_TRACKED_VARIABLE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCKD_VAR_PK4
    ON @SCHEMA@.LSW_TRACKED_VARIABLE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_TRKED_VAR_IDX1 
    ON @SCHEMA@.LSW_TRACKED_VARIABLE(
    "TRACKING_GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_PT_PK3
    ON @SCHEMA@.LSW_TRACKING_POINT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TRCK_VARU_PK3
    ON @SCHEMA@.LSW_TRACKED_VARIABLE_USE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_TRCK_VARU 
    ON @SCHEMA@.LSW_TRACKED_VARIABLE_USE(
    "TRACKING_POINT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INT_PK3
    ON @SCHEMA@.LSW_TIMING_INTERVAL("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INT_PK4
    ON @SCHEMA@.LSW_TIMING_INTERVAL("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INTB_PK3
    ON @SCHEMA@.LSW_TIMING_INTERVAL_BOUND("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPMC_ECNTR_PK3
    ON @SCHEMA@.BPM_ECM_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ILDT_PK3
    ON @SCHEMA@.LSW_ILOG_DECISION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SCNTR_PK3
    ON @SCHEMA@.LSW_SCA_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_STEP_PK3
    ON @SCHEMA@.LSW_STEP("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_CONNECTOR_PK3
    ON @SCHEMA@.LSW_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_CONNECTOR 
    ON @SCHEMA@.LSW_CONNECTOR(
    "CONNECTOR_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX2_CONNECTOR 
    ON @SCHEMA@.LSW_CONNECTOR(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_IC_PK3
    ON @SCHEMA@.LSW_IC("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_IC1 
    ON @SCHEMA@.LSW_IC(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_JCNTR_PK3
    ON @SCHEMA@.LSW_JAVA_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_WSNTR_PK3
    ON @SCHEMA@.LSW_WS_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ILNTR_PK3
    ON @SCHEMA@.LSW_ILOG_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ICNTR_PK3
    ON @SCHEMA@.LSW_ICMCASE_CONNECTOR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_PK2
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_PK3
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_NQ0 
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK(
    "EPV_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_NQ1 
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK(
    "PROCESS_ID",
    "EPV_PROCESS_LINK_ID",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RES_PR_LK_PK2
    ON @SCHEMA@.LSW_RESOURCE_PROCESS_LINK("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_RES_PR_LK_PK3
    ON @SCHEMA@.LSW_RESOURCE_PROCESS_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXCEPTION_PK3
    ON @SCHEMA@.LSW_EXCEPTION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXIT_POINT_PK3
    ON @SCHEMA@.LSW_EXIT_POINT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_FILE_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_FILE("TASK_SENDER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_FILE_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_FILE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_ADDR_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_ADDR("TASK_SENDER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_ADDR_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_ADDR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PIPP_PK2
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST("PROCESS_ITEM_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PIPP_PK3
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK2
    ON @SCHEMA@.LSW_PROCESS_LINK("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK3
    ON @SCHEMA@.LSW_PROCESS_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK4
    ON @SCHEMA@.LSW_PROCESS_LINK("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_FILE
    ADD CONSTRAINT LSWC_FILE_FK1
	FOREIGN KEY("CREATED_BY")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_IC_INPUT_PK3
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_IC_INPUT_PK4
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_IC_INPUT 
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY(
    "IC_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_IC_OUTPUT_PK3
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_IC_OUTPUT_PK4
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_IC_OUTPUT 
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY(
    "IC_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_PK3
    ON @SCHEMA@.LSW_PARAMETER_MAPPING("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_PK4
    ON @SCHEMA@.LSW_PARAMETER_MAPPING("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_NQ 
    ON @SCHEMA@.LSW_PARAMETER_MAPPING(
    "PARENT_ID",
    "PARENT_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_NQ2 
    ON @SCHEMA@.LSW_PARAMETER_MAPPING(
    "PARENT_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_PRIORITY_PK4
    ON @SCHEMA@.LSW_PRIORITY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROCESS_PK3
    ON @SCHEMA@.LSW_PROCESS("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_PROCESS 
    ON @SCHEMA@.LSW_PROCESS(
    "PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX2_PROCESS 
    ON @SCHEMA@.LSW_PROCESS(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK2
    ON @SCHEMA@.LSW_PROCESS_ITEM("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK3
    ON @SCHEMA@.LSW_PROCESS_ITEM("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK4
    ON @SCHEMA@.LSW_PROCESS_ITEM("NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX_PROC_ITEM_ID
    ON @SCHEMA@.LSW_PROCESS_ITEM(
        "PROCESS_ITEM_ID",
        "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SUBPROCESS_PK3
    ON @SCHEMA@.LSW_SUBPROCESS("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_LABEL_PK2
    ON @SCHEMA@.LSW_PROCESS_LABEL("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_LABEL_PK3
    ON @SCHEMA@.LSW_PROCESS_LABEL("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK2
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK3
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK4
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX_PROC_VAR
    ON @SCHEMA@.LSW_PROCESS_VARIABLE(
        "PROCESS_ID",
        "SEQ",
        "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK2
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("PROCESS_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK3
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK4
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROPAR_NUQ 
    ON @SCHEMA@.LSW_PROCESS_PARAMETER(
    "PROCESS_ID",
    "SEQ",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_PK3
    ON @SCHEMA@.LSW_SWITCH("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_CON_PK2
    ON @SCHEMA@.LSW_SWITCH_CONDITION("SWITCH_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_CON_PK3
    ON @SCHEMA@.LSW_SWITCH_CONDITION("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_SEND_PK3
    ON @SCHEMA@.LSW_TASK_SENDER("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASKSEND_NUQ 
    ON @SCHEMA@.LSW_TASK_SENDER(
    "PRIORITY",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_EXVAR_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_EXVAR("TASK_SENDER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TS_EXVAR_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_EXVAR("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_PK3
    ON @SCHEMA@.LSW_REPORT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_PK4
    ON @SCHEMA@.LSW_REPORT("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_EPV_PK3
    ON @SCHEMA@.LSW_REPORT_EPV_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_RBG_PK3
    ON @SCHEMA@.LSW_REPORT_RBG_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DS_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DS_PK4
    ON @SCHEMA@.LSW_REPORT_DATASOURCE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_TG_PK3
    ON @SCHEMA@.LSW_REPORT_TG_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_PAGE_PK3
    ON @SCHEMA@.LSW_REPORT_PAGE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_PAGE_PK4
    ON @SCHEMA@.LSW_REPORT_PAGE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_CHRT_PK3
    ON @SCHEMA@.LSW_REPORT_CHART("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_CHRT_PK4
    ON @SCHEMA@.LSW_REPORT_CHART("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_VAR_PK3
    ON @SCHEMA@.LSW_REPORT_VARIABLES("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_VAR_PK4
    ON @SCHEMA@.LSW_REPORT_VARIABLES("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DSL_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_REP_DSL 
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK(
    "POS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DSSL_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_REP_DSSL 
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK(
    "POS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DSLL_PK3
    ON @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_REP_DSLL_PK4
    ON @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SCBD_PK3
    ON @SCHEMA@.LSW_SCBD("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SCBD_PK4
    ON @SCHEMA@.LSW_SCBD("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_SD_RPT_LK_PK3
    ON @SCHEMA@.LSW_SCBD_RPT_LINK("GUID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_HOLIDAY_UQ
    ON @SCHEMA@.LSW_HOLIDAY_SCHEDULE(
        "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TMPERIOD_PK4
    ON @SCHEMA@.LSW_TIME_PERIOD("NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMSCHEDULE_UQ
    ON @SCHEMA@.LSW_TIME_SCHEDULE(
        "NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ADD CONSTRAINT LSWC_SCHPER_FK1
	FOREIGN KEY("SCHEDULE_ID")
	REFERENCES @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ADD CONSTRAINT LSWC_SCHPER_FK2
	FOREIGN KEY("PERIOD_ID")
	REFERENCES @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCHPER_UQ
    ON @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD(
        "PERIOD_ID",
        "SCHEDULE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_SOAP_UQ
    ON @SCHEMA@.BPM_BPD_SOAPHEADER(
        "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.TASK_MEASURES_UC
    ON @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES(
        "CREATED_BY_BPD_FLOW_OBJECT_ID",
        "USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_TASK_ID_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_BPD_ID_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX1_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TARGET_USER",
    "MARKER_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES
    ADD CONSTRAINT LSW_BPD_INST_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	
;


CREATE INDEX @SCHEMA@.LSWIDX_INST_ALS 
    ON @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES(
    "BPD_INSTANCE_ID",
    "ALIAS")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE
    ADD CONSTRAINT LSWC_BPD_INST_FK1
	FOREIGN KEY("CACHED_BPD_VERSION_ID")
	REFERENCES @SCHEMA@.LSW_BPD("VERSION_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_STORE_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "ATTACHMENT_STORE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TIP_NUQ 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "TIP")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.INDEX1_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "SNAPSHOT_ID",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.INDEX2_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.INDEX3_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "BPD_INSTANCE_ID",
    "EXECUTION_STATUS",
    "CACHED_BPD_VERSION_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DATA
    ADD CONSTRAINT LSWC_BPD_INS_D_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INS_D_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DATA(
        "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX1_BPDNOT 
    ON @SCHEMA@.LSW_BPD_NOTIFICATION(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_MIG_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS(
        "BPD_INSTANCE_ID",
        "MIGRATION_STATE",
        "DOC_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS
    ADD CONSTRAINT LSWC_DOC_ID_FK
	FOREIGN KEY("DOC_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS("DOC_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_DOC_PROP_NUQ1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS(
    "DOC_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_BPD_COD_PK4
    ON @SCHEMA@.LSW_BPD_STATUS_CODES("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_DMR_NUQ1 
    ON @SCHEMA@.LSW_DUR_MSG_RECEIVED(
    "UCA_ID",
    "CORRELATION_TYPE",
    "CORRELATION_KEY")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_MSG_INCL_NUQ1 
    ON @SCHEMA@.LSW_INST_MSG_INCL(
    "CORRELATION_KEY",
    "UCA_ID",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_MSG_INCL_NUQ2 
    ON @SCHEMA@.LSW_INST_MSG_INCL(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_MSG_EXCL_NUQ1 
    ON @SCHEMA@.LSW_INST_MSG_EXCL(
    "BPD_INSTANCE_ID",
    "EVENT_ID",
    "SUB_EVENT_ID",
    "MSG_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_MSG_EXCL_NUQ2 
    ON @SCHEMA@.LSW_INST_MSG_EXCL(
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SLA_PROC_UQ
    ON @SCHEMA@.LSW_SLA_PROCESSING(
        "SLA_GUID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_T_SYM_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_T_SYM_TASK
    ON @SCHEMA@.LSW_STORED_SYMBOL_TABLE(
        "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX1 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX2 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "STATUS_VALUE")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKEXACD_UK
    ON @SCHEMA@.LSW_TASK_EXTACT_DATA(
        "TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK
    ADD CONSTRAINT LSWC_TASK_P_FK3
	FOREIGN KEY("RCVD_FROM")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_TASK
    ADD CONSTRAINT LSWC_TASK_P_FK4
	FOREIGN KEY("CLOSE_BY")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_TASK_BPDI 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_NUQ_U 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_NUQ_G 
    ON @SCHEMA@.LSW_TASK(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX5_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "STATUS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX6_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "ORIG_TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX7_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "EXECUTION_STATUS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX8_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "PRIORITY_ID",
    "GROUP_ID",
    "USER_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX9_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "TASK_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID",
    "STATUS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX10_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX11_LSW_TASK_CC 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY",
    "CLOSE_DATETIME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX12_LSW_TASK_OC 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKIPFD_UK
    ON @SCHEMA@.LSW_TASK_IPF_DATA(
        "TASK_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_FILE
    ADD CONSTRAINT LSWC_T_FILE_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE INDEX @SCHEMA@.IDX_TASKFILE1 
    ON @SCHEMA@.LSW_TASK_FILE(
    "FILE_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_ADDR
    ADD CONSTRAINT LSWC_T_ADDR_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_ADDR_UQ
    ON @SCHEMA@.LSW_TASK_ADDR(
        "TASK_ID",
        "SEQ")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_NARR
    ADD CONSTRAINT LSWC_T_NARR_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_NARR_UQ
    ON @SCHEMA@.LSW_TASK_NARR(
        "TASK_ID",
        "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_TASK_ACTN_PK3
    ON @SCHEMA@.LSW_TASK_ACTION("GUID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT
    ADD CONSTRAINT LSWC_T_EXEC_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_T_EXEC_UK
    ON @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT(
        "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_UK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES(
        "SNAPSHOT_ID",
        "BPD_REF",
        "BPD_FLOW_OBJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX_LEGACY_ID
    ON @SCHEMA@.LSW_LEGACY_ID(
        "PO_TYPE",
        "UUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX(
    "MAJOR_EVENT_DATETIME",
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_JOB_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX_JOB(
    "INDEX_ID",
    "INDEX_END_TIME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_IDX 
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA(
    "LAST_UPDATED")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_IDX 
    ON @SCHEMA@.BPM_INSTANCE_INDEX(
    "MAJOR_EVENT_DATETIME",
    "INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_INV_UCA_PK3
    ON @SCHEMA@.LSW_INVOKE_UCA("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_PK3
    ON @SCHEMA@.LSW_UCA("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_PK4
    ON @SCHEMA@.LSW_UCA("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_NUQ3 
    ON @SCHEMA@.LSW_UCA(
    "SCHED_EVENT_NAME",
    "VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_NUQ4 
    ON @SCHEMA@.LSW_UCA(
    "UCA_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_PARM_PK3
    ON @SCHEMA@.LSW_UCA_PARM("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK4
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.UQ_USR_NAME
    ON @SCHEMA@.LSW_USR(
        "USER_NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_UQ
    ON @SCHEMA@.LSW_USR_XREF(
        "USER_NAME",
        "PROVIDER")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_UQ2
    ON @SCHEMA@.LSW_USR_XREF(
        "USER_ID",
        "USER_NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_GXREF_UQ
    ON @SCHEMA@.LSW_USR_GRP_XREF(
        "GROUP_NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "GROUP_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU1 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "PARENT_GROUP_ID",
    "PARTICIPANT_ID",
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_UGXREF_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_UGXREF_FK2
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UGXREF_UQ
    ON @SCHEMA@.LSW_USR_GRP_MEM_XREF(
        "USER_ID",
        "GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_GGXREF_FK1
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_GGXREF_FK2
	FOREIGN KEY("CONTAINER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_GGMXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_XREF(
    "CONTAINER_GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
    ADD CONSTRAINT LSWC_GGXXREF_FK1
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
    ADD CONSTRAINT LSWC_GGXXREF_FK2
	FOREIGN KEY("CONTAINER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_GGXXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_GGXXREF_NU2 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "CONTAINER_GROUP_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
    ADD CONSTRAINT LSWC_UA_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
    ADD CONSTRAINT LSWC_UA_FK2
	FOREIGN KEY("ASSUMED_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UA_UK
    ON @SCHEMA@.LSW_USR_ASSUME(
        "ASSUMED_USER_ID",
        "USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
  ADD CONSTRAINT LSWC_UA_CK
	CHECK(USER_ID <> ASSUMED_USER_ID)
    
;


CREATE INDEX @SCHEMA@.LSWC_UA_NUQ 
    ON @SCHEMA@.LSW_USR_ASSUME(
    "USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_ACCESS
    ADD CONSTRAINT LSWC_ACCESS_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_ACCESS
    ADD CONSTRAINT LSWC_ACCESS_FK2
	FOREIGN KEY("ASSUMED_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_ACCESS
  ADD CONSTRAINT LSWC_ACCESS_CK
	CHECK(USER_ID <> ASSUMED_USER_ID)
    
;


CREATE INDEX @SCHEMA@.LSWC_ACCESS_NUQ 
    ON @SCHEMA@.LSW_ACCESS(
    "USER_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_DGRP_UQ
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
        "NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT
    ADD CONSTRAINT LSW_DGRPC_FK
	FOREIGN KEY("DYNAMIC_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_DGRPC_UQ
    ON @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT(
        "DYNAMIC_GROUP_CONSTRAINT_ID",
        "DYNAMIC_GROUP_ID",
        "MATCH_TYPE",
        "CONSTRAINT_TYPE",
        "LIBRARY_ELEMENT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY
    ADD CONSTRAINT LSWC_DGRP_DEP_FK
	FOREIGN KEY("PARENT_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_USR_ATTR
    ADD CONSTRAINT LSWC_USR_ATTR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.U_ATTR_DEF_VAL_PK3
    ON @SCHEMA@.LSW_USER_ATTR_DEF_VALUES("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_USRATTRD_PK3
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_USRATTRD_PK4
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF
    ADD CONSTRAINT LSWC_RT_UAD_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_RT_UAD_UQ
    ON @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF(
        "USER_ATTRIBUTE_ID",
        "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP
    ADD CONSTRAINT LSWC_PART_GRP_FK
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_PART_GRP_UQ1
    ON @SCHEMA@.LSW_PARTICIPANT_GROUP(
        "PARTICIPANT_ID",
        "SNAPSHOT_ID",
        "BRANCH_ID",
        "TIP",
        "GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_PART_GRP_UQ2
    ON @SCHEMA@.LSW_PARTICIPANT_GROUP(
        "GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PARTCP_PK3
    ON @SCHEMA@.LSW_PARTICIPANT("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSW_IDX_PARTCP2 
    ON @SCHEMA@.LSW_PARTICIPANT(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_ACL_ENTRY_UQ
    ON @SCHEMA@.LSW_ACL_ENTRY(
        "USER_ID",
        "GROUP_ID",
        "PO_TYPE",
        "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ACL_ENTRY_USR 
    ON @SCHEMA@.LSW_ACL_ENTRY(
    "USER_ID",
    "PO_TYPE",
    "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_ACL_ENTRY_GRP 
    ON @SCHEMA@.LSW_ACL_ENTRY(
    "GROUP_ID",
    "PO_TYPE",
    "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_FAV_PK4
    ON @SCHEMA@.LSW_FAVORITE("NAME")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_GRP_FK
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ1 
    ON @SCHEMA@.LSW_FAVORITE(
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ2 
    ON @SCHEMA@.LSW_FAVORITE(
    "SNAPSHOT_ID")
    USING STOGROUP @STOGRP@

;


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.IDX5_SNAPSHOT
    ON @SCHEMA@.LSW_SNAPSHOT(
        "PROJECT_ID",
        "ACRONYM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "SEQ_NUM",
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "IS_ARCHIVED")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX4_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX6_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX3_BRANCH
    ON @SCHEMA@.LSW_BRANCH(
        "PROJECT_ID",
        "ACRONYM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_BRANCH 
    ON @SCHEMA@.LSW_BRANCH(
    "PROJECT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_BRANCH 
    ON @SCHEMA@.LSW_BRANCH(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROJECT_PK4
    ON @SCHEMA@.LSW_PROJECT("NAME")
    USING STOGROUP @STOGRP@

;


CREATE UNIQUE INDEX @SCHEMA@.IDX_SHORT_NAME
    ON @SCHEMA@.LSW_PROJECT(
        "SHORT_NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_PRJ1 
    ON @SCHEMA@.LSW_PROJECT(
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX4_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX5_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_TYPE",
    "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "START_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "END_SEQ_NUM",
    "BRANCH_ID",
    "PO_TYPE",
    "PO_ID",
    "META_KEY")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "START_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX4_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "PO_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX5_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "PO_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX6_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "META_KEY")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_PROJ_DEP_PK4
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX0_PROJ_DEP 
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY(
    "VERSION_ID",
    "IS_ACTIVE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_DEP_PATH 
    ON @SCHEMA@.LSW_DEP_PATH(
    "HASH")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_DEP_PATH 
    ON @SCHEMA@.LSW_DEP_PATH(
    "COUNT")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "START_SEQ_NUM",
    "TARGET_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "START_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "START_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX3_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX4_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "SOURCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX5_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "SOURCE_LOCATION")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_RT_REFERENCE 
    ON @SCHEMA@.LSW_RT_REFERENCE(
    "PO_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_WEB_SRV_PK3
    ON @SCHEMA@.LSW_WEB_SERVICE("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_WEB_SRV_PK4
    ON @SCHEMA@.LSW_WEB_SERVICE("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_WEBSRV_OP_PK3
    ON @SCHEMA@.LSW_WEB_SERVICE_OP("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_WEBSRV_OP_PK4
    ON @SCHEMA@.LSW_WEB_SERVICE_OP("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_WEBSRV_OP 
    ON @SCHEMA@.LSW_WEB_SERVICE_OP(
    "WEB_SERVICE_ID",
    "SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CLIENT_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "BATCH_NO",
    "DATA_SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "PENDING_SUMMARY",
    "BAD_BATCH",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX4 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "CLIENT_ID",
    "BASE_BATCH_NO")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_IN_BK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK(
    "LOCK_STATUS",
    "LOCKED_ON")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_PK3
    ON @SCHEMA@.BPM_ASSET("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_PK4
    ON @SCHEMA@.BPM_ASSET("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.BPM_ASSET_IDX1 
    ON @SCHEMA@.BPM_ASSET(
    "ASSET_TYPE")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "EXTENDED_PROPERTY_SET_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX2_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK2
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("EXTENDED_PROPERTY_SET_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK4
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("NAME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTY 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY(
    "EXTENDED_PROPERTY_ID")
    USING STOGROUP @STOGRP@

;


SET CURRENT SCHEMA = '@SCHEMA@'

;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR_XREF',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR_GRP_XREF',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('EXECUTION_CONTEXT_ID',
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_UCA_SYNC_QUEUE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_EM_INSTANCE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_EM_TASK',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_SAVED_SEARCHES',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_TIME_PERIOD',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_TIME_SCHEDULE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_HOLIDAY_SCHEDULE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_ACL_ENTRY',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_PRIORITY',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_CA_TEMPLATE',
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (2,
 'Debug',
 'Debug',
 3,
 'Group for people with access to debug feature.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (3,
 'tw_admins',
 'tw_admins',
 3,
 'Group for people with full access to Teamworks.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (4,
 'tw_authors',
 'tw_authors',
 3,
 'Group for people with Authoring access to Teamworks.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (6,
 'twem',
 'twem',
 3,
 'Group for people with Event Manager access.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (11,
 'tw_portal_admins',
 'tw_portal_admins',
 3,
 'Group for people with full access to Teamworks Portal.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (15,
 'tw_process_owners',
 'tw_process_owners',
 3,
 'Group for people with full access to critical path',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (16,
 'tw_allusers',
 'tw_allusers',
 3,
 'Group for all people.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (17,
 'tw_managers',
 'tw_managers',
 3,
 'Group for people considered managers with full access to the team performance dashboard',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (18,
 'tw_allusers_managers',
 'tw_allusers_managers',
 3,
 'Group for people considered managers of all users',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID") 
VALUES (16,
 17)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID") 
VALUES (3,
 18)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID",
 "MEM_PATH") 
VALUES (16,
 17,
 '#17#16#')
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID",
 "MEM_PATH") 
VALUES (3,
 18,
 '#18#3#')
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_ADMIN_USER_ID@,
 @TW_ADMIN_USER_NAME@,
 @TW_ADMIN_USER_PASSWD@,
 @TW_ADMIN_USER_NAME@,
 'F',
  NULL ,
 @TW_ADMIN_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_AUTHOR_USER_ID@,
 @TW_AUTHOR_USER_NAME@,
 @TW_AUTHOR_USER_PASSWD@,
 @TW_AUTHOR_USER_NAME@,
 'F',
  NULL ,
 @TW_AUTHOR_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_USER_USER_ID@,
 @TW_USER_USER_NAME@,
 @TW_USER_USER_PASSWD@,
 @TW_USER_USER_NAME@,
 'F',
  NULL ,
 @TW_USER_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_WEBSERVICE_USER_ID@,
 @TW_WEBSERVICE_USER_NAME@,
 @TW_WEBSERVICE_USER_PASSWD@,
 @TW_WEBSERVICE_USER_NAME@,
 'F',
  NULL ,
 @TW_WEBSERVICE_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_PORTAL_ADMIN_USER_ID@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 @TW_PORTAL_ADMIN_USER_PASSWD@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 'F',
  NULL ,
 @TW_PORTAL_ADMIN_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_RUNTIME_SERVER_USER_ID@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 @TW_RUNTIME_SERVER_USER_PASSWD@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 'F',
  NULL ,
 @TW_RUNTIME_SERVER_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@BPM_AUTHOR_USER_ID@,
 @BPM_AUTHOR_USER_NAME@,
 @BPM_AUTHOR_USER_PASSWD@,
 @BPM_AUTHOR_USER_NAME@,
 'F',
  NULL ,
 @BPM_AUTHOR_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_ADMIN_USER_ID@,
 @TW_ADMIN_USER_NAME@,
 @TW_ADMIN_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_AUTHOR_USER_ID@,
 @TW_AUTHOR_USER_NAME@,
 @TW_AUTHOR_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_USER_USER_ID@,
 @TW_USER_USER_NAME@,
 @TW_USER_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_WEBSERVICE_USER_ID@,
 @TW_WEBSERVICE_USER_NAME@,
 @TW_WEBSERVICE_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_PORTAL_ADMIN_USER_ID@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 @TW_PORTAL_ADMIN_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_RUNTIME_SERVER_USER_ID@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 @TW_RUNTIME_SERVER_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@BPM_AUTHOR_USER_ID@,
 @BPM_AUTHOR_USER_NAME@,
 @BPM_AUTHOR_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (10,
 'Highest',
 'Highest',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7fff',
 10,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (20,
 'High',
 'High',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffe',
 20,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (30,
 'Normal',
 'Normal',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ff7',
 30,
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (40,
 'Low',
 'Low',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffd',
 40,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (50,
 'Lowest',
 'Lowest',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffc',
 50,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (1,
 'SYNC_QUEUE_1')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (2,
 'SYNC_QUEUE_2')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (3,
 'SYNC_QUEUE_3')
;

INSERT INTO 
    @SCHEMA@.LSW_BLACKOUT_CALENDAR("CALENDAR_ID",
 "IS_BLACKED_OUT") 
VALUES (1,
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (1,
 'portal.savedsearch.inbox',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byInstance">' || 
 ' <constraints>' || 
 '<constraint column="taskStatus"' || 
 ' operator="Equals" value="New_or_Received"/>' || 
 '</constraints>' || 
 ' <instance-results>' || 
 ' <column name="instanceName"/>' || 
 ' <column name="bpdName"/>' || 
 ' <column name="instanceDueDate"/>' || 
 ' </instance-results>' || 
 ' <task-results>' || 
 ' <column name="taskSubject"/>' || 
 ' <column name="taskPriority"/>' || 
 ' <column name="taskDueDate"/>' || 
 ' </task-results>' || 
 ' <business-data-results/>' || 
 ' </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (2,
 'portal.savedsearch.history',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byInstance">' || 
 ' <constraints>' || 
 ' <constraint column="taskStatus" ' || 
 ' operator="Equals" value="Closed"/>' || 
 ' </constraints>' || 
 ' <instance-results>' || 
 ' <column name="instanceName"/>' || 
 ' <column name="bpdName"/>' || 
 ' <column name="instanceStatus"/>' || 
 ' </instance-results>' || 
 ' <task-results>' || 
 ' <column name="taskSubject"/>' || 
 ' <column name="taskPriority"/>' || 
 ' <column name="taskDueDate"/>' || 
 ' </task-results>' || 
 ' <business-data-results/>' || 
 ' </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (3,
 'portal.savedsearch.help_reqs',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byInstance" ' || 
 ' first-sort="" second-sort="">' || 
 '<constraints>' || 
 '<constraint column="taskStatus" operator="Equals" ' || 
 ' value="Help_Request"/>' || 
 '</constraints>' || 
 '<instance-results>' || 
 ' <column name="instanceName"/>' || 
 ' <column name="bpdName"/>' || 
 ' <column name="instanceDueDate"/>' || 
 ' </instance-results>' || 
 ' <task-results>' || 
 ' <column name="taskSubject"/>' || 
 ' <column name="taskPriority"/>' || 
 ' <column name="taskDueDate"/>' || 
 ' </task-results>' || 
 ' <business-data-results/></query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (4,
 'portal.savedsearch.alerts',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byTask" ' || 
 ' first-sort="" second-sort="">' || 
 '<constraints><constraint column="taskStatus"' || 
 ' operator="Equals" value="Alert"/>' || 
 '</constraints>' || 
 '<instance-results>' || 
 ' <column name="instanceName"/>' || 
 ' <column name="bpdName"/>' || 
 ' <column name="instanceDueDate"/>' || 
 ' </instance-results>' || 
 ' <task-results>' || 
 ' <column name="taskSubject"/>' || 
 ' <column name="taskPriority"/>' || 
 ' <column name="taskDueDate"/>' || 
 ' </task-results>' || 
 ' <business-data-results/></query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (5,
 'IBM.DEFAULTALLTASKSLIST_75',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byTask" ' || 
 ' first-sort="" second-sort="">' || 
 ' <constraints />' || 
 ' <results>' || 
 ' <column name="taskSubject" column-type="task"/>' || 
 ' <column name="taskNarrative" column-type="task"/>' || 
 ' <column name="taskDueDate" column-type="task"/>' || 
 ' <column name="taskReceivedDate" column-type="task"/>' || 
 ' <column name="taskPriority" column-type="task"/>' || 
 ' <column name="taskStatus" column-type="task"/>' || 
 ' <column name="taskReceivedFrom" column-type="task"/>' || 
 ' <column name="taskClosedDate" column-type="task"/>' || 
 ' <column name="assignedToUser" column-type="task"/>' || 
 ' <column name="assignedToRoleDisplayName" column-type="task"/>' || 
 ' <column name="taskActivityName" column-type="task"/>' || 
 ' <column name="taskId" column-type="task"/>' || 
 ' <column name="taskAtRiskTime" column-type="task"/>' || 
 ' <column name="taskIsAtRisk" column-type="task"/>' || 
 ' <column name="instanceId" column-type="instance"/>' || 
 ' <column name="instanceName" column-type="instance"/>' || 
 ' <column name="bpdId" column-type="instance"/>' || 
 ' <column name="instanceProcessApp" column-type="instance"/>' || 
 ' <column name="instanceSnapshot" column-type="instance"/>' || 
 ' <column name="instanceSnapshotId" column-type="instance"/>' || 
 ' </results>' || 
 ' </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (6,
 'IBM.DEFAULTALLPROCESSLIST_75',
 '<?xml version="1.0" encoding="UTF-8"?>' || 
 '<query organization="byInstance" ' || 
 ' first-sort="" second-sort="">' || 
 ' <constraints />' || 
 ' <results>' || 
 ' <column name="instanceName" column-type="instance"/>' || 
 ' <column name="instanceStatus" column-type="instance"/>' || 
 ' <column name="bpdName" column-type="instance"/>' || 
 ' <column name="instanceId" column-type="instance"/>' || 
 ' <column name="bpdId" column-type="instance"/>' || 
 ' <column name="instanceProcessApp" column-type="instance"/>' || 
 ' <column name="instanceSnapshot" column-type="instance"/>' || 
 ' <column name="instanceSnapshotId" column-type="instance"/>' || 
 ' </results>' || 
 ' </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (1,
 'New',
 '11')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (2,
 'Received',
 '12')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (3,
 'Replied',
 '13')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (4,
 'Forwarded',
 '14')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (5,
 'Sent',
 '21')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (6,
 'Actioned',
 '31')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (7,
 'Closed',
 '32')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (8,
 'Special',
 '41')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (9,
 'Deleted',
 '91')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (10,
 'Alert',
 '61')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (11,
 'Help_Request',
 '62')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (12,
 'Comment',
 '63')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (13,
 'Answered_Help_Request',
 '65')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (14,
 'Ignored_Help_Request',
 '66')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (15,
 'Followed',
 '70')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (16,
 'Tagged',
 '71')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (17,
 'Collaboration',
 '72')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (1,
 'Active',
 'EXECUTION_STATUS_ACTIVE')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (2,
 'Completed',
 'EXECUTION_STATUS_COMPLETED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (3,
 'Failed',
 'EXECUTION_STATUS_FAILED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (4,
 'Terminated',
 'EXECUTION_STATUS_TERMINATED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (5,
 'Did_not_Start',
 'EXECUTION_STATUS_DID_NOT_START')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (6,
 'Suspended',
 'EXECUTION_STATUS_SUSPENDED')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (1,
 'DOC',
 'Word Document')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (2,
 'XLS',
 'Excel Workbook')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (3,
 'PPT',
 'Power Point Presentation')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (4,
 'JPG',
 'JPEG Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (5,
 'GIF',
 'GIF Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (6,
 'PNG',
 'PNG Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (7,
 'TXT',
 'Text')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (8,
 'HTML',
 'HTML File')
;

INSERT INTO 
    @SCHEMA@.LSW_SYSTEM("PROPKEY",
 "PROPVALUE") 
VALUES ('IsRepository',
 @APPSERVER_REPOSITORY_ENABLE@)
;

INSERT INTO 
    @SCHEMA@.LSW_SYSTEM_SCHEMA("PROPNAME",
 "PROPVALUE") 
VALUES ('DatabaseSchemaVersion',
 '8.5.0')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea7',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'System Data',
 'Teamworks System Data',
 'TWSYS',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb566',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'System Governance',
 'IBM BPM Governance Data and Services',
 'TWSYSG',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('b691179d-e7a4-4a27-b89b-f2263d0280e7',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Coaches',
 'IBM BPM System Coaches',
 'SYSC',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('4b3882d9-e886-4f08-9d0c-078ebda719b9',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Content Management',
 'IBM BPM Content Management Data, Services and Coach views.',
 'SYSCM',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('bdf91468-0d01-4ae2-bb53-054b3b591f94',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Ad-hoc Reports',
 'Teamworks Ad-hoc Reports',
 'ADHOC',
 'F',
 'F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('54ab5985-73a7-4ff6-a443-3efd4193a711',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Dashboards',
 'IBM BPM System Dashboards',
 'SYSD',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('0798815e-0346-4ef4-8946-ab4301c9f340',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the TWSYS project',
 'd14c71c9-454c-4576-b108-b441c5877c7f',
 256,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('f757be35-ebca-4e58-a85c-6b34f3c15149',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the TWSYSG project',
 '2b73dd6a-31dc-4b32-b1af-a858743e1370',
 256,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('50f91713-f1c4-4859-897f-89720db5dc3e',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSC project',
 'e01d46a5-6dc9-4545-9940-7e843777321d',
 256,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('4961c615-3524-4196-90da-93c49d237009',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSCM project',
 '29dbc7ff-aace-481a-ba72-be56c0180448',
 256,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('32b9b971-a5b4-46ff-81a4-b0a75925e811',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the ADHOC project',
 '17903f18-237b-45c2-8897-235e99ae7989',
 256,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('7d491984-182d-45ce-ad8f-9561c773848c',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSD project',
 '24d7efbe-2444-43d4-9c26-7938f5a1c101',
 256,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('d14c71c9-454c-4576-b108-b441c5877c7f',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 'd14c71c9-454c-4576-b108-b441c5877c7f',
 '0798815e-0346-4ef4-8946-ab4301c9f340',
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('2b73dd6a-31dc-4b32-b1af-a858743e1370',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 '2b73dd6a-31dc-4b32-b1af-a858743e1370',
 'f757be35-ebca-4e58-a85c-6b34f3c15149',
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 'e01d46a5-6dc9-4545-9940-7e843777321d',
 '50f91713-f1c4-4859-897f-89720db5dc3e',
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 '29dbc7ff-aace-481a-ba72-be56c0180448',
 '4961c615-3524-4196-90da-93c49d237009',
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('17903f18-237b-45c2-8897-235e99ae7989',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 '17903f18-237b-45c2-8897-235e99ae7989',
 '32b9b971-a5b4-46ff-81a4-b0a75925e811',
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('24d7efbe-2444-43d4-9c26-7938f5a1c101',
 1,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 '24d7efbe-2444-43d4-9c26-7938f5a1c101',
 '7d491984-182d-45ce-ad8f-9561c773848c',
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 256,
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'Development')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'Test')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'Staging')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (3,
 '3',
 'Production')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'General')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'ILOG Rules Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'ICI Web Service URL')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (3,
 '3',
 'ICI Connector Name')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (4,
 '4',
 'ICM Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (5,
 '5',
 'Server Property')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (6,
 '6',
 'ECM Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (7,
 '7',
 'Sametime Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (8,
 '8',
 'Connections Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (9,
 '9',
 'Web Service')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (10,
 '10',
 'SAP Server')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (0,
 '24X7',
 '0000',
 '2359',
 'mon,tue,wed,thu,fri,sat,sun')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (1,
 '7AM-7PM M-F',
 '0700',
 '1900',
 'mon,tue,wed,thu,fri')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (2,
 '7AM-7PM Every Day',
 '0700',
 '1900',
 'mon,tue,wed,thu,fri,sat,sun')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (3,
 '9AM-5PM M-F',
 '0900',
 '1700',
 'mon,tue,wed,thu,fri')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (4,
 '9AM-1PM Sat',
 '0900',
 '1300',
 'sat')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (0,
 '24X7',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (1,
 '7AM-7PM M-F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (2,
 '7AM-7PM Every Day',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (3,
 '9AM-5PM M-F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (4,
 '9AM-5PM M-F , 9AM-1PM Sat',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (0,
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (1,
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (2,
 2)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (3,
 3)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (4,
 3)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (4,
 4)
;

INSERT INTO 
    @SCHEMA@.LSW_HOLIDAY_SCHEDULE("HOLIDAY_ID",
 "NAME",
 "HOLIDAY_LIST") 
VALUES (0,
 'empty holiday',
 '')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('IMPORT_LOCK_TWX_KEY',
 'Lock required importing twx file ')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('DEPLOYMENT_PKG_LOCK_KEY',
 'Lock required for add a deployment' || 
 ' package to lsw_deployment_package ')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('LOG_ADD_LOCK_KEY',
 'Lock required for adding logs to bpm_repository_log and updating timestamp in bpm_project_subscription')
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (3,
 3,
 2066,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (4,
 4,
 2066,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (5,
 3,
 2066,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (6,
 4,
 2066,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (7,
 3,
 2066,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (8,
 3,
 2066,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (9,
 4,
 2066,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (10,
 3,
 2066,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (11,
 4,
 2066,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (12,
 4,
 2066,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 5)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (13,
 3,
 2066,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (14,
 4,
 2066,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (15,
 3,
 2066,
 '23d3ecec-6fdb-4033-9c57-e931aa13761f',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (16,
 3,
 2066,
 'c8cc5ba4-0c95-41bd-8aac-8136bc86ae85',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (17,
 3,
 2066,
 '9ab0d0c6-d92c-4355-9ed5-d8a05acdc4b0',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (18,
 4,
 2066,
 '9ab0d0c6-d92c-4355-9ed5-d8a05acdc4b0',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (19,
 3,
 2066,
 '7b7f619b-1f3c-434f-a4be-63dd5508f388',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (20,
 4,
 2066,
 '7b7f619b-1f3c-434f-a4be-63dd5508f388',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (21,
 3,
 2066,
 '1052c1c9-0b2c-42d3-a2bd-cd73e6c89f9b',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (22,
 4,
 2066,
 '1052c1c9-0b2c-42d3-a2bd-cd73e6c89f9b',
 127)
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea1',
 'New',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea2',
 'Rejected',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea3',
 'Validated',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea7',
 'Released',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("EVENT_SUBSCRIPTION_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'ECM')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'Timer')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'Message')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'Content')
;

INSERT INTO 
    @SCHEMA@.BPM_GOVERNANCE_EVENT("EVENT_TYPE_ID",
 "EVENT_TYPE",
 "EVENT_TYPE_NAME",
 "GOV_DEFAULT_SNAPSHOT_ID",
 "GOV_DEFAULT_PROCESS_ID",
 "GOV_DEFAULT_PROCESS_TYPE") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb568',
 0,
 'Installation Requested',
 '5c679113-27ac-4bb8-bc83-36a0909c38e6',
 'b0d87b96-5044-4390-b0f5-4ba05d63bc28',
 25)
;

INSERT INTO 
    @SCHEMA@.BPM_GOVERNANCE_EVENT("EVENT_TYPE_ID",
 "EVENT_TYPE",
 "EVENT_TYPE_NAME",
 "GOV_DEFAULT_SNAPSHOT_ID",
 "GOV_DEFAULT_PROCESS_ID",
 "GOV_DEFAULT_PROCESS_TYPE") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb569',
 1,
 'Snapshot Status Change',
 '5c679113-27ac-4bb8-bc83-36a0909c38e6',
 '291536f1-aa21-4650-8ac9-c62eaa3fa110',
 25)
;

--BEGIN CMVC
--********************************************************************
--
--  Last update: %E% %U%
--  SCCS path, id: %F% %I%
--
--********************************************************************
--END CMVC
--BEGIN COPYRIGHT
--********************************************************************
--
--  Licensed Materials - Property of IBM
--  5724-L01, 5655-N53, 5724-I82, 5655-R15
--  Copyright IBM Corporation 2004, 2011
--  All rights reserved. US Government Users Restricted Rights - Use,
--  duplication, or disclosure restricted by GSA ADP Schedule Contract
--  with IBM Corp.
--
--********************************************************************
--END COPYRIGHT
--
----------------------------------------------------------------------
-- The code assumes an implicit schema, i.e. the tables
-- and views have to be created in a collection that has
-- the name of the user connected to use the product.
-- You may want to create the collection using:
--     db2 create collection <username>
-- before applying this script
----------------------------------------------------------------------
-- Scriptfile to create schema for DB2 z/OS
-- 1. Replace all occurrances of @STOGRP@ with the storage group
-- 2. Replace all occurrances of @DB_NAME@ with a valid z/OS database name.
-- 3. Replace all occurrances of @BPTABLE4K@; with a valid z/OS 4K Data Bufferpool.
-- 4. Replace all occurrances of @BPLOB4K@ with a valid z/OS LOB Buffer Pool.
-- 5. Process this script in the DB2 command line processor
-- Example:
--             db2 connect to SCHEDDB
--             db2 -tf createTablespace_Scheduler_Sharing.sql
-- The schema assumes existing tablespaces that should have been
-- created before using createTablespace_Scheduler_Sharing.sql script.
-- create the schema

-- *******************************************
-- Create tablespaces
-- *******************************************

CREATE TABLESPACE SCHSHTS
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 CCSID UNICODE
 DEFINE NO
 SEGSIZE 32
 LOCKSIZE ANY
 BUFFERPOOL @BPTABLE4K@;

-- *******************************************
-- Create LOB tablespaces
-- *******************************************

CREATE LOB TABLESPACE SCHSHLB1
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@;
-- Scriptfile to create schema for DB2 z/OS
-- 1. Replace all occurrances of @SCHEMA@. with a valid schema Qualifier that was 
--    created by the createTablesapceDb2zOs.sql script.
-- 2. Replace all occurrances of @STOGRP@ with the storage group
-- 3. Replace all occurrances of @DB_NAME@ with a valid z/OS database name.
--      For example:  DSNDB04
-- 4. Process this script in the DB2 command line processor
-- Example:
--             db2 connect to SCHEDDB
--             db2 -tf createSchema_Scheduler_Sharing.sql
-- The schema assumes existing tablespaces that should have been
-- created before using createTablespace_Scheduler_Sharing.sql script.


CREATE TABLE @SCHEMA@.BPM_PCS_TASK
(
      TASKID           NUMERIC(19)    NOT NULL , 
      VERSION          VARCHAR(5)     NOT NULL , 
      ROW_VERSION      INTEGER        NOT NULL , 
      TASKTYPE         INTEGER        NOT NULL , 
      TASKSUSPENDED    SMALLINT       NOT NULL , 
      CANCELLED        SMALLINT       NOT NULL , 
      NEXTFIRETIME     NUMERIC(19)    NOT NULL , 
      STARTBYINTERVAL  VARCHAR(254)    , 
      STARTBYTIME      NUMERIC(19)     , 
      VALIDFROMTIME    NUMERIC(19)     , 
      VALIDTOTIME      NUMERIC(19)     , 
      REPEATINTERVAL   VARCHAR(254)    , 
      MAXREPEATS       INTEGER        NOT NULL , 
      REPEATSLEFT      INTEGER        NOT NULL , 
      TASKINFO         BLOB(102400)    , 
      NAME             VARCHAR(254)   NOT NULL ,
      AUTOPURGE        INTEGER        NOT NULL , 
      FAILUREACTION    INTEGER         , 
      MAXATTEMPTS      INTEGER         , 
      QOS              INTEGER         , 
      PARTITIONID      INTEGER         ,
      OWNERTOKEN       VARCHAR(200)   NOT NULL ,
      CREATETIME       NUMERIC(19)    NOT NULL , 
      ROW_ID           ROWID          NOT NULL GENERATED ALWAYS,
      PRIMARY KEY ( TASKID )
)
IN @DB_NAME@.SCHSHTS; 


-- unique index for primary key
CREATE UNIQUE INDEX @SCHEMA@.BPM_PCS_TASKPK 
   ON @SCHEMA@.BPM_PCS_TASK
( 
    TASKID
) 
USING STOGROUP @STOGRP@ ;
                

CREATE INDEX @SCHEMA@.BPM_PCS_TASK_IDX1
  ON @SCHEMA@.BPM_PCS_TASK
(
    TASKID,OWNERTOKEN
)
USING STOGROUP @STOGRP@ ;
 

CREATE INDEX @SCHEMA@.BPM_PCS_TASK_IDX2
  ON @SCHEMA@.BPM_PCS_TASK
(
    NEXTFIRETIME ASC, REPEATSLEFT, PARTITIONID
)
USING STOGROUP @STOGRP@ ;


-- auxiliary table for LOB column TASKINFO
CREATE AUX TABLE @SCHEMA@.BPM_PCS_TASK1
   IN @DB_NAME@.SCHSHLB1
   STORES  BPM_PCS_TASK COLUMN TASKINFO;
-- auxiliary index for LOB column TASKINFO
CREATE UNIQUE INDEX @SCHEMA@.BPM_PCS_TASK1I ON @SCHEMA@.BPM_PCS_TASK1
   USING STOGROUP @STOGRP@ ;


CREATE TABLE @SCHEMA@.BPM_PCS_TREG
(
    REGKEY                       VARCHAR(254)         NOT NULL ,
    REGVALUE                     VARCHAR(254)         ,
    PRIMARY KEY ( REGKEY )
)
 IN @DB_NAME@.SCHSHTS; 

 -- unique index for primary key
CREATE UNIQUE INDEX @SCHEMA@.BPM_PCS_TREGPK 
   ON @SCHEMA@.BPM_PCS_TREG
( 
    REGKEY
) 
USING STOGROUP @STOGRP@ ;

-- Lease Manager
CREATE TABLE @SCHEMA@.BPM_PCS_LMGR
(
    LEASENAME                         VARCHAR(254) NOT NULL,
    LEASEOWNER                        VARCHAR(254) NOT NULL,
    LEASE_EXPIRE_TIME                 NUMERIC(19),
    DISABLED                          VARCHAR(5),
    PRIMARY KEY ( LEASENAME )
)
 IN @DB_NAME@.SCHSHTS; 


CREATE UNIQUE INDEX @SCHEMA@.BPM_PCS_LMGR_IDX1 ON @SCHEMA@.BPM_PCS_LMGR
(
    LEASENAME
)
USING STOGROUP @STOGRP@ ;


CREATE TABLE @SCHEMA@.BPM_PCS_LMPR
(
    LEASENAME                         VARCHAR(254) NOT NULL,
    NAME                              VARCHAR(254) NOT NULL,
    VALUE                             VARCHAR(254) NOT NULL
)
 IN @DB_NAME@.SCHSHTS ; 

CREATE INDEX @SCHEMA@.BPM_PCS_LMPR_IDX1 ON @SCHEMA@.BPM_PCS_LMPR
(
    LEASENAME
)
USING STOGROUP @STOGRP@ ;

